/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
export interface IconDimension {
    width: string;
    height: string;
    ratio: number;
}
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
export declare abstract class IconBase {
    private readonly _dimension;
    /**
     * Configure the size of the SVG.
     * 'grow' will allow the SVG to grow or shrink to the parent size.
     * 'fixed' will apply the default width and height of the SVG.
     * 'small' will apply 24px as width and height.
     * 'medium' will apply 36px as width and height.
     * 'large' will apply 48px as width and height.
     * Defaults to 'grow'.
     */
    size: 'grow' | 'fixed' | 'small' | 'small-grow' | 'medium' | 'medium-grow' | 'large' | 'large-grow';
    /**
     * Width of the icon.
     */
    get width(): string | undefined;
    set width(value: string | undefined);
    /**
     * Height of the icon.
     */
    get height(): string | undefined;
    set height(value: string | undefined);
    /**
     * The given CSS class or classes will be applied to the SVG element.
     */
    svgClass: string;
    get display(): "inline-block" | undefined;
    /** @docs-private */
    sbbIconComponent: boolean;
    private _inputWidth;
    private _inputHeight;
    constructor(_dimension: IconDimension);
    private _isFixed;
    private _resolveDimension;
    private _coerceDimensionValue;
    private _resolveInput;
}
