import { CommonModule } from '@angular/common';
import { Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { IconBase } from '@sbb-esta/angular-icons/core';

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowsCircleComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconArrowsCircleComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-arrows-circle',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M4.51 12a7.5 7.5 0 017.514-7.486c2.912.006 6.238 2.346 7.466 4.986m.01-4.49l-.01 4.49H15m4.5 2.5a7.51 7.51 0 01-7.539 7.48c-2.894-.01-6.214-2.353-7.451-4.97M4.5 19l.01-4.49L9 14.5"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.765 18c.012-6.213 5.058-11.241 11.27-11.23 4.369.01 9.358 3.52 11.2 7.48m.015-6.735l-.015 6.735H22.5M29.25 18c-.024 6.22-5.087 11.245-11.308 11.221-4.341-.015-9.322-3.531-11.177-7.456M6.75 28.5l.015-6.735 6.735-.015"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconArrowsCircleComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowsCircleModule {
}
IconArrowsCircleModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconArrowsCircleComponent],
                exports: [IconArrowsCircleComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowsLeftRightComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconArrowsLeftRightComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-arrows-left-right',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9 13.499h12.25M17.75 10l3.5 3.5-3.5 3.5m-2.752-6.499H2.75M6.25 14l-3.5-3.5L6.25 7"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M13.5 20.248l18.375.002M26.625 15l5.25 5.25-5.25 5.25m-4.128-9.748L4.125 15.75M9.375 21l-5.25-5.25 5.25-5.25"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconArrowsLeftRightComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowsLeftRightModule {
}
IconArrowsLeftRightModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconArrowsLeftRightComponent],
                exports: [IconArrowsLeftRightComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowsLeftRightDownUpComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconArrowsLeftRightDownUpComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-arrows-left-right-down-up',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M11.5 2.75v17.5m3.852-13.606L11.5 2.75 7.657 6.646m-.008 9.71l3.853 3.893 3.842-3.896M16.75 8l3.5 3.5-3.5 3.5m-10.5 0l-3.5-3.5L6.25 8m14 3.502L2.75 11.5"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M17.25 4.125v26.25m5.779-20.409l-5.78-5.841-5.763 5.844m-.012 14.564l5.78 5.841 5.763-5.845M25.125 12l5.25 5.25-5.25 5.25m-15.75 0l-5.25-5.25L9.375 12m21 5.252l-26.25-.001"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconArrowsLeftRightDownUpComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowsLeftRightDownUpModule {
}
IconArrowsLeftRightDownUpModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconArrowsLeftRightDownUpComponent],
                exports: [IconArrowsLeftRightDownUpComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowsRightLeftComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconArrowsRightLeftComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-arrows-right-left',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M5 7.49h12.49M13.5 11.5l3.99-4.01L13.5 3.5M18 16.492H5.5M9.49 20.5L5.5 16.49l3.99-3.99"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.5 11.236h18.735M20.25 17.25l5.985-6.014L20.25 5.25M27 24.738H8.25m5.985 6.013L8.25 24.738l5.985-5.987"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconArrowsRightLeftComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowsRightLeftModule {
}
IconArrowsRightLeftModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconArrowsRightLeftComponent],
                exports: [IconArrowsRightLeftComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowsUpDownComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconArrowsUpDownComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-arrows-up-down',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.5 3.75V19m3.852-11.356L7.5 3.75 3.657 7.646m12.845 10.603V2.999m-3.853 11.356l3.853 3.895 3.842-3.898"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M11.25 5.625V28.5m5.778-17.034L11.25 5.625l-5.764 5.844m19.267 15.905V4.498m-5.779 17.034l5.78 5.841 5.763-5.845"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconArrowsUpDownComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowsUpDownModule {
}
IconArrowsUpDownModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconArrowsUpDownComponent],
                exports: [IconArrowsUpDownComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowCircleComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconArrowCircleComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-arrow-circle',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M19.5 5v4.5H15M19.264 14c-.81 3.283-3.614 5.5-7.264 5.5-4.35 0-7.5-3.15-7.5-7.5 0-4.348 3.15-7.5 7.5-7.5 3.37 0 6.478 2.125 7.5 5"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M29.25 7.5v6.75H22.5m6.396 6.748C27.682 25.923 23.475 29.25 18 29.25c-6.524 0-11.25-4.725-11.25-11.25 0-6.524 4.726-11.25 11.25-11.25 5.055 0 9.717 3.186 11.25 7.5"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconArrowCircleComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowCircleModule {
}
IconArrowCircleModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconArrowCircleComponent],
                exports: [IconArrowCircleComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowLongLeftComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconArrowLongLeftComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-arrow-long-left',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M20 12.5H4.51m3.14-3.15L4.51 12.5l3.14 3.14" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M30 18.75H6.765m4.711-4.724L6.765 18.75l4.711 4.711" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconArrowLongLeftComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowLongLeftModule {
}
IconArrowLongLeftModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconArrowLongLeftComponent],
                exports: [IconArrowLongLeftComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowLongRightComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconArrowLongRightComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-arrow-long-right',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M4 12.491h15.49m-3.141 3.15l3.142-3.15-3.142-3.14" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M6 18.737h23.235m-4.712 4.724l4.713-4.724-4.713-4.711" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconArrowLongRightComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowLongRightModule {
}
IconArrowLongRightModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconArrowLongRightComponent],
                exports: [IconArrowLongRightComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowRightComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconArrowRightComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-arrow-right',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M5 12.491h12.49M13.5 16.5l3.99-4.008L13.5 8.5" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.5 18.737h18.735M20.25 24.75l5.985-6.012-5.985-5.988"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconArrowRightComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowRightModule {
}
IconArrowRightModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconArrowRightComponent],
                exports: [IconArrowRightComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChevronRightComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconChevronRightComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-chevron-right',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M9 6l6 6-6 6" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M13.5 9l9 9-9 9" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconChevronRightComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChevronRightModule {
}
IconChevronRightModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconChevronRightComponent],
                exports: [IconChevronRightComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChevronSmallDownComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconChevronSmallDownComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-chevron-small-down',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M8.092 10.35l3.904 3.95 3.904-3.948" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M12.138 15.525l5.856 5.925 5.856-5.922" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconChevronSmallDownComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChevronSmallDownModule {
}
IconChevronSmallDownModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconChevronSmallDownComponent],
                exports: [IconChevronSmallDownComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChevronSmallDownCircleComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconChevronSmallDownCircleComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-chevron-small-down-circle',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M12 4.5a7.5 7.5 0 017.5 7.5c0 4.143-3.357 7.5-7.5 7.5a7.5 7.5 0 010-15zm-3.908 5.85l3.904 3.95 3.904-3.948"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M18 6.75c6.215 0 11.25 5.037 11.25 11.25 0 6.214-5.035 11.25-11.25 11.25-6.213 0-11.25-5.036-11.25-11.25 0-6.213 5.037-11.25 11.25-11.25zm-5.862 8.775l5.856 5.925 5.856-5.922"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconChevronSmallDownCircleComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChevronSmallDownCircleModule {
}
IconChevronSmallDownCircleModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconChevronSmallDownCircleComponent],
                exports: [IconChevronSmallDownCircleComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChevronSmallLeftComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconChevronSmallLeftComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-chevron-small-left',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M13.675 8.096L9.725 12l3.948 3.904" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M20.512 12.144L14.587 18l5.922 5.856" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconChevronSmallLeftComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChevronSmallLeftModule {
}
IconChevronSmallLeftModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconChevronSmallLeftComponent],
                exports: [IconChevronSmallLeftComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChevronSmallLeftCircleComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconChevronSmallLeftCircleComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-chevron-small-left-circle',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M12 4.5a7.5 7.5 0 017.5 7.5c0 4.143-3.357 7.5-7.5 7.5a7.5 7.5 0 010-15zm1.675 3.596L9.725 12l3.948 3.904"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M18 6.75c6.215 0 11.25 5.037 11.25 11.25 0 6.214-5.035 11.25-11.25 11.25-6.213 0-11.25-5.036-11.25-11.25 0-6.213 5.037-11.25 11.25-11.25zm2.512 5.394L14.587 18l5.922 5.856"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconChevronSmallLeftCircleComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChevronSmallLeftCircleModule {
}
IconChevronSmallLeftCircleModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconChevronSmallLeftCircleComponent],
                exports: [IconChevronSmallLeftCircleComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChevronSmallRightComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconChevronSmallRightComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-chevron-small-right',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M10.325 15.904L14.275 12l-3.949-3.904" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M15.488 23.856L21.413 18l-5.924-5.856" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconChevronSmallRightComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChevronSmallRightModule {
}
IconChevronSmallRightModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconChevronSmallRightComponent],
                exports: [IconChevronSmallRightComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChevronSmallRightCircleComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconChevronSmallRightCircleComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-chevron-small-right-circle',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M13 4.5a7.5 7.5 0 017.5 7.5c0 4.143-3.357 7.5-7.5 7.5a7.5 7.5 0 010-15zm-1.675 11.404L15.275 12l-3.949-3.904"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M19.5 6.75c6.215 0 11.25 5.037 11.25 11.25 0 6.214-5.035 11.25-11.25 11.25-6.213 0-11.25-5.036-11.25-11.25 0-6.213 5.037-11.25 11.25-11.25zm-2.512 17.106L22.913 18l-5.924-5.856"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconChevronSmallRightCircleComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChevronSmallRightCircleModule {
}
IconChevronSmallRightCircleModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconChevronSmallRightCircleComponent],
                exports: [IconChevronSmallRightCircleComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChevronSmallUpComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconChevronSmallUpComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-chevron-small-up',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M15.9 13.675l-3.904-3.95-3.904 3.949" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M23.851 20.512l-5.856-5.925-5.856 5.923" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconChevronSmallUpComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChevronSmallUpModule {
}
IconChevronSmallUpModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconChevronSmallUpComponent],
                exports: [IconChevronSmallUpComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChevronSmallUpCircleComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconChevronSmallUpCircleComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-chevron-small-up-circle',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M12 4.5a7.5 7.5 0 017.5 7.5c0 4.143-3.357 7.5-7.5 7.5a7.5 7.5 0 010-15zm3.9 9.175l-3.904-3.95-3.904 3.949"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M18 6.75c6.215 0 11.25 5.037 11.25 11.25 0 6.214-5.035 11.25-11.25 11.25-6.213 0-11.25-5.036-11.25-11.25 0-6.213 5.037-11.25 11.25-11.25zm5.85 13.762l-5.855-5.925-5.856 5.923"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconChevronSmallUpCircleComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChevronSmallUpCircleModule {
}
IconChevronSmallUpCircleModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconChevronSmallUpCircleComponent],
                exports: [IconChevronSmallUpCircleComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconIncreaseSizeComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconIncreaseSizeComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-increase-size',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd" stroke="#000">
          <path d="M20.5 3.5L16 8m1-4.5h3.5V7" />
          <path stroke-dasharray="1 1" d="M2 9.5h12.5V22" />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd" stroke="#000">
          <path d="M30.75 5.249L24 11.999m1.5-6.75h5.25v5.25" />
          <path stroke-dasharray="1 1" d="M3 14.25h18.75V33" />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconIncreaseSizeComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconIncreaseSizeModule {
}
IconIncreaseSizeModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconIncreaseSizeComponent],
                exports: [IconIncreaseSizeComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconReduceSizeComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconReduceSizeComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-reduce-size',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd" stroke="#000">
          <path d="M16.5 16.5L21 21m-4.5-1v-3.5H20" />
          <path stroke-dasharray="1 1" d="M14.5 2v12.5H2" />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd" stroke="#000">
          <path d="M24.75 24.75l6.75 6.75M24.75 30v-5.25H30" />
          <path stroke-dasharray="1 1" d="M21.75 3v18.75H3" />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconReduceSizeComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconReduceSizeModule {
}
IconReduceSizeModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconReduceSizeComponent],
                exports: [IconReduceSizeComponent],
            },] }
];

const modules = [
    IconArrowsCircleModule,
    IconArrowsLeftRightModule,
    IconArrowsLeftRightDownUpModule,
    IconArrowsRightLeftModule,
    IconArrowsUpDownModule,
    IconArrowCircleModule,
    IconArrowLongLeftModule,
    IconArrowLongRightModule,
    IconArrowRightModule,
    IconChevronRightModule,
    IconChevronSmallDownModule,
    IconChevronSmallDownCircleModule,
    IconChevronSmallLeftModule,
    IconChevronSmallLeftCircleModule,
    IconChevronSmallRightModule,
    IconChevronSmallRightCircleModule,
    IconChevronSmallUpModule,
    IconChevronSmallUpCircleModule,
    IconIncreaseSizeModule,
    IconReduceSizeModule,
];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCollectionArrowModule {
}
IconCollectionArrowModule.decorators = [
    { type: NgModule, args: [{
                imports: modules,
                exports: modules,
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { IconArrowCircleComponent, IconArrowCircleModule, IconArrowLongLeftComponent, IconArrowLongLeftModule, IconArrowLongRightComponent, IconArrowLongRightModule, IconArrowRightComponent, IconArrowRightModule, IconArrowsCircleComponent, IconArrowsCircleModule, IconArrowsLeftRightComponent, IconArrowsLeftRightDownUpComponent, IconArrowsLeftRightDownUpModule, IconArrowsLeftRightModule, IconArrowsRightLeftComponent, IconArrowsRightLeftModule, IconArrowsUpDownComponent, IconArrowsUpDownModule, IconChevronRightComponent, IconChevronRightModule, IconChevronSmallDownCircleComponent, IconChevronSmallDownCircleModule, IconChevronSmallDownComponent, IconChevronSmallDownModule, IconChevronSmallLeftCircleComponent, IconChevronSmallLeftCircleModule, IconChevronSmallLeftComponent, IconChevronSmallLeftModule, IconChevronSmallRightCircleComponent, IconChevronSmallRightCircleModule, IconChevronSmallRightComponent, IconChevronSmallRightModule, IconChevronSmallUpCircleComponent, IconChevronSmallUpCircleModule, IconChevronSmallUpComponent, IconChevronSmallUpModule, IconCollectionArrowModule, IconIncreaseSizeComponent, IconIncreaseSizeModule, IconReduceSizeComponent, IconReduceSizeModule };
//# sourceMappingURL=arrow.js.map
