import { CommonModule } from '@angular/common';
import { Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { IconBase } from '@sbb-esta/angular-icons/core';

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconFastForwardComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconFastForwardComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-fast-forward',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M15 8.75L10.5 5.5v4.333L9 8.75 4.5 5.5v13L9 15.25l1.5-1.084V18.5l4.5-3.25L19.5 12z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M22.5 13.125L15.75 8.25v6.499l-2.25-1.624L6.75 8.25v19.5l6.75-4.875 2.25-1.626v6.501l6.75-4.875L29.25 18z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconFastForwardComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconFastForwardModule {
}
IconFastForwardModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconFastForwardComponent],
                exports: [IconFastForwardComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconNextComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconNextComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-next',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M4.5 12V5.5l5 3.25 5 3.25-5 3.25-5 3.25V12zm12.001 6.5v-13h3v13h-3z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.75 18V8.25l7.5 4.875L21.75 18l-7.5 4.875-7.5 4.875V18zm18.002 9.75V8.25h4.5v19.5h-4.5z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconNextComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconNextModule {
}
IconNextModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconNextComponent],
                exports: [IconNextComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPauseComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconPauseComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-pause',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M13.501 18.5v-13h3v13h-3zm-6.001 0v-13h3v13h-3z" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M20.252 27.75V8.25h4.5v19.5h-4.5zm-9.002 0V8.25h4.5v19.5h-4.5z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconPauseComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPauseModule {
}
IconPauseModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconPauseComponent],
                exports: [IconPauseComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPlayComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconPlayComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-play',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M5.5 12V5l6 3.5 6 3.5-6 3.5-6 3.5z" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M8.25 18V7.5l9 5.25 9 5.25-9 5.25-9 5.25z" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconPlayComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPlayModule {
}
IconPlayModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconPlayComponent],
                exports: [IconPlayComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPreviousComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconPreviousComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-previous',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M19.501 12v6.5l-5-3.25-5-3.25 5-3.25 5-3.25V12zM4.5 18.5v-13h3v13h-3z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M29.252 18v9.75l-7.5-4.875-7.5-4.875 7.5-4.875 7.5-4.875V18zM6.75 27.75V8.25h4.5v19.5h-4.5z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconPreviousComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPreviousModule {
}
IconPreviousModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconPreviousComponent],
                exports: [IconPreviousComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconRecordComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconRecordComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-record',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M18.5 12a6.5 6.5 0 10-13 0 6.5 6.5 0 0013 0z" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M27.75 18A9.75 9.75 0 0018 8.25 9.75 9.75 0 008.25 18 9.75 9.75 0 0018 27.75 9.75 9.75 0 0027.75 18z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconRecordComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconRecordModule {
}
IconRecordModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconRecordComponent],
                exports: [IconRecordComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconRewindComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconRewindComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-rewind',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M8.999 15.25l4.5 3.25v-4.334l1.5 1.084L19.5 18.5v-13l-4.501 3.25-1.5 1.083V5.5l-4.5 3.25L4.5 12z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M13.499 22.875l6.75 4.875v-6.501l2.25 1.626 6.75 4.875V8.25l-6.75 4.875-2.25 1.624V8.25l-6.75 4.875L6.749 18z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconRewindComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconRewindModule {
}
IconRewindModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconRewindComponent],
                exports: [IconRewindComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconStopComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconStopComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-stop',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M5.5 18.5h13v-13h-13z" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M8.25 27.75h19.5V8.25H8.25z" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconStopComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconStopModule {
}
IconStopModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconStopComponent],
                exports: [IconStopComponent],
            },] }
];

const modules = [
    IconFastForwardModule,
    IconNextModule,
    IconPauseModule,
    IconPlayModule,
    IconPreviousModule,
    IconRecordModule,
    IconRewindModule,
    IconStopModule,
];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCollectionAudioModule {
}
IconCollectionAudioModule.decorators = [
    { type: NgModule, args: [{
                imports: modules,
                exports: modules,
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { IconCollectionAudioModule, IconFastForwardComponent, IconFastForwardModule, IconNextComponent, IconNextModule, IconPauseComponent, IconPauseModule, IconPlayComponent, IconPlayModule, IconPreviousComponent, IconPreviousModule, IconRecordComponent, IconRecordModule, IconRewindComponent, IconRewindModule, IconStopComponent, IconStopModule };
//# sourceMappingURL=audio.js.map
