import { CommonModule } from '@angular/common';
import { Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { IconBase } from '@sbb-esta/angular-icons/core';

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCurriculumVitaeComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCurriculumVitaeComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-curriculum-vitae',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 48 48"
    >
      <path
        fill="none"
        stroke="#000"
        d="M12.5 39.5h24v-30h-24v30zm17.97-30l-1.825-3.743L20.97 9.5h9.499zm-12.07 30l1.824 3.742 7.673-3.742H18.4zm18.1-4.196l5.296-2.582L36.5 21.865v13.439zM21.317 16.982c1.757.923 3.183 3.559 3.183 6.518h-9c0-2.962 1.428-5.597 3.188-6.519a2.028 2.028 0 01-.616-1.481c0-1.12.835-2 1.928-2 1.094 0 1.929.89 1.929 2.01 0 .59-.232 1.111-.612 1.472zm-8.817-3.35v13.772L7.073 16.278l5.427-2.646zM27 23.5h7-7zm0-4h7-7zm0-4h7-7zm-12 12h19-19zm0 4h19-19zm2 4h2-2zm3 0h2-2zm3 0h2-2z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCurriculumVitaeComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCurriculumVitaeModule {
}
IconCurriculumVitaeModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCurriculumVitaeComponent],
                exports: [IconCurriculumVitaeComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconHandGraduationCapComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconHandGraduationCapComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-hand-graduation-cap',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 48 48"
    >
      <path
        fill="none"
        stroke="#000"
        d="M17.993 34.52l-9.74-6.58a2 2 0 10-2.505 3.12L17.6 41.5h7.885l2.016 2h14.9l-10.056-8.127c-2.075-1.706-4.438-3.812-8.125-3.874H20c-3.063 0-3.063 4 0 4h4m-16.5-21L24 7l16.5 7.5L24 21 7.5 14.5zm33 0V22m-2 2a2 2 0 114.001.002A2 2 0 0138.5 24zm2.483 1.942L42 29.504m-1.982-3.563L39 29.504M12.5 16.47V23s3.559 3.5 11.5 3.5c7.989 0 10.5-3.5 10.5-3.5v-6.134"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconHandGraduationCapComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconHandGraduationCapModule {
}
IconHandGraduationCapModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconHandGraduationCapComponent],
                exports: [IconHandGraduationCapComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconShipSteeringWheelComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconShipSteeringWheelComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-ship-steering-wheel',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M11.5 6.5v3-3zm0-4.5v2.5V2zM7.965 7.964l2.12 2.122-2.12-2.122zM4.782 4.783L6.55 6.55 4.782 4.783zM6.5 11.5h3-3zm-4.5 0h2.5H2zm5.965 3.535l2.12-2.12-2.12 2.12zm-3.183 3.183L6.55 16.45l-1.768 1.768zM11.5 16.5v-3 3zm0 4.5v-2.5V21zm3.535-5.965l-2.12-2.12 2.12 2.12zm3.183 3.183L16.45 16.45l1.768 1.768zM16.5 11.5h-3 3zm4.5 0h-2.5H21zm-5.965-3.536l-2.12 2.122 2.12-2.122zm3.183-3.181L16.45 6.55l1.768-1.768zM18.5 11.5a7 7 0 10-14 0 7 7 0 0014 0zm-2 0a5 5 0 10-10 0 5 5 0 0010 0zm-3 0a2 2 0 10-4.001.001A2 2 0 0013.5 11.5z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M17.25 9.75v4.5-4.5zm0-6.75v3.75V3zm-5.303 8.947l3.182 3.183-3.182-3.183zM7.173 7.174l2.652 2.652-2.652-2.652zM9.75 17.25h4.5-4.5zm-6.75 0h3.75H3zm8.947 5.303l3.182-3.182-3.182 3.182zm-4.774 4.774l2.652-2.652-2.652 2.652zM17.25 24.75v-4.5 4.5zm0 6.75v-3.75 3.75zm5.303-8.947L19.37 19.37l3.182 3.182zm4.774 4.774l-2.652-2.652 2.652 2.652zM24.75 17.25h-4.5 4.5zm6.75 0h-3.75 3.75zm-8.947-5.303L19.37 15.13l3.182-3.183zm4.774-4.773l-2.652 2.652 2.652-2.652zm.423 10.076c0-5.799-4.701-10.5-10.5-10.5s-10.5 4.701-10.5 10.5 4.701 10.5 10.5 10.5 10.5-4.701 10.5-10.5zm-3 0a7.5 7.5 0 10-15 0c0 4.143 3.357 7.5 7.5 7.5s7.5-3.357 7.5-7.5zm-4.5 0a3.001 3.001 0 00-6 0 3.001 3.001 0 006 0z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconShipSteeringWheelComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconShipSteeringWheelModule {
}
IconShipSteeringWheelModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconShipSteeringWheelComponent],
                exports: [IconShipSteeringWheelComponent],
            },] }
];

const modules = [
    IconCurriculumVitaeModule,
    IconHandGraduationCapModule,
    IconShipSteeringWheelModule,
];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCollectionCareerModule {
}
IconCollectionCareerModule.decorators = [
    { type: NgModule, args: [{
                imports: modules,
                exports: modules,
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { IconCollectionCareerModule, IconCurriculumVitaeComponent, IconCurriculumVitaeModule, IconHandGraduationCapComponent, IconHandGraduationCapModule, IconShipSteeringWheelComponent, IconShipSteeringWheelModule };
//# sourceMappingURL=career.js.map
