import { CommonModule } from '@angular/common';
import { Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { IconBase } from '@sbb-esta/angular-icons/core';

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentCheckComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconDocumentCheckComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-document-check',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.496 4.5l.004 15h11l-.002-10.006L12.5 4.5H6.496zM8 13.5h3m-3 3h3m1-3.5l1 1 3-3m-4 5l1 1 3-3m-3.5-9.5v5l4.998-.006"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.743 6.75l.006 22.5h16.5l-.003-15.009L18.75 6.75H9.743zM12 20.25h4.5m-4.5 4.5h4.5M18 19.5l1.5 1.5 4.5-4.5M18 24l1.5 1.5L24 21M18.75 6.75v7.5l7.497-.009"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconDocumentCheckComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentCheckModule {
}
IconDocumentCheckModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconDocumentCheckComponent],
                exports: [IconDocumentCheckComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentImageComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconDocumentImageComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-document-image',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.5 4.5h6l5 5v10h-11v-15zm6 0v5h5m-2 6.995l-1-4.005-2 3.007-2-5.997-2 6.995h7z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.75 6.75h9l7.5 7.5v15H9.75V6.75zm9 0v7.5h7.5m-3 10.492l-1.5-6.007-3 4.51-3-8.995-3 10.492h10.5z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconDocumentImageComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentImageModule {
}
IconDocumentImageModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconDocumentImageComponent],
                exports: [IconDocumentImageComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentLockComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconDocumentLockComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-document-lock',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M12 19.5H6.5v-15h6l5 5V11m0-1.5h-5v-5m-3.5 8h5m-5.002 2h3M9 16.5h3m3.5-1v-2a1 1 0 112 0v2m-1 3.5v-2.031m-3 3.531h6v-5h-6v5z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M18 29.25H9.75V6.75h9l7.5 7.5v2.25m0-2.25h-7.5v-7.5m-5.25 12H21m-7.504 3h4.5m-4.496 3H18m5.25-1.5v-3a1.5 1.5 0 113 0v3m-1.5 5.25v-3.047m-4.5 5.297h9v-7.5h-9v7.5z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconDocumentLockComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentLockModule {
}
IconDocumentLockModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconDocumentLockComponent],
                exports: [IconDocumentLockComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentPdfComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconDocumentPdfComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-document-pdf',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path stroke="#000" d="M6.509 4.5h5.99l5 5v10h-11l.01-15zm5.991 0v5h5" />
          <path
            fill="#000"
            d="M8.651 15.555v.85h.584c.174 0 .3-.032.375-.093.095-.076.142-.19.142-.339 0-.15-.055-.262-.164-.336-.079-.055-.208-.082-.388-.082h-.549zm-.654-.554h1.21c.203 0 .363.013.481.038a.942.942 0 01.317.134c.26.176.391.44.391.792 0 .314-.108.56-.324.738a.824.824 0 01-.314.165 1.582 1.582 0 01-.435.051h-.672V18h-.654v-2.998zm3.413.554v1.891h.504c.155 0 .278-.016.37-.046a.573.573 0 00.239-.158c.159-.17.238-.423.238-.756 0-.306-.073-.537-.22-.695-.147-.157-.364-.236-.652-.236h-.48zm-.654-.554h1.212c.225 0 .418.027.579.078.16.052.302.134.425.247.3.273.449.652.449 1.137 0 .515-.141.911-.424 1.192a1.069 1.069 0 01-.42.265 1.883 1.883 0 01-.595.08h-1.226V15zm5.226 0v.555h-1.456v.695h1.268v.515h-1.268V18h-.654v-2.998h2.11z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path stroke="#000" d="M9.763 6.75h8.987l7.5 7.5v15H9.75l.013-22.5zm8.987 0v7.5h7.5" />
          <path
            fill="#000"
            d="M12.977 23.333v1.274h.876c.261 0 .449-.047.563-.138.142-.114.213-.285.213-.509 0-.225-.083-.393-.246-.504-.119-.082-.312-.123-.582-.123h-.824zm-.98-.83h1.814c.305 0 .545.019.722.056.174.04.333.107.475.201.39.264.587.66.587 1.188 0 .471-.162.84-.486 1.107a1.236 1.236 0 01-.471.248 2.373 2.373 0 01-.653.076h-1.008V27h-.98v-4.497zm5.118.83v2.837h.756c.232 0 .417-.024.555-.07a.859.859 0 00.358-.236c.239-.257.357-.635.357-1.134 0-.46-.11-.806-.33-1.043-.22-.235-.546-.354-.978-.354h-.718zm-.981-.83h1.818c.337 0 .627.04.868.116.242.078.453.201.638.37.45.41.673.979.673 1.706 0 .773-.211 1.367-.636 1.788-.186.186-.396.32-.63.398-.234.08-.532.118-.892.118h-1.84v-4.497zm7.84 0v.83H21.79v1.043h1.902v.773H21.79v1.85h-.981v-4.496h3.165z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconDocumentPdfComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentPdfModule {
}
IconDocumentPdfModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconDocumentPdfComponent],
                exports: [IconDocumentPdfComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentPlusComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconDocumentPlusComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-document-plus',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M12.5 4.496v5h5M9 12.5h6m-6.002 2H15m-6 2h6m2.5.5v5m2.499-2.5h-5M13 19.5H6.5v-15h6l5 5V15"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M18.75 6.744v7.5h7.5M13.5 18.75h9m-9.004 3H22.5m-8.999 3h9m3.75.75V33m3.748-3.75h-7.5m-2.998 0H9.75V6.75h9l7.5 7.5v8.25"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconDocumentPlusComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentPlusModule {
}
IconDocumentPlusModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconDocumentPlusComponent],
                exports: [IconDocumentPlusComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentPptComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconDocumentPptComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-document-ppt',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path stroke="#000" d="M6.509 4.5h5.99l5 5v10h-11l.01-15zm5.991 0v5h5" />
          <path
            fill="#000"
            d="M8.668 15.556v.85h.597c.176 0 .304-.033.382-.094.097-.076.145-.189.145-.338 0-.15-.056-.263-.167-.336-.081-.055-.213-.082-.396-.082h-.561zM8 15.002h1.235c.208 0 .371.013.491.037a.951.951 0 01.324.135c.266.175.4.44.4.792 0 .313-.111.56-.331.738a.876.876 0 01-.321.165c-.12.034-.268.05-.443.05h-.687V18H8v-2.998zm3.484.554v.85h.597c.176 0 .304-.033.382-.094.097-.076.145-.189.145-.338 0-.15-.056-.263-.167-.336-.081-.055-.213-.082-.396-.082h-.561zm-.668-.554h1.235c.208 0 .37.013.49.037a.951.951 0 01.325.135c.266.175.4.44.4.792 0 .313-.111.56-.331.738a.876.876 0 01-.321.165c-.12.034-.268.05-.443.05h-.687V18h-.668v-2.998zm5.184 0v.555h-.93V18h-.668v-2.444h-.925v-.554H16z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path stroke="#000" d="M9.763 6.75h8.987l7.5 7.5v15H9.75l.013-22.5zm8.987 0v7.5h7.5" />
          <path
            fill="#000"
            d="M13.002 23.335v1.273h.896c.264 0 .456-.048.572-.14.146-.113.218-.283.218-.506 0-.225-.084-.395-.25-.504-.122-.083-.32-.123-.595-.123h-.841zM12 22.504h1.852c.313 0 .557.02.737.055.178.04.34.107.486.203.399.262.6.658.6 1.188 0 .47-.167.838-.497 1.107a1.313 1.313 0 01-.481.247 2.48 2.48 0 01-.664.075h-1.031v1.622H12v-4.497zm5.226.83v1.274h.895c.264 0 .456-.048.573-.14.146-.113.218-.283.218-.506 0-.225-.084-.395-.25-.504-.122-.083-.32-.123-.595-.123h-.841zm-1.002-.83h1.852c.312 0 .557.02.737.055.178.04.34.107.486.203.399.262.6.658.6 1.188 0 .47-.167.838-.497 1.107a1.313 1.313 0 01-.481.247 2.48 2.48 0 01-.665.075h-1.03v1.622h-1.002v-4.497zm7.776 0v.831h-1.395v3.666h-1.002v-3.666h-1.388v-.831H24z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconDocumentPptComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentPptModule {
}
IconDocumentPptModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconDocumentPptComponent],
                exports: [IconDocumentPptComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentSbbComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconDocumentSbbComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-document-sbb',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path stroke="#000" d="M6.509 4.5h5.99l5 5v10h-11l.01-15zm5.991 0v5h5" />
          <path
            fill="#000"
            d="M12.8 14l1.601 1.5H12.5V14h-1v1.5H9.6l1.6-1.5H10l-2 2 2 2h1.2l-1.6-1.5h1.9V18h1v-1.5h1.901L12.8 18H14l2-2-2-2z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path stroke="#000" d="M9.763 6.75h8.987l7.5 7.5v15H9.75l.013-22.5zm8.987 0v7.5h7.5" />
          <path
            fill="#000"
            d="M19.2 21l2.401 2.25H18.75V21h-1.5v2.25H14.4L16.8 21H15l-3 3 3 3h1.8l-2.4-2.25h2.85V27h1.5v-2.25h2.851L19.2 27H21l3-3-3-3z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconDocumentSbbComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentSbbModule {
}
IconDocumentSbbModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconDocumentSbbComponent],
                exports: [IconDocumentSbbComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentSoundComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconDocumentSoundComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-document-sound',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.5 4.504l5.991-.006 5.01 5.006v10h-11v-15zm5.991-.006l.01 5.006h4.998M9.497 13.5v2h1.72l2 2.006 1.28-.006v-6h-1.28l-2 2h-1.72z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.75 6.755l8.987-.009 7.513 7.51v15H9.75v-22.5zm8.987-.008l.014 7.509h7.498M14.245 20.25v3h2.58l3 3.009 1.92-.01v-9h-1.92l-3 3h-2.58z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconDocumentSoundComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentSoundModule {
}
IconDocumentSoundModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconDocumentSoundComponent],
                exports: [IconDocumentSoundComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentStandardComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconDocumentStandardComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-document-standard',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M6.5 4.5h6l5 5v10h-11v-15zm11 5h-5v-5" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M9.75 6.75h9l7.5 7.5v15H9.75V6.75zm16.5 7.5h-7.5v-7.5" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconDocumentStandardComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentStandardModule {
}
IconDocumentStandardModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconDocumentStandardComponent],
                exports: [IconDocumentStandardComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentTextComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconDocumentTextComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-document-text',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.502 4.496h6l5 5v10h-11v-15zm6 0v5h5M9 12.5h6m-6.002 2H15m-6 2h6"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.752 6.744h9l7.5 7.5v15h-16.5v-22.5zm9 0v7.5h7.5M13.5 18.75h9m-9.004 3H22.5m-8.999 3h9"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconDocumentTextComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentTextModule {
}
IconDocumentTextModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconDocumentTextComponent],
                exports: [IconDocumentTextComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentVideoComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconDocumentVideoComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-document-video',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.5 4.5h6l5 5v10h-11v-15zm6 0v5h5m-8 2l4 2.5-4 2.5v-5z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.75 6.75h9l7.5 7.5v15H9.75V6.75zm9 0v7.5h7.5m-12 3l6 3.75-6 3.75v-7.5z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconDocumentVideoComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentVideoModule {
}
IconDocumentVideoModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconDocumentVideoComponent],
                exports: [IconDocumentVideoComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentZipComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconDocumentZipComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-document-zip',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd" stroke="#000">
          <path d="M6.5 4.5h6l5 5v10h-11v-15zm6 0v5h5" />
          <path stroke-dasharray="1 1" d="M8.5 5v13m1-12v13" />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd" stroke="#000">
          <path d="M9.75 6.75h9l7.5 7.5v15H9.75V6.75zm9 0v7.5h7.5" />
          <path stroke-dasharray="1 1" d="M12.75 7.5V27m1.5-18v19.5" />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconDocumentZipComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDocumentZipModule {
}
IconDocumentZipModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconDocumentZipComponent],
                exports: [IconDocumentZipComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconFolderInfoComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconFolderInfoComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-folder-info',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M19.495 6.5l.005 11h-15v-9h10l1-2h3.995zM11 12.5h1.5v3m0-5.5v1M11 15.5h3"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M29.243 9.75l.007 16.5H6.75v-13.5h15l1.5-3h5.993zm-12.743 9h2.25v4.5m0-8.25v1.5m-2.25 6.75H21"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconFolderInfoComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconFolderInfoModule {
}
IconFolderInfoModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconFolderInfoComponent],
                exports: [IconFolderInfoComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconFolderLockComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconFolderLockComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-folder-lock',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M13 17.5H4.5v-9h10l1-2h3.995L19.5 12m-2 4.5v-2a1 1 0 112 0v2m-1 3.5v-2.031m-3 3.531h6v-5h-6v5z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M19.5 26.25H6.75v-13.5h15l1.5-3h5.992L29.25 18m-3 6.75v-3c0-.83.67-1.5 1.5-1.5s1.5.67 1.5 1.5v3M27.75 30v-3.047m-4.5 5.297h9v-7.5h-9v7.5z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconFolderLockComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconFolderLockModule {
}
IconFolderLockModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconFolderLockComponent],
                exports: [IconFolderLockComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconFolderOpenComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconFolderOpenComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-folder-open',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M18.51 9.5v-2h-8v-2H4.5l.01 12h14.149l2.651-8H7.36l-2.85 8"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M27.765 14.25v-3h-12v-3H6.75l.015 18h21.223l3.977-12H11.04l-4.275 12"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconFolderOpenComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconFolderOpenModule {
}
IconFolderOpenModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconFolderOpenComponent],
                exports: [IconFolderOpenComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconFolderOpenArrowComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconFolderOpenArrowComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-folder-open-arrow',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M17.5 12.5v-2h-8v-2H3.491l.009 12h14.15l2.65-8H6.35l-2.85 8m7-15.5l3 3 3-3m-3-3v6"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M26.25 18.75v-3h-12v-3H5.236l.014 18h21.225l3.975-12H9.525l-4.275 12M15.75 7.5l4.5 4.5 4.5-4.5M20.25 3v9"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconFolderOpenArrowComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconFolderOpenArrowModule {
}
IconFolderOpenArrowModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconFolderOpenArrowComponent],
                exports: [IconFolderOpenArrowComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconFolderPlusComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconFolderPlusComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-folder-plus',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M19.5 15v5M17 17.5h5m-7 0H4.5v-9h10l1-2h3.995L19.5 13" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M29.25 22.5V30m-3.75-3.75H33m-10.5 0H6.75v-13.5h15l1.5-3h5.992l.008 9.75"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconFolderPlusComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconFolderPlusModule {
}
IconFolderPlusModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconFolderPlusComponent],
                exports: [IconFolderPlusComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconMetadataComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconMetadataComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-metadata',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M18 15l-2-2m0 4l2-2-2-2M6 9l2 2m0-4L6 9l2 2m-5.5 9.5h19v-17h-19v17zm7.5-13h8m-12 9h8m-4-6h5m1 0h2m-12 3h2m1 0h5"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M27 22.5l-3-3m0 6l3-3-3-3m-15-6l3 3m0-6l-3 3 3 3M3.75 30.75h28.5V5.25H3.75v25.5zM15 11.25h12M9 24.75h12m-6-9h7.5m1.5 0h3m-18 4.5h3m1.5 0H21"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconMetadataComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconMetadataModule {
}
IconMetadataModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconMetadataComponent],
                exports: [IconMetadataComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTwoFoldersComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconTwoFoldersComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-two-folders',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M18.5 9.5V20.501l-15 .008V11.5h10l1-2h4zm-12 2v-6h10l1-2h4v11h-3"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M27.75 14.25v16.5l-22.5.014V17.25h15l1.5-3h6zm-18 3v-9h15l1.5-3h6v16.5h-4.5"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconTwoFoldersComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTwoFoldersModule {
}
IconTwoFoldersModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconTwoFoldersComponent],
                exports: [IconTwoFoldersComponent],
            },] }
];

const modules = [
    IconDocumentCheckModule,
    IconDocumentImageModule,
    IconDocumentLockModule,
    IconDocumentPdfModule,
    IconDocumentPlusModule,
    IconDocumentPptModule,
    IconDocumentSbbModule,
    IconDocumentSoundModule,
    IconDocumentStandardModule,
    IconDocumentTextModule,
    IconDocumentVideoModule,
    IconDocumentZipModule,
    IconFolderInfoModule,
    IconFolderLockModule,
    IconFolderOpenModule,
    IconFolderOpenArrowModule,
    IconFolderPlusModule,
    IconMetadataModule,
    IconTwoFoldersModule,
];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCollectionDocumentModule {
}
IconCollectionDocumentModule.decorators = [
    { type: NgModule, args: [{
                imports: modules,
                exports: modules,
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { IconCollectionDocumentModule, IconDocumentCheckComponent, IconDocumentCheckModule, IconDocumentImageComponent, IconDocumentImageModule, IconDocumentLockComponent, IconDocumentLockModule, IconDocumentPdfComponent, IconDocumentPdfModule, IconDocumentPlusComponent, IconDocumentPlusModule, IconDocumentPptComponent, IconDocumentPptModule, IconDocumentSbbComponent, IconDocumentSbbModule, IconDocumentSoundComponent, IconDocumentSoundModule, IconDocumentStandardComponent, IconDocumentStandardModule, IconDocumentTextComponent, IconDocumentTextModule, IconDocumentVideoComponent, IconDocumentVideoModule, IconDocumentZipComponent, IconDocumentZipModule, IconFolderInfoComponent, IconFolderInfoModule, IconFolderLockComponent, IconFolderLockModule, IconFolderOpenArrowComponent, IconFolderOpenArrowModule, IconFolderOpenComponent, IconFolderOpenModule, IconFolderPlusComponent, IconFolderPlusModule, IconMetadataComponent, IconMetadataModule, IconTwoFoldersComponent, IconTwoFoldersModule };
//# sourceMappingURL=document.js.map
