import { CommonModule } from '@angular/common';
import { Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { IconBase } from '@sbb-esta/angular-icons/core';

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLaptopSmartphoneComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconLaptopSmartphoneComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-laptop-smartphone',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M19.5 11V4.5h-13v9l-4 3v2H14m-.008-5H6.5m7.5 3H2.5m14-4h4a1 1 0 011 1v7a1 1 0 01-1 1h-4a1 1 0 01-1-1v-7a1 1 0 011-1zm.5 1h3"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M29.25 16.5V6.75H9.75v13.5l-6 4.5v3H21m-.012-7.5H9.75M21 24.75H3.75m21-6h6c.83 0 1.5.672 1.5 1.5v10.5c0 .83-.67 1.5-1.5 1.5h-6c-.83 0-1.5-.67-1.5-1.5v-10.5c0-.828.67-1.5 1.5-1.5zm.75 1.5H30"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('large') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 48 48"
      >
        <path
          fill="none"
          stroke="#000"
          d="M30.5 20.41c0-1.05.836-1.91 1.857-1.91h9.286c1.021 0 1.857.86 1.857 1.91V37.59c0 1.05-.836 1.91-1.857 1.91h-9.286c-1.021 0-1.857-.86-1.857-1.91V20.41zM36 37.5h2m-7.5-2h13m-8.5-15h4m-10 14H6.493A1.993 1.993 0 014.5 32.508V31.5H29m0 0H7.5l-.062-20.997c0-1.106.896-2.003 2.003-2.003h29.055c1.108 0 2.004.897 2.004 2.003V17m-31 14.5v-21h29V17"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconLaptopSmartphoneComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLaptopSmartphoneModule {
}
IconLaptopSmartphoneModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconLaptopSmartphoneComponent],
                exports: [IconLaptopSmartphoneComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArchiveBoxComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconArchiveBoxComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-archive-box',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M8 11.8h5m4.5-3h-14m7.2-4H6.5l-3 4v12h14l3-4v-12h-4.4m-8.6 4l4-5 4 5m-2.9-3.625L14.5 2.8l3.87 4.84M17.5 20.8v-12l3-4"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M12 17.7h7.5m6.75-4.5h-21m10.8-6h-6.3l-4.5 6v18h21l4.5-6v-18H24.15m-12.899 6l6-7.5 6 7.5M18.9 7.764l2.85-3.562 5.806 7.258M26.25 31.201v-18l4.5-6"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconArchiveBoxComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArchiveBoxModule {
}
IconArchiveBoxModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconArchiveBoxComponent],
                exports: [IconArchiveBoxComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconBriefcaseComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconBriefcaseComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-briefcase',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M18.97 20.25H4.03a1.53 1.53 0 01-1.53-1.53V8.03c0-.845.685-1.53 1.53-1.53h14.94a1.53 1.53 0 011.53 1.53v10.69c0 .845-.684 1.53-1.53 1.53zM8.5 6.5v-.47c0-.845.688-1.53 1.537-1.53h2.926c.849 0 1.537.685 1.537 1.53v.47m-12 5h18m-7.766 2h-2.468a.766.766 0 01-.766-.766v-2.467c0-.424.343-.767.766-.767h2.468c.423 0 .766.343.766.767v2.467a.766.766 0 01-.766.766z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M28.456 30.375H6.045A2.295 2.295 0 013.75 28.08V12.045A2.295 2.295 0 016.045 9.75h22.411a2.294 2.294 0 012.294 2.295V28.08a2.293 2.293 0 01-2.294 2.294zM12.75 9.75v-.706a2.3 2.3 0 012.306-2.294h4.389a2.3 2.3 0 012.305 2.294v.706m-18 7.5h27m-11.65 3H15.4a1.15 1.15 0 01-1.15-1.15v-3.7c0-.636.515-1.15 1.15-1.15H19.1a1.15 1.15 0 011.149 1.15v3.7a1.15 1.15 0 01-1.15 1.15z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconBriefcaseComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconBriefcaseModule {
}
IconBriefcaseModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconBriefcaseComponent],
                exports: [IconBriefcaseComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconBrochureComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconBrochureComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-brochure',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M13 9l6-2m-6 5l6-2m-6 5l6-2m-6 5l6-2M4 7l6 2m-6 1l6 2m-6 1l6 2m-6 1l6 2m1.5-11.5l9-3v15l-9 3-9-3v-15l9 3zm0 15v-15"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M19.5 13.5l9-3m-9 7.5l9-3m-9 7.5l9-3m-9 7.5l9-3M6 10.5l9 3M6 15l9 3m-9 1.5l9 3M6 24l9 3m2.25-17.25l13.5-4.5v22.5l-13.5 4.5-13.5-4.5V5.25l13.5 4.5zm0 22.5V9.75"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconBrochureComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconBrochureModule {
}
IconBrochureModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconBrochureComponent],
                exports: [IconBrochureComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDeskComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconDeskComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-desk',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M3.5 21V10.5h17V21m0-8.5h-17" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M5.25 31.5V15.75h25.5V31.5m0-12.75H5.25" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconDeskComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDeskModule {
}
IconDeskModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconDeskComponent],
                exports: [IconDeskComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDeskAdjustableComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconDeskAdjustableComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-desk-adjustable',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M16.5 5.7l2-2 2 2m-5 .6l-2 2-2-2m9 14.7V10.5h-17V21m17-8.5h-17m10-9.5v5.3m5-4.6V9"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M24.75 8.55l3-3 3 3m-7.5.9l-3 3-3-3m13.5 22.05V15.75H5.25V31.5m25.5-12.75H5.25m15-14.25v7.95m7.5-6.9v7.95"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconDeskAdjustableComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDeskAdjustableModule {
}
IconDeskAdjustableModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconDeskAdjustableComponent],
                exports: [IconDeskAdjustableComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDisplayComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconDisplayComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-display',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M3.5 16.5h17v-12h-17v12zm8 3h1v-3h-1v3zm-4.5 0h10" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M5.25 24.75h25.5v-18H5.25v18zm12 4.5h1.5v-4.5h-1.5v4.5zm-6.75 0h15"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconDisplayComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDisplayModule {
}
IconDisplayModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconDisplayComponent],
                exports: [IconDisplayComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconKeyboardComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconKeyboardComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-keyboard',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M5 14.5h2m-2-2h1m1 0h1m0 2h1m-2 2h1m-3 0h1m10 0h1m1 0h1m-9-2h1m1 0h1m1 0h1m1 0h1m-8-2h1m1 0h1m1 0h1m1 0h1m-7 4h6m2-4h1.5V15m-15 3.5h17v-8h-17v8zm7-8v-4H15"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.5 21.75h3m-3-3H9m1.5 0H12m0 3h1.5m-3 3H12m-4.5 0H9m15 0h1.5m1.5 0h1.5m-13.5-3h1.5m1.5 0h1.5m1.5 0h1.5m1.5 0h1.5m-12-3H15m1.5 0H18m1.5 0H21m1.5 0H24m-10.5 6h9m3-6h2.25v3.75m-22.5 5.25h25.5v-12H5.25v12zm10.5-12v-6h6.75"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconKeyboardComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconKeyboardModule {
}
IconKeyboardModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconKeyboardComponent],
                exports: [IconKeyboardComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLaptopComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconLaptopComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-laptop',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M4.5 4.5h15v9l2 3v2h-19v-2l2-3v-9zm0 9h15m-17 3h19" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.75 6.75h22.5v13.5l3 4.5v3H3.75v-3l3-4.5V6.75zm0 13.5h22.5m-25.5 4.5h28.5"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconLaptopComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLaptopModule {
}
IconLaptopModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconLaptopComponent],
                exports: [IconLaptopComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconMegaphoneComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconMegaphoneComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-megaphone',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.707 13.5l6 6-2 2-3-3-1 1-3-3 3-3zm4.5 1.5c1.415-1.414 1.763-2.17 7.5-1.5l1-1-9-9-1 1c.669 5.737-.085 6.086-1.5 7.5l3 3zm8-11l-3 3m-1.5-5v3m6.5 3.5h-3"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.06 20.25l9 9-3 3-4.5-4.5-1.5 1.5-4.5-4.5 4.5-4.5zm6.75 2.25c2.123-2.121 2.645-3.254 11.25-2.25l1.5-1.5-13.5-13.5-1.5 1.5c1.004 8.605-.127 9.129-2.25 11.25l4.5 4.5zm12-16.5l-4.5 4.5M22.06 3v4.5m9.75 5.25h-4.5"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconMegaphoneComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconMegaphoneModule {
}
IconMegaphoneModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconMegaphoneComponent],
                exports: [IconMegaphoneComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconOfficeChairComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconOfficeChairComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-office-chair',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.5 16.5h9v-2h-9v2zm4-2h1v-2h-1v2zm0 6h1v-4h-1v4zm-3.5 0h8m-7.5-8h7v-8h-7v8zm9 1.5v-3m-11 3v-3"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M11.25 24.75h13.5v-3h-13.5v3zm6-3h1.5v-3h-1.5v3zm0 9h1.5v-6h-1.5v6zm-5.25 0h12m-11.25-12h10.5v-12h-10.5v12zM26.25 21v-4.5M9.75 21v-4.5"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconOfficeChairComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconOfficeChairModule {
}
IconOfficeChairModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconOfficeChairComponent],
                exports: [IconOfficeChairComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPowerPlugComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconPowerPlugComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-power-plug',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.5 7.5h12V12c0 2.027-1.659 3.5-3.5 3.5h-5c-2.078 0-3.5-1.748-3.5-3.5V7.5zm2-4.5v4.5m8-4.5v4.5m-6 8v3h4v-3m-2 5.5v-2.5"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.75 11.25h18V18c0 3.04-2.488 5.25-5.25 5.25H15c-3.117 0-5.25-2.622-5.25-5.25v-6.75zm3-6.75v6.75m12-6.75v6.75m-9 12v4.5h6v-4.5m-3 8.25v-3.75"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconPowerPlugComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPowerPlugModule {
}
IconPowerPlugModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconPowerPlugComponent],
                exports: [IconPowerPlugComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPrinterComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconPrinterComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-printer',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M8 19.5h8m-8-2h8m-8-2h8m-9.5 6h11v-8h-11v8zm0-5h-4v-9h19v9h-4m-11-9v-4h11v4"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M12 29.25h12m-12-3h12m-12-3h12m-14.25 9h16.5v-12H9.75v12zm0-7.5h-6v-13.5h28.5v13.5h-6m-16.5-13.5v-6h16.5v6"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconPrinterComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPrinterModule {
}
IconPrinterModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconPrinterComponent],
                exports: [IconPrinterComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconScannerComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconScannerComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-scanner',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M3.5 6.5V5.2c0-.844.91-1.7 1.7-1.7h13.6c.764 0 1.7 1.053 1.7 1.7v1.3l-2 4 2 6v2.2c0 .785-.826 1.8-1.7 1.8H5.2c-.874 0-1.7-.838-1.7-1.7v-2.3l2-6-2-4zm0 0h17m-15 4h13m-15 6h17m-4.5 2h2"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M5.25 9.75V7.8c0-1.266 1.365-2.55 2.55-2.55h20.4c1.146 0 2.55 1.58 2.55 2.55v1.95l-3 6 3 9v3.3c0 1.177-1.239 2.7-2.55 2.7H7.8c-1.311 0-2.55-1.257-2.55-2.55v-3.45l3-9-3-6zm0 0h25.5m-22.5 6h19.5m-22.5 9h25.5m-6.75 3h3"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconScannerComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconScannerModule {
}
IconScannerModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconScannerComponent],
                exports: [IconScannerComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSmartphoneComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconSmartphoneComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-smartphone',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10 5.5h4m-6.5-.001v14a1 1 0 001 1h7a1 1 0 001-1v-14a1 1 0 00-1-1h-7a1 1 0 00-1 1z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M15 8.25h6m-9.75-.002V29.25c0 .829.672 1.5 1.5 1.5h10.5c.83 0 1.5-.671 1.5-1.5v-21a1.5 1.5 0 00-1.5-1.5l-10.5-.002a1.5 1.5 0 00-1.5 1.5z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSmartphoneComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSmartphoneModule {
}
IconSmartphoneModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSmartphoneComponent],
                exports: [IconSmartphoneComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSpeakerComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconSpeakerComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-speaker',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M13.5 6.067v11.865l-5.319-4.438H4.5v-3h3.681L13.5 6.068zM18.273 17.9l-2.267-1.4m2.267-10.402L16.006 7.5m3.598 1.609L16.006 10m0 3.999l3.597.893M20 12h-3.993"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M20.25 9.1v17.797l-7.979-6.657H6.75v-4.498h5.521L20.25 9.1zm7.159 17.752l-3.4-2.102m3.4-15.601l-3.4 2.101m5.396 2.413L24.01 15m0 5.999l5.394 1.34M30 18h-5.99"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSpeakerComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSpeakerModule {
}
IconSpeakerModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSpeakerComponent],
                exports: [IconSpeakerComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSuitcaseComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconSuitcaseComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-suitcase',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M3.5 7.509V20.5h17V7.509h-17zm6 0v-3h5v3" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M5.25 11.264V30.75h25.5V11.264H5.25zm9 0v-4.5h7.5v4.5" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSuitcaseComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSuitcaseModule {
}
IconSuitcaseModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSuitcaseComponent],
                exports: [IconSuitcaseComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSuitcaseDisabledComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconSuitcaseDisabledComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-suitcase-disabled',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M20.5 20V6.509h-11L7 6.5m-2.836.01H3.5V19.5h13.699M9.5 6.51v-3h5v3M2.343 4.655L19.348 21.65"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M30.75 30V9.764h-16.5L10.5 9.75m-4.255.014H5.25V29.25h20.549M14.25 9.764v-4.5h7.5v4.5M3.515 6.984l25.507 25.49"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSuitcaseDisabledComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSuitcaseDisabledModule {
}
IconSuitcaseDisabledModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSuitcaseDisabledComponent],
                exports: [IconSuitcaseDisabledComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTelephoneGsmComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconTelephoneGsmComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-telephone-gsm',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.5 20.5h11v-16h-11v16zm6-16v-1h2v1m-.5 10h2m-5 0h2m-5 0h2m-2 2h2m-2 2h2m1 0h2m-2-2h2m1 0h2m-2 2h2m-7.5-6h7v-6h-7v6z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.75 30.75h16.5v-24H9.75v24zm9-24v-1.5h3v1.5m-.75 15h3m-7.5 0h3m-7.5 0h3m-3 3h3m-3 3h3m1.5 0h3m-3-3h3m1.5 0h3m-3 3h3m-11.25-9h10.5v-9h-10.5v9z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconTelephoneGsmComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTelephoneGsmModule {
}
IconTelephoneGsmModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconTelephoneGsmComponent],
                exports: [IconTelephoneGsmComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTelephoneReceiverComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconTelephoneReceiverComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-telephone-receiver',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.31 14.99c2.572 4.455 6.334 7.167 8.685 6.372a.736.736 0 00.242-.085l1.702-.982c.521-.3.664-1.035.32-1.633l-1.757-3.042c-.345-.598-1.053-.84-1.573-.54l-1.974 1.14c-.198.114-.463.057-.632-.142a19.45 19.45 0 01-1.988-2.837 19.44 19.44 0 01-1.463-3.14c-.088-.245-.004-.504.193-.617l1.974-1.14c.521-.3.665-1.036.32-1.633L9.602 3.67c-.345-.597-1.053-.84-1.573-.54l-1.703.983a.762.762 0 00-.194.167C4.268 5.92 4.736 10.531 7.31 14.99z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.964 22.484c3.86 6.684 9.502 10.752 13.029 9.56.126-.025.249-.06.363-.128l2.553-1.473c.781-.45.996-1.553.478-2.45l-2.634-4.563c-.517-.897-1.58-1.26-2.36-.81l-2.96 1.709c-.297.172-.695.087-.948-.212a29.175 29.175 0 01-2.982-4.255 29.161 29.161 0 01-2.195-4.71c-.132-.368-.006-.756.29-.926l2.96-1.711c.782-.45.998-1.553.48-2.448l-2.635-4.563c-.517-.896-1.58-1.262-2.36-.81L9.49 6.168a1.143 1.143 0 00-.29.25c-2.797 2.46-2.095 9.379 1.765 16.066z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconTelephoneReceiverComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTelephoneReceiverModule {
}
IconTelephoneReceiverModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconTelephoneReceiverComponent],
                exports: [IconTelephoneReceiverComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWalkieTalkieComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconWalkieTalkieComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-walkie-talkie',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.5 20.5h9v-14h-9v14zm0-13h-1v4h1m7-8.5v3.5m-5.5 8h6m-6 2h6m-6 2h6M13.5 10c0 .771-.727 1.5-1.498 1.5S10.5 10.771 10.5 10s.729-1.5 1.5-1.5 1.5.729 1.5 1.5z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M11.25 30.75h13.5v-21h-13.5v21zm0-19.5h-1.5v6h1.5M21.75 4.5v5.25m-8.25 12h9m-9 3h9m-9 3h9M20.25 15c0 1.157-1.09 2.25-2.247 2.25-1.157 0-2.253-1.093-2.253-2.25 0-1.156 1.093-2.25 2.25-2.25s2.25 1.094 2.25 2.25z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconWalkieTalkieComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWalkieTalkieModule {
}
IconWalkieTalkieModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconWalkieTalkieComponent],
                exports: [IconWalkieTalkieComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWeightComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconWeightComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-weight',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M5.5 7.5h13l2 13h-17l2-13zm8.5-2A2 2 0 119.999 5.5 2 2 0 0114 5.5z"
          />
          <path
            fill="#000"
            d="M11.834 12.01l-2.238 2.258 2.449 3.453h-1.574l-1.734-2.563-.719.72v1.843H6.772v-5.71h1.246v2.363l2.238-2.364h1.578zm5.46 2.633v3.078h-.796l-.125-.652c-.422.525-.991.79-1.707.79-.872 0-1.561-.323-2.066-.97-.42-.539-.63-1.205-.63-1.996 0-.898.274-1.634.82-2.207.514-.542 1.177-.813 1.989-.813.75 0 1.36.243 1.832.727.352.365.554.794.606 1.29H16.01c-.063-.309-.202-.548-.42-.72-.218-.172-.493-.257-.826-.257-.505 0-.896.195-1.172.585-.242.341-.363.802-.363 1.383 0 .568.113 1.018.339 1.352.279.408.69.613 1.235.613.393 0 .716-.119.967-.355.25-.238.383-.549.396-.934h-1.27v-.914h2.399z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M8.25 11.25h19.5l3 19.5H5.25l3-19.5zm12.75-3a3.001 3.001 0 01-6 0 3 3 0 016 0z"
          />
          <path
            fill="#000"
            d="M17.751 18.016l-3.357 3.387 3.673 5.18h-2.36l-2.602-3.845-1.078 1.078v2.766h-1.869v-8.566h1.869v3.544l3.357-3.544h2.367zm8.191 3.949v4.617h-1.195l-.188-.978c-.633.787-1.486 1.183-2.56 1.183-1.308 0-2.342-.483-3.1-1.453-.628-.809-.943-1.808-.943-2.994 0-1.347.41-2.451 1.23-3.31.77-.814 1.764-1.22 2.982-1.22 1.125 0 2.042.364 2.748 1.09.528.548.831 1.191.91 1.934h-1.811c-.095-.462-.303-.82-.63-1.079-.327-.258-.74-.385-1.24-.385-.757 0-1.343.292-1.757.877-.363.512-.545 1.203-.545 2.075 0 .852.17 1.527.509 2.028.418.612 1.036.92 1.852.92.59 0 1.074-.18 1.45-.533.377-.357.575-.824.595-1.401h-1.904v-1.371h3.597z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconWeightComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWeightModule {
}
IconWeightModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconWeightComponent],
                exports: [IconWeightComponent],
            },] }
];

const modules = [
    IconLaptopSmartphoneModule,
    IconArchiveBoxModule,
    IconBriefcaseModule,
    IconBrochureModule,
    IconDeskModule,
    IconDeskAdjustableModule,
    IconDisplayModule,
    IconKeyboardModule,
    IconLaptopModule,
    IconMegaphoneModule,
    IconOfficeChairModule,
    IconPowerPlugModule,
    IconPrinterModule,
    IconScannerModule,
    IconSmartphoneModule,
    IconSpeakerModule,
    IconSuitcaseModule,
    IconSuitcaseDisabledModule,
    IconTelephoneGsmModule,
    IconTelephoneReceiverModule,
    IconWalkieTalkieModule,
    IconWeightModule,
];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCollectionHardwareModule {
}
IconCollectionHardwareModule.decorators = [
    { type: NgModule, args: [{
                imports: modules,
                exports: modules,
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { IconArchiveBoxComponent, IconArchiveBoxModule, IconBriefcaseComponent, IconBriefcaseModule, IconBrochureComponent, IconBrochureModule, IconCollectionHardwareModule, IconDeskAdjustableComponent, IconDeskAdjustableModule, IconDeskComponent, IconDeskModule, IconDisplayComponent, IconDisplayModule, IconKeyboardComponent, IconKeyboardModule, IconLaptopComponent, IconLaptopModule, IconLaptopSmartphoneComponent, IconLaptopSmartphoneModule, IconMegaphoneComponent, IconMegaphoneModule, IconOfficeChairComponent, IconOfficeChairModule, IconPowerPlugComponent, IconPowerPlugModule, IconPrinterComponent, IconPrinterModule, IconScannerComponent, IconScannerModule, IconSmartphoneComponent, IconSmartphoneModule, IconSpeakerComponent, IconSpeakerModule, IconSuitcaseComponent, IconSuitcaseDisabledComponent, IconSuitcaseDisabledModule, IconSuitcaseModule, IconTelephoneGsmComponent, IconTelephoneGsmModule, IconTelephoneReceiverComponent, IconTelephoneReceiverModule, IconWalkieTalkieComponent, IconWalkieTalkieModule, IconWeightComponent, IconWeightModule };
//# sourceMappingURL=hardware.js.map
