import { CommonModule } from '@angular/common';
import { Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { IconBase } from '@sbb-esta/angular-icons/core';

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowCompassComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconArrowCompassComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-arrow-compass',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M12.5 18.5v-7h-7l14.44-7.441z" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M18.75 27.75v-10.5H8.25L29.91 6.088z" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconArrowCompassComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowCompassModule {
}
IconArrowCompassModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconArrowCompassComponent],
                exports: [IconArrowCompassComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconGpsComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconGpsComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-gps',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M19.5 12.5c0 3.876-3.123 7-7 7s-7-3.124-7-7c0-3.877 3.123-7 7-7s7 3.123 7 7zm-3 0a4 4 0 11-8.002-.001 4 4 0 018.002.001zm-10.996 0H3m16.504-.004h2.495M12.504 19.5V22m0-16.5V3"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M29.25 18.75a10.48 10.48 0 01-10.5 10.5 10.48 10.48 0 01-10.5-10.5c0-5.815 4.684-10.5 10.5-10.5s10.5 4.685 10.5 10.5zm-4.5 0a6.001 6.001 0 01-12 0 6 6 0 0112 0zm-16.494 0H4.5m24.756-.006h3.742M18.756 29.25V33m0-24.75V4.5"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconGpsComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconGpsModule {
}
IconGpsModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconGpsComponent],
                exports: [IconGpsComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconGpsDisabledComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconGpsDisabledComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-gps-disabled',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M5.504 12.5H3m16.504-.004h2.495M12.504 19.5V22m0-16.5V3M9.67 9.672a4 4 0 005.657 5.657m0 0a4 4 0 01-5.657-5.657M7.546 7.546A6.977 6.977 0 005.5 12.5c0 3.877 3.123 7 7 7a6.982 6.982 0 004.954-2.046m-1.313-3.314a3.963 3.963 0 00.359-1.64 4 4 0 00-4-4 3.98 3.98 0 00-1.64.36m7.49 7.49a6.978 6.978 0 001.15-3.85c0-3.877-3.123-7-7-7a6.978 6.978 0 00-3.85 1.15m2.21 2.21a3.968 3.968 0 011.64-.36 4 4 0 014 4c0 .587-.133 1.139-.36 1.64M5.075 5.076l14.85 14.85"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M8.256 18.75H4.5m24.756-.006h3.742M18.756 29.25V33m0-24.75V4.5m-4.249 10.007a6 6 0 008.486 8.485m0 .001a6 6 0 01-8.485-8.486m-3.188-3.188a10.466 10.466 0 00-3.07 7.431c0 5.816 4.685 10.5 10.5 10.5 2.908 0 5.533-1.171 7.432-3.069m-1.971-4.97c.34-.753.538-1.581.538-2.46a6 6 0 00-6-6c-.879 0-1.707.2-2.46.538m11.235 11.235a10.468 10.468 0 001.725-5.774c0-5.815-4.684-10.5-10.5-10.5-2.136 0-4.117.636-5.773 1.725m3.313 3.314a5.952 5.952 0 012.462-.538 6 6 0 016 6c0 .879-.2 1.707-.54 2.46M7.613 7.613l22.275 22.274"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconGpsDisabledComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconGpsDisabledModule {
}
IconGpsDisabledModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconGpsDisabledComponent],
                exports: [IconGpsDisabledComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLocationPinComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconLocationPinComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-location-pin',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M15.492 9.007a3.5 3.5 0 11-7 0 3.5 3.5 0 017 0zm1.992.007a5.5 5.5 0 00-11 0c.037.943.316 1.736.766 2.486L12 18.998l4.75-7.498c.443-.777.726-1.585.734-2.486z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M23.238 13.51a5.25 5.25 0 11-10.5 0 5.25 5.25 0 0110.5 0zm2.989.012a8.25 8.25 0 00-16.5 0c.055 1.414.474 2.604 1.149 3.729L18 28.498l7.125-11.247c.664-1.166 1.089-2.378 1.1-3.73z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconLocationPinComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLocationPinModule {
}
IconLocationPinModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconLocationPinComponent],
                exports: [IconLocationPinComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLocationPinAComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconLocationPinAComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-location-pin-a',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M17.5 10.002a5.5 5.5 0 00-11 0c.037.943.316 1.736.765 2.485l4.75 7.5 4.751-7.5c.443-.777.725-1.585.734-2.485z"
          />
          <path
            fill="#000"
            d="M13.176 10.117L11.983 6.9l-1.198 3.217h2.39zm-.653-4.119l2.728 7.007h-1.025l-.778-2.143h-2.93l-.797 2.143h-.974l2.74-7.007h1.036z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M26.25 15.003a8.25 8.25 0 00-16.5 0c.056 1.415.474 2.604 1.148 3.728l7.125 11.248 7.126-11.248c.665-1.166 1.087-2.378 1.101-3.728z"
          />
          <path
            fill="#000"
            d="M19.764 15.176l-1.79-4.825-1.797 4.825h3.587zm-.98-6.178l4.092 10.51H21.34l-1.167-3.214h-4.395l-1.196 3.214h-1.46l4.11-10.51h1.553z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconLocationPinAComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLocationPinAModule {
}
IconLocationPinAModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconLocationPinAComponent],
                exports: [IconLocationPinAComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLocationPinBComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconLocationPinBComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-location-pin-b',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            fill="#000"
            d="M10.832 10.737v2.466h1.665c.575 0 .962-.056 1.161-.168.339-.191.509-.539.509-1.044 0-.568-.229-.948-.686-1.139-.178-.077-.552-.115-1.122-.115h-1.527zm0-2.926V9.99h1.501c.412 0 .715-.03.911-.091a.863.863 0 00.468-.369 1.16 1.16 0 00.175-.637c0-.242-.051-.45-.152-.622a.837.837 0 00-.423-.369c-.152-.061-.451-.091-.897-.091h-1.583zm-.833-.804h2.537c.615 0 1.065.078 1.346.234.259.144.464.352.615.625.151.273.227.571.227.893 0 .342-.083.645-.248.91-.166.265-.394.46-.684.584.235.07.418.155.548.254.442.332.664.816.664 1.451 0 .833-.31 1.431-.928 1.796-.29.169-.673.254-1.147.254h-2.93V7.007z"
          />
          <path
            stroke="#000"
            d="M17.5 10.008a5.5 5.5 0 00-11 0c.037.943.316 1.736.766 2.485l4.75 7.499 4.75-7.499c.443-.777.726-1.585.734-2.485z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            fill="#000"
            d="M16.248 16.105v3.7h2.497c.863 0 1.444-.084 1.742-.253.509-.286.764-.808.764-1.566 0-.852-.344-1.422-1.03-1.708-.267-.115-.828-.172-1.683-.172h-2.29zm0-4.389v3.269H18.5c.617 0 1.072-.045 1.366-.136.293-.097.528-.281.702-.554.174-.273.262-.591.262-.956 0-.363-.076-.675-.227-.933a1.255 1.255 0 00-.635-.553c-.228-.091-.677-.136-1.346-.136h-2.374zm-1.25-1.205h3.806c.923 0 1.598.117 2.019.35.389.216.696.528.922.938.227.41.341.857.341 1.34 0 .513-.124.967-.372 1.365-.249.397-.591.69-1.026.876.353.104.627.232.822.38.663.499.996 1.225.996 2.177 0 1.25-.465 2.146-1.392 2.694-.435.253-1.01.381-1.72.381h-4.395V10.51z"
          />
          <path
            stroke="#000"
            d="M26.25 15.012a8.25 8.25 0 00-16.5 0c.056 1.415.474 2.604 1.149 3.727l7.125 11.249 7.125-11.248c.665-1.166 1.089-2.378 1.101-3.728z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconLocationPinBComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLocationPinBModule {
}
IconLocationPinBModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconLocationPinBComponent],
                exports: [IconLocationPinBComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLocationPinMapComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconLocationPinMapComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-location-pin-map',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M18.5 9V7.3l-5-2.7-5 4-5-3.6v8.75l5 3.65 5-4 .8.9M8.5 8.6v8.8m5-12.8v8.8m6.997-.212c0-1.485-1.118-2.688-2.497-2.688-1.378 0-2.496 1.204-2.496 2.688.016.461.143.85.347 1.215l2.157 3.665 2.155-3.665c.201-.38.33-.774.334-1.215zM18.5 13a.5.5 0 01-.495.5.508.508 0 01-.505-.5c0-.273.227-.5.5-.5s.5.227.5.5z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M27.75 13.5v-2.55l-7.5-4.05-7.5 6-7.5-5.4v13.125l7.5 5.475 7.5-6 1.2 1.35m-8.7-8.55v13.2m7.5-19.2v13.2m10.496-.317c0-2.228-1.677-4.032-3.746-4.032-2.067 0-3.744 1.804-3.744 4.032.024.691.215 1.273.52 1.822l3.236 5.498 3.233-5.498c.301-.57.495-1.162.5-1.822zM27.75 19.5a.75.75 0 01-.742.75.763.763 0 01-.758-.75c0-.41.34-.75.75-.75s.75.34.75.75z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconLocationPinMapComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLocationPinMapModule {
}
IconLocationPinMapModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconLocationPinMapComponent],
                exports: [IconLocationPinMapComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLocationPinPulseSurroundingAreaComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconLocationPinPulseSurroundingAreaComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-location-pin-pulse-surrounding-area',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M17.5 8.015a5.5 5.5 0 00-11 0c.037.943.316 1.736.766 2.485l4.75 7.499 4.75-7.5c.443-.775.726-1.584.734-2.484zm-8.698 7.66C5.119 16.09 2.5 17.206 2.5 18.5c0 1.645 4.232 3 9.5 3 5.269 0 9.5-1.355 9.5-3 0-1.284-2.58-2.392-6.218-2.816M6.787 9.5H9l1.5-4 1.5 6 1.5-4 1 1.99h2.734"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M26.25 12.022a8.25 8.25 0 00-16.5 0c.056 1.415.474 2.604 1.149 3.728l7.125 11.248 7.125-11.248c.665-1.164 1.089-2.378 1.101-3.728zm-13.047 11.49c-5.525.625-9.453 2.298-9.453 4.237 0 2.468 6.348 4.5 14.25 4.5 7.903 0 14.25-2.032 14.25-4.5 0-1.924-3.87-3.586-9.327-4.222M10.18 14.25h3.32l2.25-6 2.25 9 2.25-6 1.5 2.985h4.1"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconLocationPinPulseSurroundingAreaComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLocationPinPulseSurroundingAreaModule {
}
IconLocationPinPulseSurroundingAreaModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconLocationPinPulseSurroundingAreaComponent],
                exports: [IconLocationPinPulseSurroundingAreaComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLocationPinSurroundingAreaComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconLocationPinSurroundingAreaComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-location-pin-surrounding-area',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M15.508 8.007a3.5 3.5 0 11-7 0 3.5 3.5 0 017 0zm1.992.008a5.5 5.5 0 00-11 0c.037.943.316 1.737.766 2.486l4.75 7.498 4.75-7.498c.443-.777.726-1.585.734-2.486zm-8.698 7.66C5.119 16.092 2.5 17.207 2.5 18.5c0 1.644 4.232 3 9.5 3 5.269 0 9.5-1.356 9.5-3 0-1.283-2.58-2.391-6.218-2.815"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M23.262 12.01a5.25 5.25 0 11-10.5 0 5.25 5.25 0 0110.5 0zm2.988.012a8.25 8.25 0 00-16.5 0c.056 1.414.474 2.605 1.149 3.729l7.125 11.247 7.125-11.247c.665-1.166 1.089-2.378 1.101-3.73zm-13.047 11.49c-5.525.626-9.453 2.298-9.453 4.238 0 2.466 6.348 4.5 14.25 4.5 7.903 0 14.25-2.034 14.25-4.5 0-1.925-3.87-3.587-9.327-4.223"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconLocationPinSurroundingAreaComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLocationPinSurroundingAreaModule {
}
IconLocationPinSurroundingAreaModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconLocationPinSurroundingAreaComponent],
                exports: [IconLocationPinSurroundingAreaComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconMountainMinusComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconMountainMinusComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-mountain-minus',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M15.94 6.502h5.065M11.5 5l7.903 14.048.847 1.452H2.75l2.538-4.35L11.5 5zM5.288 16.15l6.727-4.105 7.389 7.002"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M23.91 9.753h7.597M17.25 7.5l11.855 21.072 1.27 2.178H4.125l3.807-6.525L17.25 7.5zM7.931 24.226l10.09-6.158 11.084 10.503"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconMountainMinusComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconMountainMinusModule {
}
IconMountainMinusModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconMountainMinusComponent],
                exports: [IconMountainMinusComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconMountainPlusComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconMountainPlusComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-mountain-plus',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M15.94 6.502h5.065M11.5 5l7.903 14.048.847 1.452H2.75l2.538-4.35L11.5 5zM5.288 16.15l6.727-4.105 7.389 7.002M18.5 4v5"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M23.91 9.753h7.597M17.25 7.5l11.855 21.072 1.27 2.178H4.125l3.807-6.525L17.25 7.5zM7.931 24.226l10.09-6.158 11.084 10.503M27.75 6v7.5"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconMountainPlusComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconMountainPlusModule {
}
IconMountainPlusModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconMountainPlusComponent],
                exports: [IconMountainPlusComponent],
            },] }
];

const modules = [
    IconArrowCompassModule,
    IconGpsModule,
    IconGpsDisabledModule,
    IconLocationPinModule,
    IconLocationPinAModule,
    IconLocationPinBModule,
    IconLocationPinMapModule,
    IconLocationPinPulseSurroundingAreaModule,
    IconLocationPinSurroundingAreaModule,
    IconMountainMinusModule,
    IconMountainPlusModule,
];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCollectionLocationModule {
}
IconCollectionLocationModule.decorators = [
    { type: NgModule, args: [{
                imports: modules,
                exports: modules,
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { IconArrowCompassComponent, IconArrowCompassModule, IconCollectionLocationModule, IconGpsComponent, IconGpsDisabledComponent, IconGpsDisabledModule, IconGpsModule, IconLocationPinAComponent, IconLocationPinAModule, IconLocationPinBComponent, IconLocationPinBModule, IconLocationPinComponent, IconLocationPinMapComponent, IconLocationPinMapModule, IconLocationPinModule, IconLocationPinPulseSurroundingAreaComponent, IconLocationPinPulseSurroundingAreaModule, IconLocationPinSurroundingAreaComponent, IconLocationPinSurroundingAreaModule, IconMountainMinusComponent, IconMountainMinusModule, IconMountainPlusComponent, IconMountainPlusModule };
//# sourceMappingURL=location.js.map
