import { CommonModule } from '@angular/common';
import { Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { IconBase } from '@sbb-esta/angular-icons/core';

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCircleMinusComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCircleMinusComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-circle-minus',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M12.5 3.5a8 8 0 110 16 8 8 0 010-16zm-4.5 8h9" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M18.75 5.25c6.627 0 12 5.373 12 12 0 6.628-5.373 12-12 12s-12-5.372-12-12c0-6.627 5.373-12 12-12zm-6.75 12h13.5"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCircleMinusComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCircleMinusModule {
}
IconCircleMinusModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCircleMinusComponent],
                exports: [IconCircleMinusComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCirclePlusComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCirclePlusComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-circle-plus',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M12.5 3.5a8 8 0 110 16 8 8 0 010-16zm-4.5 8h9M12.5 7v9"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M18.75 5.25c6.627 0 12 5.373 12 12 0 6.628-5.373 12-12 12s-12-5.372-12-12c0-6.627 5.373-12 12-12zm-6.75 12h13.5m-6.75-6.75V24"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCirclePlusComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCirclePlusModule {
}
IconCirclePlusModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCirclePlusComponent],
                exports: [IconCirclePlusComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconContextMenuComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconContextMenuComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-context-menu',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            fill="#000"
            d="M13.5 5a1.5 1.5 0 11-3 0 1.5 1.5 0 013 0zm0 7a1.5 1.5 0 11-3 0 1.5 1.5 0 013 0zm0 7a1.5 1.5 0 11-2.999.001A1.5 1.5 0 0113.5 19z"
          />
          <path
            stroke="#000"
            d="M13.5 5a1.5 1.5 0 11-3 0 1.5 1.5 0 013 0zm0 7a1.5 1.5 0 11-3 0 1.5 1.5 0 013 0zm0 7a1.5 1.5 0 11-2.999.001A1.5 1.5 0 0113.5 19z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            fill="#000"
            d="M20.25 7.5a2.25 2.25 0 11-4.5 0 2.25 2.25 0 014.5 0zm0 10.5a2.25 2.25 0 11-4.5 0 2.25 2.25 0 014.5 0zm0 10.5A2.249 2.249 0 0118 30.75a2.249 2.249 0 110-4.5 2.25 2.25 0 012.25 2.25z"
          />
          <path
            stroke="#000"
            d="M20.25 7.5a2.25 2.25 0 11-4.5 0 2.25 2.25 0 014.5 0zm0 10.5a2.25 2.25 0 11-4.5 0 2.25 2.25 0 014.5 0zm0 10.5A2.249 2.249 0 0118 30.75a2.249 2.249 0 110-4.5 2.25 2.25 0 012.25 2.25z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconContextMenuComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconContextMenuModule {
}
IconContextMenuModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconContextMenuComponent],
                exports: [IconContextMenuComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCrossComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCrossComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cross',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M12 12l-6 6 6-6 6 6-6-6zm0 0l6-6-6 6-6-6 6 6z" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M18 18l-9 9 9-9 9 9-9-9zm0 0l9-9-9 9-9-9 9 9z" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCrossComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCrossModule {
}
IconCrossModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCrossComponent],
                exports: [IconCrossComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDragComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconDragComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-drag',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M20 7.5H4h16zm0 8H4h16zm0-4H4h16z" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M30 11.25H6h24zm0 12H6h24zm0-6H6h24z" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconDragComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDragModule {
}
IconDragModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconDragComponent],
                exports: [IconDragComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconHamburgerMenuComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconHamburgerMenuComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-hamburger-menu',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M20 5.5H4h16zm0 14H4h16zm0-7H4h16z" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M30 8.25H6h24zm0 21H6h24zm0-10.5H6h24z" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconHamburgerMenuComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconHamburgerMenuModule {
}
IconHamburgerMenuModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconHamburgerMenuComponent],
                exports: [IconHamburgerMenuComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconHouseComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconHouseComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-house',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M18.5 9.5v10h-4.01v-5h-5v5H5.5v-10M4 11l8-8 8 8" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M27.75 14.25v15h-6.015v-7.5h-7.5v7.5H8.25v-15M6 16.5l12-12 12 12"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconHouseComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconHouseModule {
}
IconHouseModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconHouseComponent],
                exports: [IconHouseComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLayersComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconLayersComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-layers',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M12 16.606L2.394 10 12 3.393 21.606 10 12 16.606zM5.302 12l-2.908 2L12 20.606 21.607 14l-2.91-2"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M18 24.91L3.591 15 18 5.09 32.409 15 18 24.91zM7.953 18L3.59 21 18 30.91 32.41 21l-4.363-3"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconLayersComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLayersModule {
}
IconLayersModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconLayersComponent],
                exports: [IconLayersComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconMinusComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconMinusComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-minus',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M20 12.5H3" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M30 18.75H4.5" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconMinusComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconMinusModule {
}
IconMinusModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconMinusComponent],
                exports: [IconMinusComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPlusComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconPlusComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-plus',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M11.5 21V4m8.5 8.5H3" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M17.25 31.5V6M30 18.75H4.5" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconPlusComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPlusModule {
}
IconPlusModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconPlusComponent],
                exports: [IconPlusComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTwoFingerTapComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconTwoFingerTapComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-two-finger-tap',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M11.5 12.5l-.002-5.999a1 1 0 112.003 0l-.002 6.5m2.001-.5a1 1 0 112.003 0s-.003.562-.003 3.5c0 2.936-.9 4.5-.9 4.5H9.5s-3.395-5.76-3.707-6.292c-.312-.531-.391-1.024 0-1.415a1.001 1.001 0 011.416 0l2.29 2.29H9.5v-2.583l-.002-5a1.002 1.002 0 012.003 0l-.001 5.506m1.997-1.508a1 1 0 112.003 0V13M15 8.152c.316-.472.5-1.04.5-1.652a3 3 0 00-3-3 2.98 2.98 0 00-2.241 1.024 2.982 2.982 0 00-2.265 4.619"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M17.25 18.75l-.002-8.998a1.501 1.501 0 113.003 0l-.002 9.75m3.001-.75a1.501 1.501 0 113.005 0s-.005.842-.005 5.249c0 4.405-1.35 6.75-1.35 6.75H14.25s-5.092-8.639-5.56-9.437c-.468-.798-.587-1.537 0-2.124a1.502 1.502 0 012.123 0l3.435 3.437h.002V18.75l-.003-7.499a1.502 1.502 0 013.005 0l-.002 8.26m2.996-2.264a1.501 1.501 0 113.004 0V19.5m-.75-7.273c.474-.708.75-1.56.75-2.478 0-2.487-2.015-4.5-4.5-4.5a4.469 4.469 0 00-3.361 1.536c-2.315.188-4.139 2.102-4.139 4.464 0 .912.276 1.757.741 2.465"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconTwoFingerTapComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTwoFingerTapModule {
}
IconTwoFingerTapModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconTwoFingerTapComponent],
                exports: [IconTwoFingerTapComponent],
            },] }
];

const modules = [
    IconCircleMinusModule,
    IconCirclePlusModule,
    IconContextMenuModule,
    IconCrossModule,
    IconDragModule,
    IconHamburgerMenuModule,
    IconHouseModule,
    IconLayersModule,
    IconMinusModule,
    IconPlusModule,
    IconTwoFingerTapModule,
];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCollectionNavigationModule {
}
IconCollectionNavigationModule.decorators = [
    { type: NgModule, args: [{
                imports: modules,
                exports: modules,
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { IconCircleMinusComponent, IconCircleMinusModule, IconCirclePlusComponent, IconCirclePlusModule, IconCollectionNavigationModule, IconContextMenuComponent, IconContextMenuModule, IconCrossComponent, IconCrossModule, IconDragComponent, IconDragModule, IconHamburgerMenuComponent, IconHamburgerMenuModule, IconHouseComponent, IconHouseModule, IconLayersComponent, IconLayersModule, IconMinusComponent, IconMinusModule, IconPlusComponent, IconPlusModule, IconTwoFingerTapComponent, IconTwoFingerTapModule };
//# sourceMappingURL=navigation.js.map
