import { CommonModule } from '@angular/common';
import { Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { IconBase } from '@sbb-esta/angular-icons/core';

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTwitterComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconTwitterComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-twitter',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 24 24"
    >
      <path
        d="M18.9 7.4c.8-.5 1.3-1.2 1.6-2.1-.7.4-1.5.7-2.3.9-.7-.7-1.7-1.2-2.7-1.2-2 0-3.7 1.7-3.7 3.8 0 .3 0 .6.1.9-3.1-.2-5.8-1.7-7.6-4-.4.6-.5 1.2-.5 1.9 0 1.3.7 2.5 1.6 3.2-.6 0-1.2-.2-1.7-.5 0 1.8 1.3 3.4 3 3.7-.3.1-.6.1-1 .1-.2 0-.5 0-.7-.1.5 1.5 1.8 2.6 3.4 2.6-1.3 1-2.9 1.6-4.6 1.6-.3 0-.6 0-.9-.1C4.6 19.4 6.6 20 8.7 20c6.8 0 10.5-5.8 10.5-10.8v-.5c.7-.5 1.3-1.2 1.8-1.9-.7.3-1.4.5-2.1.6z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconTwitterComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTwitterModule {
}
IconTwitterModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconTwitterComponent],
                exports: [IconTwitterComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconFacebookComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconFacebookComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-facebook',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 24 24"
    >
      <path d="M17 6V3h-5.3c-.9 0-1.7.7-1.7 1.7V9H8v3h2v9h4v-9h2V9h-2V6h3z" />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconFacebookComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconFacebookModule {
}
IconFacebookModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconFacebookComponent],
                exports: [IconFacebookComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconInstagramComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconInstagramComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-instagram',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 24 24"
    >
      <path
        d="M18.9 3H5.1C3.9 3 3 3.9 3 5.1v13.8c0 1.2.9 2.1 2.1 2.1h13.8c1.1 0 2.1-.9 2.1-2.1V5.1c0-1.2-.9-2.1-2.1-2.1zM12 8.5c1.9 0 3.5 1.5 3.5 3.5 0 1.9-1.5 3.5-3.5 3.5-1.9 0-3.5-1.6-3.5-3.5s1.6-3.5 3.5-3.5zm6.9 9.7c0 .4-.3.7-.7.7H5.8c-.4 0-.7-.3-.7-.7v-7.6h1.6c-.1.4-.2.9-.2 1.4 0 3.1 2.5 5.5 5.5 5.5 3.1 0 5.5-2.5 5.5-5.5 0-.5-.1-.9-.2-1.4h1.6v7.6zM19 7.9c0 .4-.3.7-.7.7h-2.1c-.4 0-.7-.3-.7-.7V5.8c0-.4.3-.7.7-.7h2.1c.4 0 .7.3.7.7v2.1z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconInstagramComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconInstagramModule {
}
IconInstagramModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconInstagramComponent],
                exports: [IconInstagramComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconYoutubeComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconYoutubeComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-youtube',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 24 24"
    >
      <path
        d="M19.8 9.4s-.2-1.1-.6-1.6c-.6-.6-1.3-.6-1.6-.7C15.4 7 12 7 12 7s-3.4 0-5.6.2c-.3 0-1 0-1.6.7-.5.5-.6 1.6-.6 1.6S4 10.6 4 11.9v1.2c0 1.3.2 2.5.2 2.5s.2 1.1.6 1.6c.6.6 1.4.6 1.8.7 1.2.1 5.4.1 5.4.1s3.4 0 5.6-.2c.3 0 1 0 1.6-.7.5-.5.6-1.6.6-1.6s.2-1.3.2-2.5v-1.2c0-1.2-.2-2.4-.2-2.4zm-9.5 5.1v-4.4l4.3 2.2-4.3 2.2z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconYoutubeComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconYoutubeModule {
}
IconYoutubeModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconYoutubeComponent],
                exports: [IconYoutubeComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLinkedinComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconLinkedinComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-linkedin',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 24 24"
    >
      <path
        d="M7.5 5.1c0 1.2-.9 2.1-2.3 2.1C3.9 7.2 3 6.3 3 5.1S3.9 3 5.3 3s2.2.9 2.2 2.1zM3.2 21h4V8.9h-4V21zM17.4 8.6c-2.1 0-3.1 1.2-3.6 2V8.9h-4V21h4v-6.8c0-.4 0-.7.1-1 .3-.7 1-1.5 2.1-1.5 1.5 0 2 1.1 2 2.7V21h4v-7c.1-3.7-1.9-5.4-4.6-5.4z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconLinkedinComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLinkedinModule {
}
IconLinkedinModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconLinkedinComponent],
                exports: [IconLinkedinComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPinterestComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconPinterestComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-pinterest',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 24 24"
    >
      <path
        d="M19 8.9c0 4.1-2.3 7.1-5.6 7.1-1.1 0-2.2-.6-2.5-1.3l-.7 2.8c-.5 1.6-1.8 3.3-1.9 3.4-.1.1-.3.1-.3 0 0-.2-.4-2.3 0-3.9.2-.8 1.3-5.6 1.3-5.6S9 10.7 9 9.7C9 8.2 9.9 7 11 7c.9 0 1.4.7 1.4 1.6 0 .9-.6 2.4-.9 3.7-.3 1.1.6 2 1.6 2 2 0 3.3-2.5 3.3-5.5 0-2.3-1.5-4-4.3-4C9 4.8 7 7.1 7 9.7c0 .9.3 1.5.7 2 .2.2.2.3.1.6-.1.2-.2.6-.2.8-.1.3-.3.4-.5.3C5.7 12.8 5 11.2 5 9.5 5 6.5 7.5 3 12.4 3c4 0 6.6 2.9 6.6 5.9zm0 0"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconPinterestComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPinterestModule {
}
IconPinterestModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconPinterestComponent],
                exports: [IconPinterestComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconXingComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconXingComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-xing',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 24 24"
    >
      <path
        d="M14.6 21l-4-7.1L16.8 3H21l-6.2 10.9 4 7.1h-4.2zM8 15.6l3.1-5.1-2.4-4.2h-4L7 10.4l-3 5.2h4zm0 0"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconXingComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconXingModule {
}
IconXingModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconXingComponent],
                exports: [IconXingComponent],
            },] }
];

const modules = [
    IconTwitterModule,
    IconFacebookModule,
    IconInstagramModule,
    IconYoutubeModule,
    IconLinkedinModule,
    IconPinterestModule,
    IconXingModule,
];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCollectionSocialMediaModule {
}
IconCollectionSocialMediaModule.decorators = [
    { type: NgModule, args: [{
                imports: modules,
                exports: modules,
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { IconCollectionSocialMediaModule, IconFacebookComponent, IconFacebookModule, IconInstagramComponent, IconInstagramModule, IconLinkedinComponent, IconLinkedinModule, IconPinterestComponent, IconPinterestModule, IconTwitterComponent, IconTwitterModule, IconXingComponent, IconXingModule, IconYoutubeComponent, IconYoutubeModule };
//# sourceMappingURL=social-media.js.map
