import { CommonModule } from '@angular/common';
import { Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { IconBase } from '@sbb-esta/angular-icons/core';

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLotusComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconLotusComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-lotus',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M8.5 9.75c0 2.606 1.29 5.068 3.5 6.676 3.971-2.89 4.667-8.222 1.554-11.909A8.812 8.812 0 0012 3.074C9.79 4.681 8.5 7.144 8.5 9.75zm-5.603 3.226a8.644 8.644 0 00-1.576 1.116A8.475 8.475 0 0010 18.494m4 0a8.473 8.473 0 008.679-4.403 8.61 8.61 0 00-1.576-1.116M6.997 7.206a8.448 8.448 0 00-3.31-.57 8.46 8.46 0 006.424 10.011m6.892-9.44a8.448 8.448 0 013.31-.57 8.46 8.46 0 01-6.424 10.01"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M12.75 14.625c0 3.909 1.935 7.602 5.25 10.014 5.956-4.335 7-12.333 2.331-17.863A13.217 13.217 0 0018 4.61c-3.315 2.41-5.25 6.105-5.25 10.014zm-8.404 4.838a12.965 12.965 0 00-2.365 1.674A12.712 12.712 0 0015 27.74m6 0a12.71 12.71 0 0013.019-6.603 12.914 12.914 0 00-2.364-1.674m-21.16-8.654a12.673 12.673 0 00-4.966-.855c-1.443 6.8 2.853 13.497 9.638 15.017m10.337-14.162a12.673 12.673 0 014.967-.855c1.443 6.8-2.853 13.497-9.638 15.017"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('large') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 48 48"
      >
        <path
          fill="none"
          stroke="#000"
          d="M17.5 23.5A16.957 16.957 0 0024 36.852c7.373-5.78 8.666-16.442 2.886-23.816A16.919 16.919 0 0024 10.148 16.957 16.957 0 0017.5 23.5zm10.232 11.794c9.046-2.026 14.775-10.955 12.85-20.022a17.07 17.07 0 00-9.018 2.246m-15.13 0a17.07 17.07 0 00-9.018-2.246c-1.925 9.067 3.805 17.996 12.85 20.022m4.267-1.092h-.003.003zm-1.064 0h0-.003.003zm-16.467-8.25a17.207 17.207 0 00-3.153 2.23 16.947 16.947 0 0017.36 8.804m5.582 0a16.946 16.946 0 0017.358-8.804 17.165 17.165 0 00-3.152-2.23"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconLotusComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLotusModule {
}
IconLotusModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconLotusComponent],
                exports: [IconLotusComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPlatformComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconPlatformComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-platform',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 48 48"
    >
      <path
        fill="none"
        stroke="#000"
        d="M12.506 32a1.5 1.5 0 10-3 .001 1.5 1.5 0 003-.001zm3-5.5h-11.5m6-18H4m4.006 9H4.002m3.004-9l-2 6h5.99c3.008 0 4.51 1.477 4.51 4.367V37.5h-11.5m7 0l3 5.5m1-2.5H4m39.506-36h-23.5c-.822 0-1.5.678-1.5 1.5v1.5h25v-3zm-20 9h10v-4h-10v4zm2-6v2m6-2v2m-13 28h25v-2h-25v2zm21-2h2v-28h-2v28zm-19 2V43"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconPlatformComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPlatformModule {
}
IconPlatformModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconPlatformComponent],
                exports: [IconPlatformComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconStationComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconStationComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-station',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.6 9.3l1.9 1.7 1.9-2.4m2.1 1.9c0 2.232-1.768 4-4 4s-4-1.768-4-4 1.768-4 4-4 4 1.768 4 4zm-13-5.2v15.2h5v-2.991h8V20.5h5V5.3c-5.972-2.437-11.971-2.395-18 0z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M15.9 13.95l2.85 2.55 2.85-3.6m3.15 2.85c0 3.348-2.652 6-6 6s-6-2.652-6-6 2.652-6 6-6 6 2.652 6 6zm-19.5-7.8v22.8h7.5v-4.486h12v4.486h7.5V7.95c-8.958-3.655-17.956-3.593-27 0z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('large') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 48 48"
      >
        <path
          fill="none"
          stroke="#000"
          d="M5.5 11v30.5h10v-6h16v6h10V11c-11.944-4.874-23.942-4.79-36 0zm26 10.5a8 8 0 01-8 8 8 8 0 110-16 8 8 0 018 8zm-10.469-1.501l2.47 1.5 3.523-3.522M15.5 21.5H18m11 0h2.5m-8 8V27m0-13.5V16m-6.928 9.5l2.165-1.25m9.526-5.5l2.165-1.25M19.5 28.428l1.25-2.165m5.5-9.526l1.25-2.165m-8 0l1.25 2.165m5.5 9.526l1.25 2.165M16.572 17.5l2.165 1.25m9.526 5.5l2.165 1.25"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconStationComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconStationModule {
}
IconStationModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconStationComponent],
                exports: [IconStationComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconBookComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconBookComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-book',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          stroke-linecap="square"
          d="M4.5 18.501V5.5a2 2 0 012-2h13v13.001h-13a2 2 0 000 4l13-.001m-13-1.999h13"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          stroke-linecap="square"
          d="M6.75 27.752V8.25c0-1.656 1.344-3 3-3h19.5v19.502H9.75a3.001 3.001 0 000 6l19.5-.002m-19.5-2.998h19.5"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconBookComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconBookModule {
}
IconBookModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconBookComponent],
                exports: [IconBookComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconBottleAppleComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconBottleAppleComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-bottle-apple',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.54 4.5H5.46a1.85 1.85 0 00-1.69 1.094C3.038 7.231 2.5 7.891 2.5 8.675v11.126c0 .938.771 1.699 1.724 1.699h4.552c.952 0 1.724-.761 1.724-1.699V8.675c0-.784-.538-1.444-1.27-3.081A1.85 1.85 0 007.54 4.5zm-5.04 14h4v-8h-4v8zm3-14h2V2.499h-2V4.5zM17 21c.608.025.879.479 2 .5 1.531 0 2.5-2 2.5-4.904 0-3.096-1.597-3.116-2.5-3.096-1.175 0-.938.5-2 .5s-.826-.5-2-.5c-.904-.02-2.5 0-2.5 3.096 0 2.904.969 4.904 2.5 4.904 1.121-.021 1.392-.475 2-.5zm2.469-10.5s-2.47.125-2.47 3.5"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M11.31 6.75H8.19a2.775 2.775 0 00-2.535 1.641c-1.098 2.456-1.905 3.445-1.905 4.621v16.69c0 1.406 1.157 2.548 2.586 2.548h6.828c1.428 0 2.586-1.142 2.586-2.549V13.012c0-1.176-.807-2.165-1.905-4.621A2.776 2.776 0 0011.31 6.75zm-7.56 21h6v-12h-6v12zm4.5-21h3V3.748h-3V6.75zM25.5 31.5c.912.038 1.319.718 3 .75 2.297 0 3.75-3 3.75-7.356 0-4.644-2.395-4.674-3.75-4.644-1.762 0-1.407.75-3 .75s-1.239-.75-3-.75c-1.356-.03-3.75 0-3.75 4.644 0 4.356 1.453 7.356 3.75 7.356 1.681-.032 2.088-.712 3-.75zm3.703-15.75S25.5 15.938 25.5 21"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconBottleAppleComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconBottleAppleModule {
}
IconBottleAppleModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconBottleAppleComponent],
                exports: [IconBottleAppleComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCustomerAssistanceSbbComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCustomerAssistanceSbbComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-customer-assistance-sbb',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M11.5 2.5h-8v6h8V5.85l1-.85-1-1V2.5zM10 4.48H4.978m3.02 2H4.98m1.186 8.37C4.613 15.674 3.5 17.89 3.5 20.5h8c0-2.61-1.113-4.826-2.665-5.65M7.5 10.5c1.104 0 2 1.12 2 2.5s-.896 2.5-2 2.5-2-1.12-2-2.5.896-2.5 2-2.5zm7.666-3.65c-1.552.824-2.666 3.04-2.666 5.65h8.001c0-2.61-1.113-4.826-2.665-5.65M16.501 2.5c1.104 0 2 1.119 2 2.5 0 1.38-.896 2.5-2 2.5-1.105 0-2-1.12-2-2.5 0-1.381.895-2.5 2-2.5z"
          />
          <path
            fill="#000"
            d="M17 8.75l1 .937h-1.187V8.75h-.625v.937H15l1-.937h-.75L14 10l1.25 1.25H16l-1-.938h1.188v.938h.625v-.938H18l-1 .938h.75L19 10l-1.25-1.25z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M17.25 3.75h-12v9h12V8.774l1.5-1.274-1.5-1.5V3.75zM15 6.72H7.467m4.531 3H7.468m1.78 12.555c-2.328 1.239-3.998 4.56-3.998 8.475h12c0-3.915-1.67-7.238-3.998-8.475M11.25 15.75c1.656 0 3 1.679 3 3.75 0 2.07-1.344 3.75-3 3.75s-3-1.68-3-3.75c0-2.071 1.344-3.75 3-3.75zm11.499-5.476c-2.328 1.237-3.999 4.56-3.999 8.475h12.002c0-3.915-1.67-7.238-3.998-8.475M24.751 3.75c1.656 0 3 1.678 3 3.75 0 2.071-1.344 3.75-3 3.75-1.657 0-3-1.679-3-3.75 0-2.072 1.343-3.75 3-3.75z"
          />
          <path
            fill="#000"
            d="M25.5 13.125l1.5 1.406h-1.78v-1.406h-.938v1.406H22.5l1.5-1.406h-1.125L21 15l1.875 1.875H24l-1.5-1.407h1.782v1.407h.938v-1.407H27l-1.5 1.407h1.125L28.5 15l-1.875-1.875z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCustomerAssistanceSbbComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCustomerAssistanceSbbModule {
}
IconCustomerAssistanceSbbModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCustomerAssistanceSbbComponent],
                exports: [IconCustomerAssistanceSbbComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconEscalatorComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconEscalatorComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-escalator',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.498 5.5a1 1 0 11-2.001 0 1 1 0 012 0zM19 5.5h-3c-.721 0-1.406.311-1.881.854L7.865 13.5H5A2.503 2.503 0 002.5 16c0 1.378 1.122 2.5 2.5 2.5h4c.721 0 1.407-.31 1.881-.854l6.253-7.146H19c1.379 0 2.5-1.122 2.5-2.5S20.379 5.5 19 5.5zm-11.502 8v-5h2v3.134"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M14.246 8.25a1.5 1.5 0 11-3 0 1.5 1.5 0 013 0zm14.254 0H24a3.747 3.747 0 00-2.822 1.281l-9.38 10.72H7.5A3.754 3.754 0 003.75 24a3.755 3.755 0 003.75 3.75h6c1.082 0 2.11-.467 2.822-1.282L25.7 15.75H28.5A3.754 3.754 0 0032.25 12a3.754 3.754 0 00-3.75-3.75zm-17.253 12v-7.5h3v4.7"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconEscalatorComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconEscalatorModule {
}
IconEscalatorModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconEscalatorComponent],
                exports: [IconEscalatorComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconGeneralDisplayComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconGeneralDisplayComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-general-display',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M17.5 7.5V10m2.001-4.5V4M4.499 5.5V4M19.5 9.5c0 1.116-.884 2-2 2-1.115 0-2-.884-2-2s.885-2 2-2c1.116 0 2 .884 2 2zm-17 10h19v-14h-19v14zM4 7.5h10m-10 2h10m-10 2h10m-10 2h10m-10 2h10m-10 2h10"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M26.25 11.25V15m3.002-6.75V6M6.748 8.25V6m22.501 8.25c0 1.674-1.326 3-3 3a2.98 2.98 0 01-3-3c0-1.674 1.328-3 3-3 1.674 0 3 1.326 3 3zm-25.5 15h28.5v-21H3.75v21zm2.25-18h15m-15 3h15m-15 3h15M6 20.251h15m-15 3h15m-15 3h15"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconGeneralDisplayComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconGeneralDisplayModule {
}
IconGeneralDisplayModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconGeneralDisplayComponent],
                exports: [IconGeneralDisplayComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconHandPlusCircleComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconHandPlusCircleComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-hand-plus-circle',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.5 2.5a5 5 0 11-.001 10 5 5 0 01.001-10zm0 8.5V4M6 7.5h7m-4.139 9.528L4.126 13.72a1 1 0 00-1.252 1.56L8.8 20.5h3.943l1.008 1h7.45l-5.028-5.064c-1.137-1.094-2.584-1.908-4.063-1.936H10c-1.985 0-2.032 3 0 3h2"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M14.25 3.75a7.5 7.5 0 11-.002 15.001A7.5 7.5 0 0114.25 3.75zm0 12.75V6M9 11.25h10.5m-6.208 14.292L6.189 20.58a1.5 1.5 0 00-1.878 2.34l8.888 7.83h5.914l1.512 1.5H31.8l-7.542-7.596c-1.705-1.641-3.876-2.862-6.094-2.904H15c-2.977 0-3.048 4.5 0 4.5h3"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconHandPlusCircleComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconHandPlusCircleModule {
}
IconHandPlusCircleModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconHandPlusCircleComponent],
                exports: [IconHandPlusCircleComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconHandSbbComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconHandSbbComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-hand-sbb',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M8.861 17.028L4.126 13.72a1 1 0 00-1.252 1.56L8.8 20.5h3.943l1.008 1h7.45l-5.028-5.064c-1.137-1.094-2.584-1.908-4.063-1.936H10c-1.985 0-2.032 3 0 3h2"
          />
          <path
            fill="#000"
            d="M10.474 4l2.745 2.704H9.807V4H8.193v2.704H4.8L7.544 4h-2.04L2 7.5 5.504 11h2.04L4.8 8.314h3.393V11h1.614V8.314h3.412L10.474 11h2.04L16 7.5 12.514 4z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M13.292 25.542L6.189 20.58a1.5 1.5 0 00-1.878 2.34l8.888 7.83h5.914l1.512 1.5H31.8l-7.542-7.596c-1.705-1.641-3.876-2.862-6.094-2.904H15c-2.977 0-3.048 4.5 0 4.5h3"
          />
          <path
            fill="#000"
            d="M15.711 6l4.118 4.056h-5.118V6H12.29v4.056H7.2L11.316 6h-3.06L3 11.25l5.256 5.25h3.06L7.2 12.471h5.09V16.5h2.421v-4.029h5.118L15.711 16.5h3.06L24 11.25 18.771 6z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconHandSbbComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconHandSbbModule {
}
IconHandSbbModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconHandSbbComponent],
                exports: [IconHandSbbComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconHostelComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconHostelComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-hostel',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M2 20.5h20M2 4.5h20m-18.5 16v-16m17 16v-16m-16 0h15v-2h-15v2zm9 1.5v5m-3-5v5m0-2.5h3m-4 12v-3h5l-.006 3"
          />
          <path
            fill="#000"
            d="M7 12l.5 1.6H9l-1.2.8.5 1.6-1.3-.9-1.3.9.5-1.5-1.2-.9h1.5L7 12zm5 0l.5 1.5H14l-1.2.9.5 1.6-1.3-.9-1.3.9.5-1.5-1.2-.9h1.5L12 12zm5 0l.5 1.5H19l-1.2.9.5 1.6-1.3-.9-1.3.9.5-1.5-1.2-.9h1.5L17 12z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M3 30.75h30m-30-24h30m-27.75 24v-24m25.5 24v-24m-24 0h22.5v-3H6.75v3zM20.25 9v7.5M15.75 9v7.5m0-3.75h4.5m-6 18v-4.5h7.5l-.009 4.5"
          />
          <path
            fill="#000"
            d="M10.5 18l.75 2.401h2.25L11.7 21.6l.75 2.4-1.95-1.349L8.55 24l.75-2.25L7.5 20.4h2.25L10.5 18zm7.5 0l.75 2.25H21l-1.8 1.35.75 2.4L18 22.65 16.05 24l.75-2.25L15 20.4h2.25L18 18zm7.5 0l.75 2.25h2.25l-1.8 1.35.75 2.4-1.95-1.349L23.55 24l.75-2.25-1.8-1.349h2.25L25.5 18z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconHostelComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconHostelModule {
}
IconHostelModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconHostelComponent],
                exports: [IconHostelComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLiftComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconLiftComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-lift',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M2.75 20.25h11.5V3.75H2.75v16.5zM16.879 6l2.12-2.122L21.122 6m0 12l-2.12 2.122L16.878 18M9.5 6.5a1 1 0 11-2-.002 1 1 0 012 .001zm1 7.999v-5h-4v5h1v4h2v-4h1z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M4.125 30.375h17.25V5.625H4.125v24.75zM25.318 9L28.5 5.817 31.68 9m0 18.001l-3.18 3.182L25.318 27m-11.07-17.25a1.5 1.5 0 11-3-.002 1.5 1.5 0 013 .001zm1.5 11.999v-7.5h-6v7.5h1.5v6h3v-6h1.5z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconLiftComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLiftModule {
}
IconLiftModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconLiftComponent],
                exports: [IconLiftComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLockerComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconLockerComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-locker',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.5 4.5a2 2 0 10-4 0 2 2 0 004 0zm-.268-1H11.5l.984.984L11.469 5.5H6.232M2.5 21.5h19v-13h-19v13zm15-9h-11a1 1 0 00-1 1v4a1 1 0 001 1h11a1 1 0 001-1v-4a1 1 0 00-1-1zm-7.5-1h4"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.75 6.75a3 3 0 10-6 0 3 3 0 006 0zm-.402-1.5h7.902l1.476 1.476-1.523 1.524H9.348m-5.598 24h28.5v-19.5H3.75v19.5zm22.5-13.499H9.75a1.5 1.5 0 00-1.5 1.5v6a1.5 1.5 0 001.5 1.5h16.5a1.5 1.5 0 001.5-1.5v-6a1.5 1.5 0 00-1.5-1.5zM15 17.251h6"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconLockerComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLockerModule {
}
IconLockerModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconLockerComponent],
                exports: [IconLockerComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconMeetingPointComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconMeetingPointComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-meeting-point',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M14.5 12.5c0 1.674-1.326 3-3 3s-3-1.326-3-3 1.326-3 3-3 3 1.326 3 3zM3 8.5h4.5V4m-4.25.25L7.5 8.5m8-4.5v4.5H20m-.25-4.25L15.5 8.5m4.5 8h-4.5V21m4.25-.25L15.5 16.5m-8 4.5v-4.5H3m.25 4.25L7.5 16.5"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M21.75 18.75c0 2.511-1.989 4.5-4.5 4.5a4.467 4.467 0 01-4.5-4.5c0-2.51 1.989-4.5 4.5-4.5s4.5 1.99 4.5 4.5zm-17.25-6h6.75V6m-6.375.375l6.375 6.375m12-6.75v6.75H30m-.375-6.375L23.25 12.75m6.75 12h-6.75v6.75m6.375-.375L23.25 24.75m-12 6.75v-6.75H4.5m.375 6.375l6.375-6.375"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconMeetingPointComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconMeetingPointModule {
}
IconMeetingPointModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconMeetingPointComponent],
                exports: [IconMeetingPointComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconMoneyExchangeComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconMoneyExchangeComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-money-exchange',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M2.5 12c.01-5.262 4.385-9.51 9.829-9.5 3.827.007 7.294 2.09 8.908 5.443.106.222.194.452.263.686M21.5 4v4.5H17m4.5 3.5c-.021 5.268-4.361 9.52-9.792 9.5-3.79-.014-7.327-2.192-8.946-5.516a4.704 4.704 0 01-.262-.686M2.5 20v-4.5H7"
          />
          <path
            fill="#000"
            d="M9.14 12.431v-.323c0-.068.003-.227.013-.478l.007-.048H8.045l.363-.835h.847c.078-.453.19-.878.335-1.273.606-1.657 1.714-2.485 3.322-2.485 1.135 0 2.166.357 3.09 1.071l-.485 1.091a21.62 21.62 0 00-.95-.599c-.548-.31-1.106-.465-1.675-.465-1.044 0-1.766.608-2.167 1.825a5.36 5.36 0 00-.212.835h4.293l-.376.835h-4.033c-.009.247-.014.434-.014.56 0 .062.003.16.007.29h3.67l-.375.834h-3.199c.082.463.218.894.41 1.294.232.472.51.81.834 1.017.337.215.741.323 1.21.323.388 0 .732-.054 1.032-.16.301-.11.815-.36 1.545-.756v1.341c-.205.116-.33.186-.377.21-.669.331-1.435.497-2.296.497-2.028 0-3.238-1.255-3.63-3.766H8.045l.363-.835h.731z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M3.75 18c.015-7.893 6.578-14.265 14.744-14.25 5.74.01 10.94 3.134 13.361 8.165.16.333.292.678.395 1.029m0-6.944v6.75H25.5M32.25 18c-.032 7.902-6.541 14.28-14.688 14.25-5.685-.02-10.99-3.288-13.419-8.274a7.056 7.056 0 01-.393-1.029m0 7.053v-6.75h6.75"
          />
          <path
            fill="#000"
            d="M13.709 18.647v-.484c0-.102.006-.34.02-.717l.011-.072h-1.672l.544-1.253h1.27c.118-.68.284-1.317.503-1.91.91-2.485 2.571-3.727 4.983-3.727 1.703 0 3.25.536 4.635 1.607l-.727 1.636a32.43 32.43 0 00-1.427-.898c-.82-.465-1.657-.698-2.51-.698-1.567 0-2.65.912-3.251 2.738a8.04 8.04 0 00-.318 1.252h6.44l-.565 1.253h-6.05c-.013.37-.02.65-.02.838 0 .095.004.24.01.435h5.505l-.562 1.253h-4.799a7.47 7.47 0 00.615 1.94c.348.709.765 1.216 1.251 1.526.506.323 1.112.485 1.815.485.582 0 1.098-.081 1.548-.242.452-.163 1.223-.54 2.318-1.132v2.011c-.308.174-.495.28-.566.314-1.003.498-2.152.747-3.444.747-3.042 0-4.857-1.883-5.445-5.65h-1.753l.544-1.252h1.097z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconMoneyExchangeComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconMoneyExchangeModule {
}
IconMoneyExchangeModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconMoneyExchangeComponent],
                exports: [IconMoneyExchangeComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPlatformDisplayComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconPlatformDisplayComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-platform-display',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M19.501 9.5V8M4.499 9.5V8M2.5 15.5h19v-6h-19v6zm1.5-4h2m1 0h13m-13 2h13"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M29.252 14.25V12M6.748 14.25V12M3.75 23.25h28.5v-9H3.75v9zm2.25-6h3m1.5 0H30m-19.5 3.001H30"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconPlatformDisplayComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPlatformDisplayModule {
}
IconPlatformDisplayModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconPlatformDisplayComponent],
                exports: [IconPlatformDisplayComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconScreenInsideTrainComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconScreenInsideTrainComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-screen-inside-train',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M14.5 7.5v-4m-8 4v-4m-2 12h12v-8h-12v8zm1.5-6h9m-9 2h9m-9 2h9M3 3.5h13.5l4 4V21"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M21.75 11.25v-6m-12 6v-6m-3 18h18v-12h-18v12zm2.25-9h13.5m-13.5 3h13.5M9 20.251h13.5m-18-15h20.25l6 6V31.5"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconScreenInsideTrainComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconScreenInsideTrainModule {
}
IconScreenInsideTrainModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconScreenInsideTrainComponent],
                exports: [IconScreenInsideTrainComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconShirtShoeComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconShirtShoeComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-shirt-shoe',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M12.645 17.084v4.5h-1.5s-1.153-4.5 0-9h4.5s.593 2.395 2.067 4.556c1.477 2.16 3.785 1.703 3.933 4.444h-4c-.595 0-1.587.03-3-2.5-1.484-2.72-4-2.503-4-2.503m6.5-5.497v-1.5l2.5 1 2-4-6-4s-1.836 1-3.5 1c-1.663 0-3.5-1-3.5-1l-6 4 2 4 2.5-1 .5 10h1.5"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M18.967 25.625v6.75h-2.25s-1.73-6.75 0-13.5h6.75s.89 3.593 3.102 6.834c2.214 3.242 5.677 2.555 5.898 6.666h-6c-.891 0-2.38.045-4.5-3.75-2.226-4.078-6-3.754-6-3.754m9.75-8.246v-2.25l3.75 1.5 3-6-9-6s-2.754 1.5-5.25 1.5c-2.495 0-5.25-1.5-5.25-1.5l-9 6 3 6 3.75-1.5.75 15h2.25"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconShirtShoeComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconShirtShoeModule {
}
IconShirtShoeModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconShirtShoeComponent],
                exports: [IconShirtShoeComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconShoppingBagComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconShoppingBagComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-shopping-bag',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M5.5 7.457l-1 14h15l-1-14h-13zM14.493 11l.007-6a2.5 2.5 0 10-5 0v6"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M8.25 11.185l-1.5 21h22.5l-1.5-21H8.25zM21.74 16.5l.01-9a3.75 3.75 0 10-7.5 0v9"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconShoppingBagComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconShoppingBagModule {
}
IconShoppingBagModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconShoppingBagComponent],
                exports: [IconShoppingBagComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconShoppingBagCouponComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconShoppingBagCouponComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-shopping-bag-coupon',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd" stroke="#000">
          <path d="M8.5 10V5.5a3 3 0 116 0V10m-9-2.5l-1 13h14l-1-13h-12zm6 4.5v5" />
          <path stroke-dasharray="1 1" d="M15.5 14.5a4 4 0 10-8 0 4 4 0 008 0z" />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd" stroke="#000">
          <path
            d="M12.75 15V8.25a4.5 4.5 0 119 0V15m-13.5-3.75l-1.5 19.5h21l-1.5-19.5h-18zm9 6.75v7.5"
          />
          <path stroke-dasharray="1 1" d="M23.25 21.75a6 6 0 10-12 0 6 6 0 0012 0z" />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconShoppingBagCouponComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconShoppingBagCouponModule {
}
IconShoppingBagCouponModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconShoppingBagCouponComponent],
                exports: [IconShoppingBagCouponComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconShoppingBagFastComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconShoppingBagFastComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-shopping-bag-fast',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M8 10.5H2m6 2H4m3 2H5m8.915-4.408l.694-3.939a2 2 0 113.94.694l-.695 3.94m-6.459-3.678L8.5 17.77l11.818 2.083.925-11.007-9.848-1.736z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M12 15.75H3m9 3H6m4.5 3h-3m13.372-6.611l1.041-5.909a3 3 0 115.91 1.041l-1.042 5.909m-9.688-5.516L12.75 26.652l17.727 3.126 1.387-16.51-14.771-2.604z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconShoppingBagFastComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconShoppingBagFastModule {
}
IconShoppingBagFastModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconShoppingBagFastComponent],
                exports: [IconShoppingBagFastComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconStationSurroundingAreaComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconStationSurroundingAreaComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-station-surrounding-area',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M4 16.887c-.947.468-1.5 1.021-1.5 1.612 0 1.645 4.232 3 9.5 3 5.269 0 9.5-1.355 9.5-3 0-.59-.553-1.144-1.5-1.61M11 8l1 1 1.5-1.5m2 1.5c0 1.953-1.547 3.5-3.5 3.5A3.475 3.475 0 018.5 9c0-1.953 1.547-3.5 3.5-3.5s3.5 1.547 3.5 3.5zm-10-3.7v13.2h4v-2.991h5V18.5h4V5.3c-5.972-2.437-6.971-2.395-13 0z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6 25.331c-1.42.702-2.25 1.532-2.25 2.418 0 2.468 6.348 4.5 14.25 4.5 7.904 0 14.25-2.032 14.25-4.5 0-.886-.83-1.716-2.25-2.416M16.5 12l1.5 1.5 2.25-2.25m3 2.25c0 2.93-2.32 5.25-5.25 5.25s-5.25-2.32-5.25-5.25S15.07 8.25 18 8.25s5.25 2.32 5.25 5.25zm-15-5.55v19.8h6v-4.486h7.5v4.486h6V7.95c-8.958-3.655-10.456-3.593-19.5 0z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconStationSurroundingAreaComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconStationSurroundingAreaModule {
}
IconStationSurroundingAreaModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconStationSurroundingAreaComponent],
                exports: [IconStationSurroundingAreaComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTicketMachineComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconTicketMachineComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-ticket-machine',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.5 17.5h11v-15h-11v15zm1 4h9v-4h-9v4zm.5-17h8M15.5 7v3m-7 1.5h5v-4h-5v4zm0 3h5v-1h-5v1z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.75 26.25h16.5V3.75H9.75v22.5zm1.5 6h13.5v-6h-13.5v6zM12 6.75h12m-.75 3.75V15m-10.5 2.25h7.5v-6h-7.5v6zm0 4.5h7.5v-1.5h-7.5v1.5z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconTicketMachineComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTicketMachineModule {
}
IconTicketMachineModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconTicketMachineComponent],
                exports: [IconTicketMachineComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTicketMachineTicketComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconTicketMachineTicketComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-ticket-machine-ticket',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M3.5 17.5h11v-15h-11v15zm1 4h9v-4h-9v4zm.5-17h8M12.5 7v3m-7 1.5h5v-4h-5v4zm11 6h5v-8h-5v8zm1.5-2h2m-2-2h2m-14.5 1h5v-1h-5v1z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M5.25 26.25h16.5V3.75H5.25v22.5zm1.5 6h13.5v-6H6.75v6zm.75-25.5h12m-.75 3.75V15m-10.5 2.25h7.5v-6h-7.5v6zm16.5 9h7.5v-12h-7.5v12zm2.25-3h3m-3-3h3m-21.75 1.5h7.5v-1.5h-7.5v1.5z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconTicketMachineTicketComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTicketMachineTicketModule {
}
IconTicketMachineTicketModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconTicketMachineTicketComponent],
                exports: [IconTicketMachineTicketComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconToiletComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconToiletComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-toilet',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.5 5.5a1 1 0 11-2.001 0 1 1 0 012 0zm1 8v-5h-4v5h1v6h2v-6h1zm11 2v4h-2v-4m2-10a1 1 0 11-2 0 1 1 0 012 0zm2 10l-2-7h-2l-2 7h6zM11.5 4v16"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.75 8.25a1.5 1.5 0 11-3.002 0 1.5 1.5 0 013.001 0zm1.5 12v-7.5h-6v7.5h1.5v9h3v-9h1.5zm16.5 3v6h-3v-6m3-15a1.5 1.5 0 11-3 .001 1.5 1.5 0 013 0zm3 15l-3-10.5h-3l-3 10.5h9zM17.25 6v24"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconToiletComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconToiletModule {
}
IconToiletModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconToiletComponent],
                exports: [IconToiletComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTrainStationComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconTrainStationComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-train-station',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd" stroke="#000">
          <path d="M18.998 9a.5.5 0 11-1 0 .5.5 0 011 0" />
          <path
            d="M18.998 9a.5.5 0 11-1 0 .5.5 0 011 0zM3 19.5h12.501v-3H21m-9.357-10c1.284 0 1.857.548 1.857 1.778V17.5h-10V8.278c0-1.23.574-1.778 1.858-1.778h6.285m1.857 6h-10m8-9h-6m4.5 5H7m-2.5 9v2m8-2v2M10 3.5L8.5 5.79 7 3.5M11.5 15a.5.5 0 11-1.002-.002A.5.5 0 0111.5 15zm-5 0a.5.5 0 11-1.002-.002A.5.5 0 016.5 15zm13-2v-2.5h-2V13h.5v3h1v-3h.5z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd" stroke="#000">
          <path d="M28.497 13.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0" />
          <path
            d="M28.497 13.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0zM4.5 29.25h18.752v-4.5H31.5m-14.036-15c1.926 0 2.785.822 2.785 2.667V26.25h-15V12.417c0-1.845.861-2.667 2.787-2.667h9.428m2.786 9h-15m12-13.5h-9m6.75 7.5h-4.5m-3.75 13.5v3m12-3v3M15 5.25l-2.25 3.435L10.5 5.25m6.75 17.25a.751.751 0 01-1.5 0 .75.75 0 011.5 0zm-7.5 0a.751.751 0 01-1.5 0 .75.75 0 011.5 0zm19.5-3v-3.75h-3v3.75H27V24h1.5v-4.5h.75z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconTrainStationComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTrainStationModule {
}
IconTrainStationModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconTrainStationComponent],
                exports: [IconTrainStationComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWaitingRoomComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconWaitingRoomComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-waiting-room',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M14.6 6.3L16.5 8l1.9-2.4m2.1 1.9c0 2.232-1.768 4-4 4-2.231 0-4-1.768-4-4s1.769-4 4-4c2.232 0 4 1.768 4 4zm-8 13h8v-4.99h-8v4.99zm2.501-5.99h3M6.499 6.5a1 1 0 11-2 0 1 1 0 012 0zm1 8v-5h-4v5h1v6h2v-6h1z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M21.9 9.45L24.75 12l2.85-3.6m3.15 2.85c0 3.348-2.652 6-6 6-3.346 0-6-2.652-6-6s2.654-6 6-6c3.348 0 6 2.652 6 6zm-12 19.5h12v-7.485h-12v7.485zm3.752-8.986h4.5M9.748 9.75a1.5 1.5 0 11-3 0 1.5 1.5 0 013 0zm1.5 12v-7.5h-6v7.5h1.5v9h3v-9h1.5z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconWaitingRoomComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWaitingRoomModule {
}
IconWaitingRoomModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconWaitingRoomComponent],
                exports: [IconWaitingRoomComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWineCheeseComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconWineCheeseComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-wine-cheese',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M3.5 11.5h6m-6 5H8m0 5H3.5V9A1.5 1.5 0 015 7.5h.5v-5h2v5H8A1.5 1.5 0 019.5 9v3m5 5a1.5 1.5 0 11-3 0 1.5 1.5 0 013 0zm4 1.5a1 1 0 11-2 0 1 1 0 012 0zm2-1c0-.738.405-1.376 1-1.723V13.5h-3v.5a1.5 1.5 0 11-3 0v-.5h-6v8h12v-2.277c-.595-.347-1-.985-1-1.723z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M5.25 17.25h9m-9 7.5H12m0 7.5H5.25V13.5a2.25 2.25 0 012.25-2.25h.75v-7.5h3v7.5H12a2.25 2.25 0 012.25 2.25V18m7.5 7.5a2.25 2.25 0 11-4.5 0 2.25 2.25 0 014.5 0zm6 2.25a1.5 1.5 0 11-3 0 1.5 1.5 0 013 0zm3-1.5a2.99 2.99 0 011.5-2.584V20.25h-4.5V21a2.25 2.25 0 11-4.5 0v-.75h-9v12h18v-3.416a2.99 2.99 0 01-1.5-2.584z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconWineCheeseComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWineCheeseModule {
}
IconWineCheeseModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconWineCheeseComponent],
                exports: [IconWineCheeseComponent],
            },] }
];

const modules = [
    IconLotusModule,
    IconPlatformModule,
    IconStationModule,
    IconBookModule,
    IconBottleAppleModule,
    IconCustomerAssistanceSbbModule,
    IconEscalatorModule,
    IconGeneralDisplayModule,
    IconHandPlusCircleModule,
    IconHandSbbModule,
    IconHostelModule,
    IconLiftModule,
    IconLockerModule,
    IconMeetingPointModule,
    IconMoneyExchangeModule,
    IconPlatformDisplayModule,
    IconScreenInsideTrainModule,
    IconShirtShoeModule,
    IconShoppingBagModule,
    IconShoppingBagCouponModule,
    IconShoppingBagFastModule,
    IconStationSurroundingAreaModule,
    IconTicketMachineModule,
    IconTicketMachineTicketModule,
    IconToiletModule,
    IconTrainStationModule,
    IconWaitingRoomModule,
    IconWineCheeseModule,
];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCollectionStationModule {
}
IconCollectionStationModule.decorators = [
    { type: NgModule, args: [{
                imports: modules,
                exports: modules,
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { IconBookComponent, IconBookModule, IconBottleAppleComponent, IconBottleAppleModule, IconCollectionStationModule, IconCustomerAssistanceSbbComponent, IconCustomerAssistanceSbbModule, IconEscalatorComponent, IconEscalatorModule, IconGeneralDisplayComponent, IconGeneralDisplayModule, IconHandPlusCircleComponent, IconHandPlusCircleModule, IconHandSbbComponent, IconHandSbbModule, IconHostelComponent, IconHostelModule, IconLiftComponent, IconLiftModule, IconLockerComponent, IconLockerModule, IconLotusComponent, IconLotusModule, IconMeetingPointComponent, IconMeetingPointModule, IconMoneyExchangeComponent, IconMoneyExchangeModule, IconPlatformComponent, IconPlatformDisplayComponent, IconPlatformDisplayModule, IconPlatformModule, IconScreenInsideTrainComponent, IconScreenInsideTrainModule, IconShirtShoeComponent, IconShirtShoeModule, IconShoppingBagComponent, IconShoppingBagCouponComponent, IconShoppingBagCouponModule, IconShoppingBagFastComponent, IconShoppingBagFastModule, IconShoppingBagModule, IconStationComponent, IconStationModule, IconStationSurroundingAreaComponent, IconStationSurroundingAreaModule, IconTicketMachineComponent, IconTicketMachineModule, IconTicketMachineTicketComponent, IconTicketMachineTicketModule, IconToiletComponent, IconToiletModule, IconTrainStationComponent, IconTrainStationModule, IconWaitingRoomComponent, IconWaitingRoomModule, IconWineCheeseComponent, IconWineCheeseModule };
//# sourceMappingURL=station.js.map
