import { CommonModule } from '@angular/common';
import { Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { IconBase } from '@sbb-esta/angular-icons/core';

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconButtonPowerComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconButtonPowerComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-button-power',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M14.997 7.39A5.501 5.501 0 0117.5 12c0 3.033-2.468 5.5-5.5 5.5A5.506 5.506 0 016.5 12c0-1.925.997-3.617 2.5-4.6M12 5v5"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M22.496 11.086a8.252 8.252 0 013.754 6.913c0 4.55-3.702 8.25-8.25 8.25S9.75 22.55 9.75 18c0-2.887 1.496-5.425 3.75-6.9M18 7.5V15"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconButtonPowerComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconButtonPowerModule {
}
IconButtonPowerModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconButtonPowerComponent],
                exports: [IconButtonPowerComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconExclamationPointComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconExclamationPointComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-exclamation-point',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill-rule="evenodd"
          d="M12.905 5.436v4.156l-.464 6.031h-.881l-.446-6.031V5.436h1.79zM11.003 19v-1.911h1.995V19h-1.995z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill-rule="evenodd"
          d="M19.357 8.154v6.234l-.696 9.046H17.34l-.67-9.046V8.154h2.687zM16.504 28.5v-2.866h2.993V28.5h-2.993z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconExclamationPointComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconExclamationPointModule {
}
IconExclamationPointModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconExclamationPointComponent],
                exports: [IconExclamationPointComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconEyeComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconEyeComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-eye',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M15.5 12a3.5 3.5 0 10-7 0 3.5 3.5 0 007 0zm5 0c-.744-1.1-4.25-5.5-8.5-5.5S4.35 10.79 3.5 12c.744 1.1 4.25 5.5 8.5 5.5s7.65-4.29 8.5-5.5z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M23.25 18a5.25 5.25 0 10-10.5 0 5.25 5.25 0 0010.5 0zm7.5 0C29.634 16.35 24.375 9.75 18 9.75S6.525 16.185 5.25 18c1.116 1.65 6.375 8.25 12.75 8.25S29.475 19.815 30.75 18z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconEyeComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconEyeModule {
}
IconEyeModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconEyeComponent],
                exports: [IconEyeComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconEyeDisabledComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconEyeDisabledComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-eye-disabled',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.085 10.085C8.693 10.647 8.5 11.263 8.5 12A3.5 3.5 0 0012 15.5c.725 0 1.358-.204 1.915-.585m1.467-2.058c.069-.276.118-.56.118-.856A3.5 3.5 0 0012 8.5a3.5 3.5 0 00-.856.117M4 5l15 15m-1.343-4.91A17.304 17.304 0 0020.5 12c-.744-1.1-4.25-5.5-8.5-5.5-.86 0-1.684.182-2.46.473m-2.317 1.25C5.345 9.559 3.993 11.298 3.5 12c.744 1.1 4.25 5.5 8.5 5.5 1.273 0 2.466-.388 3.539-.961"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M13.627 15.127c-.588.843-.877 1.767-.877 2.874 0 2.9 2.35 5.249 5.25 5.249a4.963 4.963 0 002.872-.878m2.2-3.087c.104-.414.178-.84.178-1.284 0-2.901-2.35-5.25-5.25-5.25a5.25 5.25 0 00-1.284.176M6 7.5L28.5 30m-2.014-7.366a25.955 25.955 0 004.264-4.633C29.634 16.35 24.375 9.75 18 9.75c-1.291 0-2.526.271-3.691.708m-3.475 1.875C8.017 14.338 5.991 16.947 5.25 18c1.116 1.65 6.375 8.25 12.75 8.25 1.91 0 3.699-.582 5.308-1.442"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconEyeDisabledComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconEyeDisabledModule {
}
IconEyeDisabledModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconEyeDisabledComponent],
                exports: [IconEyeDisabledComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLockClosedComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconLockClosedComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-lock-closed',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.5 9.5V6a2.5 2.5 0 015 0v3.5M12 17v-4m-5.5 6.5h11v-10h-11v10z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M14.25 14.25V9a3.75 3.75 0 017.5 0v5.25M18 25.5v-6m-8.25 9.75h16.5v-15H9.75v15z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconLockClosedComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLockClosedModule {
}
IconLockClosedModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconLockClosedComponent],
                exports: [IconLockClosedComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLockOpenComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconLockOpenComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-lock-open',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.5 9.5V6a2.5 2.5 0 10-5 0M12 17v-4m-5.5 6.5h11v-10h-11v10z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M14.25 14.25V9a3.75 3.75 0 10-7.5 0M18 25.5v-6m-8.25 9.75h16.5v-15H9.75v15z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconLockOpenComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLockOpenModule {
}
IconLockOpenModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconLockOpenComponent],
                exports: [IconLockOpenComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconQuestionMarkComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconQuestionMarkComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-question-mark',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill-rule="evenodd"
          d="M11.014 18.98v-1.939h2.015v1.939h-2.015zm-3.18-9.437c.043-1.157.27-2.052.681-2.686a3.818 3.818 0 011.511-1.353c.627-.317 1.333-.475 2.117-.475 1.262 0 2.266.357 3.012 1.072.697.659 1.045 1.527 1.045 2.602 0 .889-.236 1.654-.709 2.294-.212.293-.719.83-1.52 1.614-.355.342-.602.627-.742.853a2.324 2.324 0 00-.293.844c-.063.335-.094.771-.094 1.306h-1.585c.012-.951.096-1.657.251-2.117.113-.336.272-.637.481-.905.208-.267.67-.768 1.385-1.501.46-.473.762-.898.904-1.278.118-.323.178-.653.178-.989 0-.621-.171-1.144-.513-1.566-.411-.516-1.017-.774-1.819-.774-1.66 0-2.555 1.019-2.686 3.059H7.834z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill-rule="evenodd"
          d="M16.521 28.47v-2.909h3.023v2.909H16.52zm-4.77-14.155c.065-1.736.405-3.079 1.022-4.03a5.728 5.728 0 012.266-2.029c.94-.476 2-.713 3.176-.713 1.893 0 3.398.536 4.518 1.609 1.045.988 1.567 2.29 1.567 3.903 0 1.333-.354 2.48-1.064 3.44-.317.44-1.078 1.245-2.28 2.421-.532.514-.902.941-1.113 1.28-.208.34-.357.762-.439 1.266-.095.503-.141 1.157-.141 1.959h-2.378c.018-1.427.144-2.485.377-3.175.17-.505.408-.956.721-1.358.313-.4 1.005-1.152 2.078-2.252.69-.709 1.143-1.346 1.356-1.916.177-.485.267-.98.267-1.484 0-.931-.257-1.716-.77-2.349-.616-.774-1.525-1.161-2.728-1.161-2.49 0-3.832 1.528-4.029 4.588h-2.406z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconQuestionMarkComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconQuestionMarkModule {
}
IconQuestionMarkModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconQuestionMarkComponent],
                exports: [IconQuestionMarkComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTickComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconTickComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-tick',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M6 15l4 4 9-8.99" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path fill="none" stroke="#000" d="M9 22.5l6 6 13.5-13.485" />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconTickComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTickModule {
}
IconTickModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconTickComponent],
                exports: [IconTickComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTickClipboardComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconTickClipboardComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-tick-clipboard',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M3.5 3.5v18h17v-18h-6v-1h-5v1h-6zm11 0v1h-5v-1M6 14l4 3.25L17 8"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M5.25 5.25v27h25.5v-27h-9v-1.5h-7.5v1.5h-9zm16.5 0v1.5h-7.5v-1.5M9 21l6 4.875L25.5 12"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconTickClipboardComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTickClipboardModule {
}
IconTickClipboardModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconTickClipboardComponent],
                exports: [IconTickClipboardComponent],
            },] }
];

const modules = [
    IconButtonPowerModule,
    IconExclamationPointModule,
    IconEyeModule,
    IconEyeDisabledModule,
    IconLockClosedModule,
    IconLockOpenModule,
    IconQuestionMarkModule,
    IconTickModule,
    IconTickClipboardModule,
];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCollectionStatusModule {
}
IconCollectionStatusModule.decorators = [
    { type: NgModule, args: [{
                imports: modules,
                exports: modules,
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { IconButtonPowerComponent, IconButtonPowerModule, IconCollectionStatusModule, IconExclamationPointComponent, IconExclamationPointModule, IconEyeComponent, IconEyeDisabledComponent, IconEyeDisabledModule, IconEyeModule, IconLockClosedComponent, IconLockClosedModule, IconLockOpenComponent, IconLockOpenModule, IconQuestionMarkComponent, IconQuestionMarkModule, IconTickClipboardComponent, IconTickClipboardModule, IconTickComponent, IconTickModule };
//# sourceMappingURL=status.js.map
