import { CommonModule } from '@angular/common';
import { Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { IconBase } from '@sbb-esta/angular-icons/core';

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSa1Component extends IconBase {
    constructor() {
        super({ width: '14px', height: '16px', ratio: 0.875 });
    }
}
IconSa1Component.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-1',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 14 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path d="M1 1h11.667v14H1V1zm1.296 12.727h9.074V2.273H2.296v11.454z" />
        <path d="M7.218 12.455V5.628L5.77 7.132l-.881-1.336L7.4 3.545h1.378v8.91h-1.56" />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSa1Component.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSa1Module {
}
IconSa1Module.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSa1Component],
                exports: [IconSa1Component],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSa2Component extends IconBase {
    constructor() {
        super({ width: '14px', height: '16px', ratio: 0.875 });
    }
}
IconSa2Component.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-2',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 14 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path d="M1 1h11.667v14H1V1zm1.296 12.727h9.074V2.273H2.296v11.454z" />
        <path
          d="M4.24 11.12l.772-.739C6.03 9.246 6.734 8.374 7.12 7.766c.385-.607.577-1.169.577-1.68 0-.774-.394-1.16-1.188-1.16-.669 0-1.277.25-1.821.756l-.093.095-.19-1.645.13-.088c.174-.089.33-.16.463-.21.13-.052.334-.113.6-.183.267-.071.643-.106 1.128-.106.833 0 1.474.198 1.929.591.452.395.679.955.679 1.681 0 .243-.022.484-.069.722-.045.238-.151.547-.317.93-.165.383-.474.913-.932 1.584-.46.672-.931 1.265-1.415 1.781l-.1.135h2.925v1.486h-5.17l-.015-1.334"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSa2Component.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSa2Module {
}
IconSa2Module.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSa2Component],
                exports: [IconSa2Component],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaAwComponent extends IconBase {
    constructor() {
        super({ width: '38px', height: '16px', ratio: 2.375 });
    }
}
IconSaAwComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-aw',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 38 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M9.462 1.038L1 15.001h3.1L5.88 11.8h5.943l.479 3.202h2.8l-2.54-13.963h-3.1zm1.02 2.48h.08l.88 6.081H7.12l3.36-6.08zM34.263 1.038L29.322 11.74h-.04l-.06-10.702h-3.761l-4.64 10.702h-.041l-.419-10.702H17.56l.879 13.963h3.462l4.92-11.162h.04l.14 11.162h3.501l6.662-13.963z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaAwComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaAwModule {
}
IconSaAwModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaAwComponent],
                exports: [IconSaAwComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaBComponent extends IconBase {
    constructor() {
        super({ width: '22px', height: '16px', ratio: 1.375 });
    }
}
IconSaBComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-b',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 22 16"
    >
      <path
        fill-rule="evenodd"
        d="M3.305 14.35c-.35-.534-.64-1.004-.87-1.415-.232-.411-.528-1.025-.89-1.841C1.181 10.277 1 9.264 1 8.054c0-1.122.199-2.158.591-3.1.392-.943.963-2.002 1.713-3.175h1.272a32.885 32.885 0 00-.944 1.76c-.218.446-.478 1.06-.781 1.84-.3.78-.453 1.679-.453 2.695 0 1.038.166 1.981.5 2.82.331.842.59 1.45.77 1.824.181.375.484.92.908 1.633H3.305v-.002zM18.418 1.777c.689 1.076 1.246 2.092 1.668 3.048.424.955.638 2.032.638 3.229 0 1.149-.174 2.132-.518 2.948-.345.818-.615 1.4-.808 1.752-.193.35-.521.884-.98 1.597h-1.27c.459-.845.78-1.452.962-1.813.182-.364.426-.95.735-1.76.307-.81.463-1.723.463-2.74a8.25 8.25 0 00-.164-1.631 9.364 9.364 0 00-.49-1.624 22.593 22.593 0 00-.606-1.38c-.19-.379-.487-.92-.9-1.622h1.27v-.004zM10.05 13.6v-4.5c-.928-.121-1.793-.464-2.344-1.01-.548-.546-.891-1.11-.985-1.676-.115-.567-.171-.991-.171-1.293V1h8.4v4.122c0 .261-.057.686-.153 1.272-.113.588-.452 1.152-1.003 1.698-.55.545-1.413.888-2.344 1.01V13.6l3.499.001V15H6.55v-1.399h3.5z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaBComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaBModule {
}
IconSaBModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaBComponent],
                exports: [IconSaBComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaBeComponent extends IconBase {
    constructor() {
        super({ width: '26px', height: '16px', ratio: 1.625 });
    }
}
IconSaBeComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-be',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 26 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M5.84 6.678h1.102c1.42 0 2.96-.4 2.96-2.04 0-1.34-1.28-1.4-2.34-1.4H6.58l-.74 3.44zM4.56 12.8h.96c1.72 0 3.642-.2 3.642-2.36 0-1.461-1.36-1.681-2.861-1.681h-.9l-.84 4.04zM4.34 1.037h4.142c2.18 0 4.22.8 4.22 3.34 0 1.7-1.36 3.062-2.98 3.322v.04c1.56.24 2.24 1.44 2.24 2.94 0 4-4.48 4.32-6.56 4.32H1.42L4.34 1.038zM16.78 1.037h8.222l-.42 2.2h-5.461L18.4 6.678h4.882l-.44 2.201H17.94l-.82 3.921h5.521l-.479 2.2H13.84z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaBeComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaBeModule {
}
IconSaBeModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaBeComponent],
                exports: [IconSaBeComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaBkComponent extends IconBase {
    constructor() {
        super({ width: '29px', height: '16px', ratio: 1.8125 });
    }
}
IconSaBkComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-bk',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 29 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M5.84 6.678h1.102c1.42 0 2.96-.4 2.96-2.04 0-1.34-1.28-1.4-2.34-1.4H6.58l-.74 3.44zM4.56 12.8h.96c1.72 0 3.642-.2 3.642-2.36 0-1.461-1.36-1.681-2.861-1.681h-.9l-.84 4.04zM4.34 1.037h4.142c2.18 0 4.22.8 4.22 3.34 0 1.7-1.36 3.062-2.98 3.322v.04c1.56.24 2.24 1.44 2.24 2.94 0 4-4.48 4.32-6.56 4.32H1.42L4.34 1.038zM19.641 1.037l-1.18 5.481h.04l5.541-5.481h3.902l-7.062 6.361L25.383 15h-3.341l-3.88-7.102L16.641 15H13.84l3.001-13.963z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaBkComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaBkModule {
}
IconSaBkModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaBkComponent],
                exports: [IconSaBkComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaBlComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '16px', ratio: 1.5 });
    }
}
IconSaBlComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-bl',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 24 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M5.84 6.678h1.102c1.42 0 2.96-.4 2.96-2.04 0-1.34-1.28-1.4-2.34-1.4H6.58l-.74 3.44zM4.56 12.8h.96c1.72 0 3.642-.2 3.642-2.36 0-1.461-1.36-1.681-2.861-1.681h-.9l-.84 4.04zM4.34 1.037h4.142c2.18 0 4.22.8 4.22 3.34 0 1.7-1.36 3.062-2.98 3.322v.04c1.56.24 2.24 1.44 2.24 2.94 0 4-4.48 4.32-6.56 4.32H1.42L4.34 1.038zM16.641 1.037h2.801L16.941 12.8h5.481l-.48 2.2H13.68z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaBlComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaBlModule {
}
IconSaBlModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaBlComponent],
                exports: [IconSaBlComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaBrComponent extends IconBase {
    constructor() {
        super({ width: '27px', height: '16px', ratio: 1.6875 });
    }
}
IconSaBrComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-br',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 27 16"
    >
      <path
        fill-rule="evenodd"
        d="M5.84 6.678h1.102c1.42 0 2.96-.4 2.96-2.04 0-1.34-1.28-1.4-2.34-1.4H6.58l-.74 3.44zM4.56 12.8h.96c1.72 0 3.642-.2 3.642-2.36 0-1.461-1.36-1.681-2.861-1.681h-.9l-.84 4.04zM4.34 1.037h4.142c2.18 0 4.22.8 4.22 3.34 0 1.7-1.36 3.062-2.98 3.322v.04c1.56.24 2.24 1.44 2.24 2.94 0 4-4.48 4.32-6.56 4.32H1.42L4.34 1.038zm13.821 5.961h1.02c1.501 0 3.321-.46 3.321-2.3 0-1.461-1.26-1.461-2.4-1.461h-1.16l-.78 3.761zm-1.6-5.961h3.3c2.58 0 5.561-.04 5.561 3.301 0 2.4-1.8 3.681-4.08 3.721v.04c.76.04 1.24.519 1.42 1.28L24.102 15h-2.94l-.68-3.28c-.32-1.481-.24-2.521-1.76-2.521h-1.06L16.44 15h-2.8l2.92-13.963z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaBrComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaBrModule {
}
IconSaBrModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaBrComponent],
                exports: [IconSaBrComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaBvComponent extends IconBase {
    constructor() {
        super({ width: '29px', height: '16px', ratio: 1.8125 });
    }
}
IconSaBvComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-bv',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 29 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M5.84 6.678h1.102c1.42 0 2.96-.4 2.96-2.04 0-1.34-1.28-1.4-2.34-1.4H6.58l-.74 3.44zM4.56 12.8h.96c1.72 0 3.642-.2 3.642-2.36 0-1.461-1.36-1.681-2.861-1.681h-.9l-.84 4.04zM4.34 1.037h4.142c2.18 0 4.22.8 4.22 3.34 0 1.7-1.36 3.062-2.98 3.322v.04c1.56.24 2.24 1.44 2.24 2.94 0 4-4.48 4.32-6.56 4.32H1.42L4.34 1.038zM15.36 1.037h2.801l1.3 10.862h.04l5.801-10.862h3.04L20.541 15H17.2z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaBvComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaBvModule {
}
IconSaBvModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaBvComponent],
                exports: [IconSaBvComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaBzComponent extends IconBase {
    constructor() {
        super({ width: '27px', height: '16px', ratio: 1.6875 });
    }
}
IconSaBzComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-bz',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 27 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M5.84 6.678h1.102c1.42 0 2.96-.4 2.96-2.04 0-1.34-1.28-1.4-2.34-1.4H6.58l-.74 3.44zM4.56 12.8h.96c1.72 0 3.642-.2 3.642-2.36 0-1.461-1.36-1.681-2.861-1.681h-.9l-.84 4.04zM4.34 1.037h4.142c2.18 0 4.22.8 4.22 3.34 0 1.7-1.36 3.062-2.98 3.322v.04c1.56.24 2.24 1.44 2.24 2.94 0 4-4.48 4.32-6.56 4.32H1.42L4.34 1.038zM16.181 1.037h9.582l-.48 2.2-8.422 9.563h6.361l-.46 2.2H12.96l.44-2.2 8.402-9.563h-6.101z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaBzComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaBzModule {
}
IconSaBzModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaBzComponent],
                exports: [IconSaBzComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaCcComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '16px', ratio: 1.5 });
    }
}
IconSaCcComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-cc',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 24 16"
    >
      <path fill-rule="evenodd" d="M1 7.3h14.058L20.143 1h2.741v14h-2.051v-4.9H3.052V15H1V7.3" />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaCcComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaCcModule {
}
IconSaCcModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaCcComponent],
                exports: [IconSaCcComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaDzComponent extends IconBase {
    constructor() {
        super({ width: '27px', height: '16px', ratio: 1.6875 });
    }
}
IconSaDzComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-dz',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 27 16"
    >
      <path
        fill-rule="evenodd"
        d="M22.292 11.304v.104c0 .641-.24 1.189-.724 1.643a2.47 2.47 0 01-1.751.681 2.434 2.434 0 01-1.725-.673c-.477-.448-.717-.988-.717-1.615v-.14H15.59v.104c0 .641-.24 1.189-.729 1.643-.488.454-1.076.681-1.764.681a2.459 2.459 0 01-1.737-.673c-.482-.447-.722-.987-.722-1.613v-.142H8.851v.104c0 .641-.24 1.189-.724 1.643a2.467 2.467 0 01-1.752.681 2.46 2.46 0 01-1.715-.664c-.483-.442-.724-.983-.724-1.622l-.02-.142H1V8.288h4.597V5.02H1.016V2.843h7.859v3.111h9.45V1h2.363v4.954h3.726l1.786 5.35h-3.908"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaDzComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaDzModule {
}
IconSaDzModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaDzComponent],
                exports: [IconSaDzComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaEpComponent extends IconBase {
    constructor() {
        super({ width: '25px', height: '16px', ratio: 1.5625 });
    }
}
IconSaEpComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-ep',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 25 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M4.561 1.037h8.222l-.42 2.2H6.902l-.721 3.441h4.882l-.44 2.201H5.721l-.82 3.921h5.52L9.943 15H1.621zM16.941 7.498h1c1.54 0 3.121-.8 3.121-2.54 0-1.421-1.14-1.721-2.34-1.721h-.88l-.9 4.261zM15.341 15h-2.8L15.5 1.037h2.36c2.58 0 6.121.14 6.121 3.621 0 3.38-2.78 5.041-5.9 5.041h-1.62L15.34 15z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaEpComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaEpModule {
}
IconSaEpModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaEpComponent],
                exports: [IconSaEpComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaFaComponent extends IconBase {
    constructor() {
        super({ width: '25px', height: '16px', ratio: 1.5625 });
    }
}
IconSaFaComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-fa',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 25 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M4.561 1.037h7.701l-.479 2.2H6.902l-.74 3.441h4.66l-.44 2.201h-4.68L4.42 15H1.621zM15.781 9.599h4.32l-.88-6.081h-.08l-3.36 6.08zm2.341-8.562h3.1L23.762 15h-2.8l-.48-3.201h-5.94l-1.782 3.2h-3.1l8.462-13.962z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaFaComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaFaModule {
}
IconSaFaModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaFaComponent],
                exports: [IconSaFaComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaFlComponent extends IconBase {
    constructor() {
        super({ width: '21px', height: '16px', ratio: 1.3125 });
    }
}
IconSaFlComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-fl',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 21 16"
    >
      <path
        fill-rule="evenodd"
        d="M16.924 1h-2.668l1.952 1.95h-.113a6.75 6.75 0 00-5.562 2.929 6.749 6.749 0 00-5.56-2.928h-.114L6.811 1H4.142L1 4.142l3.142 3.143h2.669l-1.952-1.95h.113c2.41 0 4.37 1.96 4.37 4.369V15h2.383V9.704c0-2.41 1.96-4.37 4.37-4.37h.113l-1.952 1.951h2.668l3.143-3.143L16.924 1z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaFlComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaFlModule {
}
IconSaFlModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaFlComponent],
                exports: [IconSaFlComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaFwComponent extends IconBase {
    constructor() {
        super({ width: '34px', height: '16px', ratio: 2.125 });
    }
}
IconSaFwComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-fw',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 34 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M4.561 1.037h7.701l-.479 2.2H6.902l-.74 3.441h4.66l-.44 2.201h-4.68L4.42 15H1.621zM13.141 1.037h2.801l.42 10.702h.04l4.64-10.702h3.761l.061 10.702h.04l4.94-10.702h2.901L26.083 15h-3.501l-.139-11.162h-.04L17.482 15h-3.461z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaFwComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaFwModule {
}
IconSaFwModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaFwComponent],
                exports: [IconSaFwComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaFzComponent extends IconBase {
    constructor() {
        super({ width: '25px', height: '16px', ratio: 1.5625 });
    }
}
IconSaFzComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-fz',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 25 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M4.561 1.037h7.701l-.479 2.2H6.902l-.74 3.441h4.66l-.44 2.201h-4.68L4.42 15H1.621zM13.961 1.037h9.582l-.48 2.2-8.422 9.563h6.361l-.46 2.2H10.74l.44-2.2 8.402-9.563h-6.101z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaFzComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaFzModule {
}
IconSaFzModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaFzComponent],
                exports: [IconSaFzComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaGlComponent extends IconBase {
    constructor() {
        super({ width: '16px', height: '16px', ratio: 1 });
    }
}
IconSaGlComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-gl',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 16 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path d="M1 1h14v14H1V1zm1.273 12.727h11.454V2.273H2.273v11.454z" />
        <path d="M2.27 13.72l.335-1.234 9.881-9.881 1.234-.335-.335 1.252-9.881 9.88-1.234.318" />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaGlComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaGlModule {
}
IconSaGlModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaGlComponent],
                exports: [IconSaGlComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaGnComponent extends IconBase {
    constructor() {
        super({ width: '16px', height: '16px', ratio: 1 });
    }
}
IconSaGnComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-gn',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 16 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path d="M1 1h14v14H1V1zm1.273 12.727h11.454V2.273H2.273v11.454z" />
        <path
          d="M2.27 13.72l.335-1.234 4.138-4.149.809-.334-.808-.334-4.139-4.147L2.27 2.27l1.234.335L7.66 6.753l.335.811.335-.811 4.156-4.148 1.234-.335-.335 1.252-4.139 4.147-.811.335.811.333 4.139 4.149.335 1.234-1.234-.317L8.33 9.254l-.335-.809-.335.809-4.156 4.149-1.234.317"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaGnComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaGnModule {
}
IconSaGnModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaGnComponent],
                exports: [IconSaGnComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaGpComponent extends IconBase {
    constructor() {
        super({ width: '29px', height: '16px', ratio: 1.8125 });
    }
}
IconSaGpComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-gp',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 29 16"
    >
      <path
        fill-rule="evenodd"
        d="M14.823 3.998c-1.08-.7-2.42-1.001-3.88-1.001C7.54 2.997 5.4 5.658 5.4 8.959c0 2.26 1.56 4.081 3.941 4.081.64 0 1.06 0 1.38-.141l.78-3.7h-2.96l.46-2.201h5.661l-1.6 7.622c-.82.34-2.382.62-3.74.62-4.103 0-6.843-1.881-6.843-6.201 0-5.102 3.341-8.242 8.382-8.242 1.561 0 3.2.22 4.661.78l-.7 2.421zm5.438 3.5h1c1.54 0 3.12-.8 3.12-2.54 0-1.421-1.14-1.721-2.34-1.721h-.88l-.9 4.261zM18.66 15h-2.8l2.96-13.963h2.36c2.582 0 6.122.14 6.122 3.621 0 3.38-2.78 5.041-5.901 5.041h-1.62L18.66 15z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaGpComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaGpModule {
}
IconSaGpModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaGpComponent],
                exports: [IconSaGpComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaGrComponent extends IconBase {
    constructor() {
        super({ width: '29px', height: '16px', ratio: 1.8125 });
    }
}
IconSaGrComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-gr',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 29 16"
    >
      <path
        fill-rule="evenodd"
        d="M14.823 3.998c-1.08-.7-2.42-1.001-3.88-1.001C7.54 2.997 5.4 5.658 5.4 8.959c0 2.26 1.56 4.081 3.941 4.081.64 0 1.06 0 1.38-.141l.78-3.7h-2.96l.46-2.201h5.661l-1.6 7.622c-.82.34-2.382.62-3.74.62-4.103 0-6.843-1.881-6.843-6.201 0-5.102 3.341-8.242 8.382-8.242 1.561 0 3.2.22 4.661.78l-.7 2.421zm5.558 3h1.02c1.5 0 3.32-.46 3.32-2.3 0-1.461-1.26-1.461-2.4-1.461h-1.16l-.78 3.761zM18.78 1.037h3.3c2.58 0 5.562-.04 5.562 3.301 0 2.4-1.8 3.681-4.08 3.721v.04c.759.04 1.24.519 1.42 1.28L26.322 15H23.38l-.68-3.28c-.32-1.481-.24-2.521-1.76-2.521h-1.06L18.66 15h-2.8l2.92-13.963z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaGrComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaGrModule {
}
IconSaGrModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaGrComponent],
                exports: [IconSaGrComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaGzComponent extends IconBase {
    constructor() {
        super({ width: '29px', height: '16px', ratio: 1.8125 });
    }
}
IconSaGzComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-gz',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 29 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M14.823 3.998c-1.08-.7-2.42-1.001-3.88-1.001C7.54 2.997 5.4 5.658 5.4 8.959c0 2.26 1.56 4.081 3.941 4.081.64 0 1.06 0 1.38-.141l.78-3.7h-2.96l.46-2.201h5.661l-1.6 7.622c-.82.34-2.382.62-3.74.62-4.103 0-6.843-1.881-6.843-6.201 0-5.102 3.341-8.242 8.382-8.242 1.561 0 3.2.22 4.661.78l-.7 2.421zM18.4 1.037h9.582l-.48 2.2L19.08 12.8h6.361l-.46 2.2h-9.802l.44-2.2 8.402-9.563H17.92z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaGzComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaGzModule {
}
IconSaGzModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaGzComponent],
                exports: [IconSaGzComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaHkComponent extends IconBase {
    constructor() {
        super({ width: '31px', height: '16px', ratio: 1.9375 });
    }
}
IconSaHkComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-hk',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 31 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M4.541 1.037h2.801L6.161 6.678h5.642l1.179-5.641h2.801L12.862 15h-2.8l1.28-6.121H5.701L4.421 15H1.62zM26.262 1.038l-5.541 5.481h-.04l1.179-5.481h-2.8l-3 13.963h2.8l1.52-7.102 3.881 7.102h3.34l-4.5-7.602 7.061-6.361z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaHkComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaHkModule {
}
IconSaHkModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaHkComponent],
                exports: [IconSaHkComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaHnComponent extends IconBase {
    constructor() {
        super({ width: '32px', height: '16px', ratio: 2 });
    }
}
IconSaHnComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-hn',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 32 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M4.541 1.037h2.801L6.161 6.678h5.642l1.179-5.641h2.801L12.862 15h-2.8l1.28-6.121H5.701L4.421 15H1.62zM18.94 1.037h3.54l2.981 10.603h.041l2.28-10.603h2.64L27.402 15H23.8L20.88 4.298h-.04L18.62 15h-2.681z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaHnComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaHnModule {
}
IconSaHnModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaHnComponent],
                exports: [IconSaHnComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaJeComponent extends IconBase {
    constructor() {
        super({ width: '22px', height: '16px', ratio: 1.375 });
    }
}
IconSaJeComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-je',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 22 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M9.901 1.037l-1.96 9.482c-.54 2.8-1.44 4.721-4.602 4.721-.78 0-1.58-.08-2.339-.28l.64-2.38c.34.12.78.22 1.28.22 1.48 0 1.96-1.08 2.22-2.36L7.1 1.036h2.801zM13.021 1.037h8.221l-.419 2.2h-5.462l-.721 3.441h4.883l-.441 2.201h-4.901l-.82 3.921h5.52l-.479 2.2h-8.321z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaJeComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaJeModule {
}
IconSaJeModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaJeComponent],
                exports: [IconSaJeComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaKwComponent extends IconBase {
    constructor() {
        super({ width: '37px', height: '16px', ratio: 2.3125 });
    }
}
IconSaKwComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-kw',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 37 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M7.421 1.037l-1.18 5.481h.04l5.541-5.481h3.901L8.662 7.398l4.5 7.602h-3.34l-3.88-7.102L4.421 15H1.62L4.621 1.037zM33.184 1.038l-4.941 10.701h-.04l-.06-10.701h-3.761l-4.64 10.701h-.041l-.419-10.701h-2.801l.879 13.963h3.462l4.92-11.163h.04l.14 11.163h3.501l6.662-13.963z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaKwComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaKwModule {
}
IconSaKwModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaKwComponent],
                exports: [IconSaKwComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaLcComponent extends IconBase {
    constructor() {
        super({ width: '26px', height: '16px', ratio: 1.625 });
    }
}
IconSaLcComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-lc',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 26 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M4.421 1.037h2.801L4.721 12.8h5.481l-.48 2.2H1.46zM23.783 3.817c-.64-.439-1.7-.82-3.2-.82-3.102 0-5.282 2.341-5.282 5.621 0 2.341 1.52 4.422 3.981 4.422 1.18 0 2.14-.38 2.94-.86l-.44 2.68c-1.02.28-2.1.38-3.16.38-4.222 0-6.242-2.84-6.242-6.622 0-4.5 3.061-7.822 8.002-7.822 1.4 0 2.88.18 4.1.681l-.699 2.34z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaLcComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaLcModule {
}
IconSaLcModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaLcComponent],
                exports: [IconSaLcComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaLeComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '16px', ratio: 1.5 });
    }
}
IconSaLeComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-le',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 24 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M4.421 1.037h2.801L4.721 12.8h5.481l-.48 2.2H1.46zM14.56 1.037h8.222l-.419 2.2h-5.462l-.721 3.441h4.883l-.441 2.201H15.72L14.9 12.8h5.522l-.48 2.2H11.62z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaLeComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaLeModule {
}
IconSaLeModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaLeComponent],
                exports: [IconSaLeComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaMeComponent extends IconBase {
    constructor() {
        super({ width: '33px', height: '16px', ratio: 2.0625 });
    }
}
IconSaMeComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-me',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 33 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M4.581 1.037h4.621l.94 10.063h.04l5.502-10.063h4.66L17.363 15h-2.96l2.64-11.563h-.039L10.682 15h-2.68L6.881 3.437h-.04L4.28 15H1.62zM23.44 1.037h8.222l-.42 2.2h-5.461l-.721 3.441h4.882l-.44 2.201H24.6l-.82 3.921h5.521l-.479 2.2H20.5z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaMeComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaMeModule {
}
IconSaMeModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaMeComponent],
                exports: [IconSaMeComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaMiComponent extends IconBase {
    constructor() {
        super({ width: '10px', height: '16px', ratio: 0.625 });
    }
}
IconSaMiComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-mi',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 10 16"
    >
      <path
        fill-rule="evenodd"
        d="M4.5 13.601v-4.5c-.928-.121-1.793-.464-2.344-1.01-.548-.546-.891-1.11-.985-1.676C1.056 5.848 1 5.424 1 5.122V1h8.4v4.122c0 .261-.057.686-.153 1.272-.113.588-.452 1.152-1.003 1.698-.55.545-1.413.888-2.344 1.01V13.6l3.499.001V15H1v-1.399h3.5z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaMiComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaMiModule {
}
IconSaMiModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaMiComponent],
                exports: [IconSaMiComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaMpComponent extends IconBase {
    constructor() {
        super({ width: '33px', height: '16px', ratio: 2.0625 });
    }
}
IconSaMpComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-mp',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 33 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M4.581 1.037h4.621l.94 10.063h.04l5.502-10.063h4.66L17.363 15h-2.96l2.64-11.563h-.039L10.682 15h-2.68L6.881 3.437h-.04L4.28 15H1.62zM24.701 7.498h1c1.54 0 3.121-.8 3.121-2.54 0-1.421-1.14-1.721-2.34-1.721h-.88l-.9 4.261zM23.101 15h-2.8l2.96-13.963h2.36c2.58 0 6.121.14 6.121 3.621 0 3.38-2.78 5.041-5.9 5.041h-1.62L23.1 15z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaMpComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaMpModule {
}
IconSaMpModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaMpComponent],
                exports: [IconSaMpComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaNfComponent extends IconBase {
    constructor() {
        super({ width: '28px', height: '16px', ratio: 1.75 });
    }
}
IconSaNfComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-nf',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 28 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M13.342 1.038L11.063 11.64h-.04L8.04 1.038H4.5l-3 13.963h2.681L6.402 4.299h.039l2.92 10.702h3.602l3.02-13.963zM19 1.038l-2.94 13.963h2.801L20.14 8.88h4.681l.441-2.202h-4.661l.74-3.44h4.881l.48-2.2z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaNfComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaNfModule {
}
IconSaNfModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaNfComponent],
                exports: [IconSaNfComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaNjComponent extends IconBase {
    constructor() {
        super({ width: '25px', height: '16px', ratio: 1.5625 });
    }
}
IconSaNjComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-nj',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 25 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M4.501 1.037h3.54l2.981 10.603h.041l2.28-10.603h2.64L12.963 15H9.361L6.441 4.298h-.04L4.181 15H1.5zM23.661 1.037l-1.96 9.482c-.54 2.8-1.44 4.721-4.602 4.721-.78 0-1.58-.08-2.339-.28l.64-2.38c.34.12.78.22 1.28.22 1.48 0 1.96-1.08 2.22-2.36l1.96-9.403h2.801z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaNjComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaNjModule {
}
IconSaNjModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaNjComponent],
                exports: [IconSaNjComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaPComponent extends IconBase {
    constructor() {
        super({ width: '14px', height: '16px', ratio: 0.875 });
    }
}
IconSaPComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-p',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 14 16"
    >
      <path
        fill-rule="evenodd"
        d="M5.821 7.498h1c1.54 0 3.121-.8 3.121-2.54 0-1.421-1.14-1.721-2.34-1.721h-.88l-.9 4.261zM4.221 15h-2.8L4.38 1.037h2.36c2.581 0 6.121.14 6.121 3.621 0 3.38-2.78 5.041-5.9 5.041h-1.62L4.22 15z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaPComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaPModule {
}
IconSaPModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaPComponent],
                exports: [IconSaPComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaPaComponent extends IconBase {
    constructor() {
        super({ width: '18px', height: '16px', ratio: 1.125 });
    }
}
IconSaPaComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-pa',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 18 16"
    >
      <path
        fill-rule="evenodd"
        d="M9.2 1l8.198 14H1L9.2 1zm5.346 12.6l-2.067-3.5h-6.56l-2.067 3.5h10.694z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaPaComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaPaModule {
}
IconSaPaModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaPaComponent],
                exports: [IconSaPaComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaPlComponent extends IconBase {
    constructor() {
        super({ width: '23px', height: '16px', ratio: 1.4375 });
    }
}
IconSaPlComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-pl',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 23 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M5.821 7.499h1c1.54 0 3.121-.8 3.121-2.54 0-1.421-1.14-1.721-2.34-1.721h-.88l-.9 4.261zm-1.6 7.502h-2.8L4.38 1.038h2.36c2.581 0 6.121.14 6.121 3.621 0 3.38-2.78 5.041-5.9 5.041h-1.62L4.22 15.001zM15.541 1.038h2.801l-2.501 11.763h5.481l-.48 2.2H12.58z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaPlComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaPlModule {
}
IconSaPlModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaPlComponent],
                exports: [IconSaPlComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaPrComponent extends IconBase {
    constructor() {
        super({ width: '26px', height: '16px', ratio: 1.625 });
    }
}
IconSaPrComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-pr',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 26 16"
    >
      <path
        fill-rule="evenodd"
        d="M5.821 7.498h1c1.54 0 3.121-.8 3.121-2.54 0-1.421-1.14-1.721-2.34-1.721h-.88l-.9 4.261zM4.221 15h-2.8L4.38 1.037h2.36c2.581 0 6.121.14 6.121 3.621 0 3.38-2.78 5.041-5.9 5.041h-1.62L4.22 15zm12.84-8.002h1.02c1.502 0 3.322-.46 3.322-2.3 0-1.461-1.261-1.461-2.401-1.461h-1.16l-.78 3.761zm-1.6-5.961h3.3c2.58 0 5.562-.04 5.562 3.301 0 2.4-1.8 3.681-4.08 3.721v.04c.759.04 1.24.519 1.42 1.28L23 15h-2.94l-.68-3.28c-.32-1.481-.24-2.521-1.76-2.521h-1.06L15.341 15h-2.8l2.92-13.963z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaPrComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaPrModule {
}
IconSaPrModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaPrComponent],
                exports: [IconSaPrComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaRComponent extends IconBase {
    constructor() {
        super({ width: '11px', height: '16px', ratio: 0.6875 });
    }
}
IconSaRComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-r',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 11 16"
    >
      <path
        fill-rule="evenodd"
        d="M8.266 9.663c-.189-.546-.388-.94-.595-1.181-.204-.241-.515-.41-.928-.506 1.795-.37 2.693-1.488 2.693-3.354 0-1.16-.358-2.051-1.072-2.681C7.647 1.312 6.632 1 5.314 1H1v14h2.526V8.965h.607c.97 0 1.602.491 1.901 1.468L7.422 15H10.1L8.266 9.663zM4.574 6.937H3.526V2.81h1.08c.8 0 1.367.15 1.703.448.337.298.507.808.507 1.533 0 .673-.196 1.201-.584 1.58-.39.378-.945.567-1.658.567z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaRComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaRModule {
}
IconSaRModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaRComponent],
                exports: [IconSaRComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaRbComponent extends IconBase {
    constructor() {
        super({ width: '26px', height: '16px', ratio: 1.625 });
    }
}
IconSaRbComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-rb',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 26 16"
    >
      <path
        fill-rule="evenodd"
        d="M5.941 6.998h1.02c1.501 0 3.321-.46 3.321-2.3 0-1.461-1.26-1.461-2.4-1.461h-1.16l-.78 3.761zm-1.6-5.961h3.3c2.58 0 5.561-.04 5.561 3.301 0 2.4-1.8 3.681-4.08 3.721v.04c.76.04 1.24.519 1.42 1.28L11.882 15h-2.94l-.68-3.28c-.32-1.481-.24-2.521-1.76-2.521h-1.06L4.22 15h-2.8L4.34 1.037zm13.72 5.64h1.1c1.42 0 2.961-.398 2.961-2.04 0-1.34-1.28-1.4-2.34-1.4H18.8l-.74 3.44zM16.78 12.8h.96c1.72 0 3.64-.2 3.64-2.36 0-1.461-1.36-1.681-2.86-1.681h-.9l-.84 4.04zm-.22-11.763h4.14c2.18 0 4.22.8 4.22 3.34 0 1.7-1.36 3.062-2.98 3.322v.04c1.56.24 2.24 1.44 2.24 2.94 0 4-4.48 4.32-6.56 4.32H13.64l2.92-13.962z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaRbComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaRbModule {
}
IconSaRbModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaRbComponent],
                exports: [IconSaRbComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaRcComponent extends IconBase {
    constructor() {
        super({ width: '28px', height: '16px', ratio: 1.75 });
    }
}
IconSaRcComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-rc',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 28 16"
    >
      <path
        fill-rule="evenodd"
        d="M5.941 6.998h1.02c1.501 0 3.321-.46 3.321-2.3 0-1.461-1.26-1.461-2.4-1.461h-1.16l-.78 3.761zm-1.6-5.961h3.3c2.58 0 5.561-.04 5.561 3.301 0 2.4-1.8 3.681-4.08 3.721v.04c.76.04 1.24.519 1.42 1.28L11.882 15h-2.94l-.68-3.28c-.32-1.481-.24-2.521-1.76-2.521h-1.06L4.22 15h-2.8L4.34 1.037zm21.662 2.78c-.641-.439-1.701-.82-3.201-.82-3.101 0-5.281 2.341-5.281 5.621 0 2.341 1.52 4.422 3.98 4.422 1.18 0 2.14-.38 2.94-.86l-.44 2.68c-1.02.28-2.1.38-3.16.38-4.221 0-6.241-2.84-6.241-6.622 0-4.5 3.06-7.822 8.002-7.822 1.4 0 2.88.18 4.1.681l-.7 2.34z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaRcComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaRcModule {
}
IconSaRcModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaRcComponent],
                exports: [IconSaRcComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaReComponent extends IconBase {
    constructor() {
        super({ width: '26px', height: '16px', ratio: 1.625 });
    }
}
IconSaReComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-re',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 26 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M5.941 6.999h1.02c1.501 0 3.321-.46 3.321-2.3 0-1.461-1.26-1.461-2.4-1.461h-1.16l-.78 3.761zm-1.6-5.961h3.3c2.58 0 5.561-.04 5.561 3.301 0 2.4-1.8 3.681-4.08 3.721v.04c.76.04 1.24.519 1.42 1.28l1.34 5.621h-2.94l-.68-3.28c-.32-1.481-.24-2.521-1.76-2.521h-1.06L4.22 15.001h-2.8L4.34 1.038zM16.78 1.038h8.222l-.42 2.2h-5.461L18.4 6.679h4.882l-.44 2.201H17.94l-.82 3.921h5.521l-.479 2.2H13.84z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaReComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaReModule {
}
IconSaReModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaReComponent],
                exports: [IconSaReComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaRqComponent extends IconBase {
    constructor() {
        super({ width: '30px', height: '16px', ratio: 1.875 });
    }
}
IconSaRqComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-rq',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 30 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M5.941 6.998h1.02c1.501 0 3.321-.46 3.321-2.3 0-1.461-1.26-1.461-2.4-1.461h-1.16l-.78 3.761zm-1.6-5.961h3.3c2.58 0 5.561-.04 5.561 3.301 0 2.4-1.8 3.681-4.08 3.721v.04c.76.04 1.24.519 1.42 1.28L11.882 15h-2.94l-.68-3.28c-.32-1.481-.24-2.521-1.76-2.521h-1.06L4.22 15h-2.8L4.34 1.037zm13.18 8.562c0 1.82.92 3.44 2.94 3.44 3.202 0 4.982-3.84 4.982-6.621 0-1.86-.96-3.421-2.982-3.421-3.26 0-4.94 3.782-4.94 6.602m10.842-2.881a9.32 9.32 0 01-2.34 6.182c-1.46 1.62-3.581 2.34-5.921 2.34-3.442 0-5.502-2.48-5.502-5.801 0-2.22.78-4.381 2.2-6.041 1.521-1.74 3.462-2.601 5.741-2.601 3.782 0 5.822 2.2 5.822 5.92"
        />
        <path d="M22.741 12.309l2.233 2.69h3.37l-3.515-3.482z" />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaRqComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaRqModule {
}
IconSaRqModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaRqComponent],
                exports: [IconSaRqComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaRrComponent extends IconBase {
    constructor() {
        super({ width: '16px', height: '16px', ratio: 1 });
    }
}
IconSaRrComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-rr',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 16 16"
    >
      <path
        fill-rule="evenodd"
        d="M1 1h13.905v14H1V1zm1.264 12.727h11.377V2.273H2.264v11.454zM5.425 3.545h2.761c.845 0 1.494.2 1.953.599.458.4.685.968.685 1.705 0 1.188-.575 1.899-1.724 2.136.264.062.463.168.594.322.133.154.26.404.38.753l1.175 3.395H9.536L8.648 9.55c-.191-.623-.596-.935-1.217-.935h-.389v3.84H5.425v-8.91zm1.723 3.78h.565c.458 0 .81-.12 1.06-.362.249-.24.374-.577.374-1.006 0-.462-.109-.785-.325-.976-.215-.19-.578-.285-1.09-.285h-.69v2.627h.106v.001z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaRrComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaRrModule {
}
IconSaRrModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaRrComponent],
                exports: [IconSaRrComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaRtComponent extends IconBase {
    constructor() {
        super({ width: '27px', height: '16px', ratio: 1.6875 });
    }
}
IconSaRtComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-rt',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 27 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M5.941 6.998h1.02c1.501 0 3.321-.46 3.321-2.3 0-1.461-1.26-1.461-2.4-1.461h-1.16l-.78 3.761zm-1.6-5.961h3.3c2.58 0 5.561-.04 5.561 3.301 0 2.4-1.8 3.681-4.08 3.721v.04c.76.04 1.24.519 1.42 1.28L11.882 15h-2.94l-.68-3.28c-.32-1.481-.24-2.521-1.76-2.521h-1.06L4.22 15h-2.8L4.34 1.037zM15.021 1.037h10.781l-.459 2.2h-3.941L18.861 15h-2.92l2.541-11.763h-3.941z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaRtComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaRtModule {
}
IconSaRtModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaRtComponent],
                exports: [IconSaRtComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaRyComponent extends IconBase {
    constructor() {
        super({ width: '29px', height: '16px', ratio: 1.8125 });
    }
}
IconSaRyComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-ry',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 29 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M5.941 6.998h1.02c1.501 0 3.321-.46 3.321-2.3 0-1.461-1.26-1.461-2.4-1.461h-1.16l-.78 3.761zm-1.6-5.961h3.3c2.58 0 5.561-.04 5.561 3.301 0 2.4-1.8 3.681-4.08 3.721v.04c.76.04 1.24.519 1.42 1.28L11.882 15h-2.94l-.68-3.28c-.32-1.481-.24-2.521-1.76-2.521h-1.06L4.22 15h-2.8L4.34 1.037zM18.281 9.219l-3.28-8.182h2.961l2.08 5.862 4.541-5.862h3.261l-6.762 8.182L19.862 15h-2.801z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaRyComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaRyModule {
}
IconSaRyModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaRyComponent],
                exports: [IconSaRyComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaRzComponent extends IconBase {
    constructor() {
        super({ width: '27px', height: '16px', ratio: 1.6875 });
    }
}
IconSaRzComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-rz',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 27 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M5.941 6.998h1.02c1.501 0 3.321-.46 3.321-2.3 0-1.461-1.26-1.461-2.4-1.461h-1.16l-.78 3.761zm-1.6-5.961h3.3c2.58 0 5.561-.04 5.561 3.301 0 2.4-1.8 3.681-4.08 3.721v.04c.76.04 1.24.519 1.42 1.28L11.882 15h-2.94l-.68-3.28c-.32-1.481-.24-2.521-1.76-2.521h-1.06L4.22 15h-2.8L4.34 1.037zM16.181 1.037h9.582l-.48 2.2-8.422 9.563h6.361l-.46 2.2H12.96l.44-2.2 8.402-9.563h-6.101z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaRzComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaRzModule {
}
IconSaRzModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaRzComponent],
                exports: [IconSaRzComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaSComponent extends IconBase {
    constructor() {
        super({ width: '13px', height: '16px', ratio: 0.8125 });
    }
}
IconSaSComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-s',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 13 16"
    >
      <path
        fill-rule="evenodd"
        d="M11.402 3.718c-.82-.42-1.88-.721-2.9-.721-1 0-2.34.4-2.34 1.6 0 2.24 4.76 2.1 4.76 5.982 0 3.42-2.68 4.66-5.742 4.66-1.34 0-2.72-.32-3.98-.78l.72-2.38c1.08.5 2.22.96 3.42.96 1.341 0 2.662-.68 2.662-2.18 0-2.52-4.762-2.12-4.762-5.841C3.24 2.077 5.76.797 8.441.797c1.221 0 2.481.16 3.621.62l-.66 2.3z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaSComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaSModule {
}
IconSaSModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaSComponent],
                exports: [IconSaSComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaSbComponent extends IconBase {
    constructor() {
        super({ width: '25px', height: '16px', ratio: 1.5625 });
    }
}
IconSaSbComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-sb',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 25 16"
    >
      <path
        fill-rule="evenodd"
        d="M11.402 3.718c-.82-.42-1.88-.721-2.9-.721-1 0-2.34.4-2.34 1.6 0 2.24 4.76 2.1 4.76 5.982 0 3.42-2.68 4.66-5.742 4.66-1.34 0-2.72-.32-3.98-.78l.72-2.38c1.08.5 2.22.96 3.42.96 1.341 0 2.662-.68 2.662-2.18 0-2.52-4.762-2.12-4.762-5.841C3.24 2.077 5.76.797 8.441.797c1.221 0 2.481.16 3.621.62l-.66 2.3zm5.559 2.96h1.1c1.42 0 2.962-.4 2.962-2.04 0-1.34-1.281-1.4-2.341-1.4H17.7l-.74 3.44zM15.68 12.8h.96c1.72 0 3.64-.2 3.64-2.36 0-1.461-1.36-1.681-2.86-1.681h-.9l-.84 4.04zm-.22-11.763h4.14c2.18 0 4.22.8 4.22 3.34 0 1.7-1.36 3.062-2.98 3.322v.04c1.56.24 2.24 1.44 2.24 2.94 0 4-4.48 4.32-6.56 4.32H12.54l2.92-13.962z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaSbComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaSbModule {
}
IconSaSbModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaSbComponent],
                exports: [IconSaSbComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaScComponent extends IconBase {
    constructor() {
        super({ width: '27px', height: '16px', ratio: 1.6875 });
    }
}
IconSaScComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-sc',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 27 16"
    >
      <path
        fill-rule="evenodd"
        d="M11.402 3.718c-.82-.42-1.88-.721-2.9-.721-1 0-2.34.4-2.34 1.6 0 2.24 4.76 2.1 4.76 5.982 0 3.42-2.68 4.66-5.742 4.66-1.34 0-2.72-.32-3.98-.78l.72-2.38c1.08.5 2.22.96 3.42.96 1.341 0 2.662-.68 2.662-2.18 0-2.52-4.762-2.12-4.762-5.841C3.24 2.077 5.76.797 8.441.797c1.221 0 2.481.16 3.621.62l-.66 2.3zm13.501.1c-.64-.44-1.7-.82-3.2-.82-3.102 0-5.282 2.34-5.282 5.62 0 2.341 1.52 4.422 3.981 4.422 1.18 0 2.14-.38 2.94-.86l-.44 2.68c-1.02.28-2.1.38-3.16.38-4.222 0-6.242-2.84-6.242-6.622 0-4.5 3.061-7.822 8.002-7.822 1.4 0 2.88.18 4.1.681l-.699 2.34z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaScComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaScModule {
}
IconSaScModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaScComponent],
                exports: [IconSaScComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaSdComponent extends IconBase {
    constructor() {
        super({ width: '27px', height: '16px', ratio: 1.6875 });
    }
}
IconSaSdComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-sd',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 27 16"
    >
      <path
        fill-rule="evenodd"
        d="M11.402 3.718c-.82-.42-1.88-.721-2.9-.721-1 0-2.34.4-2.34 1.6 0 2.24 4.76 2.1 4.76 5.982 0 3.42-2.68 4.66-5.742 4.66-1.34 0-2.72-.32-3.98-.78l.72-2.38c1.08.5 2.22.96 3.42.96 1.341 0 2.662-.68 2.662-2.18 0-2.52-4.762-2.12-4.762-5.841C3.24 2.077 5.76.797 8.441.797c1.221 0 2.481.16 3.621.62l-.66 2.3zM16.02 12.8h1.302c4.04 0 5.88-2.36 5.88-6.201 0-2.181-1.7-3.362-4.22-3.362h-.96L16.02 12.8zm-.34-11.763h4.201c2.921 0 6.242 1.12 6.242 5.96 0 3.242-1.64 8.003-8.681 8.003H12.74l2.94-13.963z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaSdComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaSdModule {
}
IconSaSdModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaSdComponent],
                exports: [IconSaSdComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaShComponent extends IconBase {
    constructor() {
        super({ width: '29px', height: '16px', ratio: 1.8125 });
    }
}
IconSaShComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-sh',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 29 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M11.736 3.718c-.82-.42-1.88-.721-2.9-.721-1.002 0-2.342.4-2.342 1.6 0 2.24 4.762 2.1 4.762 5.982 0 3.42-2.682 4.66-5.743 4.66-1.339 0-2.72-.32-3.98-.78l.721-2.38c1.08.5 2.22.96 3.42.96 1.341 0 2.662-.68 2.662-2.18 0-2.52-4.762-2.12-4.762-5.841 0-2.941 2.52-4.221 5.201-4.221 1.221 0 2.481.16 3.621.62l-.66 2.3zM15.994 1.037h2.801l-1.18 5.641h5.641l1.179-5.641h2.801L24.316 15h-2.801l1.28-6.121h-5.641L15.875 15h-2.801z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaShComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaShModule {
}
IconSaShModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaShComponent],
                exports: [IconSaShComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaSlComponent extends IconBase {
    constructor() {
        super({ width: '23px', height: '16px', ratio: 1.4375 });
    }
}
IconSaSlComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-sl',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 23 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M11.402 3.718c-.82-.42-1.88-.721-2.9-.721-1 0-2.34.4-2.34 1.6 0 2.24 4.76 2.1 4.76 5.982 0 3.42-2.68 4.66-5.742 4.66-1.34 0-2.72-.32-3.98-.78l.72-2.38c1.08.5 2.22.96 3.42.96 1.341 0 2.662-.68 2.662-2.18 0-2.52-4.762-2.12-4.762-5.841C3.24 2.077 5.76.797 8.441.797c1.221 0 2.481.16 3.621.62l-.66 2.3zM15.541 1.037h2.801L15.841 12.8h5.481l-.48 2.2H12.58z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaSlComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaSlModule {
}
IconSaSlModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaSlComponent],
                exports: [IconSaSlComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaSmComponent extends IconBase {
    constructor() {
        super({ width: '33px', height: '16px', ratio: 2.0625 });
    }
}
IconSaSmComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-sm',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 33 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M11.402 3.718c-.82-.42-1.88-.721-2.9-.721-1 0-2.34.4-2.34 1.6 0 2.24 4.76 2.1 4.76 5.982 0 3.42-2.68 4.66-5.742 4.66-1.34 0-2.72-.32-3.98-.78l.72-2.38c1.08.5 2.22.96 3.42.96 1.341 0 2.662-.68 2.662-2.18 0-2.52-4.762-2.12-4.762-5.841C3.24 2.077 5.76.797 8.441.797c1.221 0 2.481.16 3.621.62l-.66 2.3zM15.701 1.037h4.621l.94 10.063h.04l5.502-10.063h4.66L28.483 15h-2.96l2.64-11.563h-.04L21.802 15h-2.68L18.001 3.437h-.04L15.4 15h-2.66z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaSmComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaSmModule {
}
IconSaSmModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaSmComponent],
                exports: [IconSaSmComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaSnComponent extends IconBase {
    constructor() {
        super({ width: '26px', height: '16px', ratio: 1.625 });
    }
}
IconSaSnComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-sn',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 26 16"
    >
      <path
        fill-rule="evenodd"
        d="M3.307 14.267c-.35-.529-.64-1-.87-1.407-.232-.411-.528-1.02-.894-1.833C1.183 10.215 1 9.207 1 8.004c0-1.167.196-2.207.59-3.123.393-.913.967-1.954 1.717-3.12h1.274c-.412.72-.727 1.304-.947 1.75a25.028 25.028 0 00-.78 1.831c-.303.776-.455 1.669-.455 2.68 0 1.035.164 1.97.499 2.805.333.836.59 1.442.771 1.814.183.373.486.913.91 1.624H3.307v.002zm6.782-4.478L8.18 7.64l-.855-1.028a3.595 3.595 0 01-.693-2.162c0-1.095.404-2.127 1.21-3.1l.2-.216L8.14 1l4.84 5.462-.005-2.067 3.742-3.393.887.953-3.324 3.015.002 1.59 4.101-3.758.915.979-4.127 3.753 1.616.104L20.1 4.647l.908.937-3.725 3.393-2.2-.143 4.145 4.674L17.52 15l-4.284-4.835-.093-.343-.106.325L7.724 15l-1.527-1.652 3.892-3.56zM8.214 3.474c-.061.145-.104.286-.128.425a2.487 2.487 0 00-.035.406c0 .664.246 1.278.741 1.844l.51.576 1.834 2.095 1.086-.972-3.856-4.38-.134-.355-.018.361zM23.04 1.76c.69 1.07 1.248 2.081 1.673 3.032.423.95.636 2.02.636 3.212 0 .59-.06 1.173-.18 1.75a8.222 8.222 0 01-.52 1.632 15.05 15.05 0 01-.627 1.291c-.193.35-.522.878-.982 1.59H21.77c.425-.735.74-1.315.945-1.741.206-.426.463-1.035.772-1.823.309-.787.466-1.694.466-2.716 0-1.023-.162-1.947-.483-2.77-.321-.824-.581-1.432-.78-1.823-.202-.39-.507-.936-.92-1.634h1.272z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaSnComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaSnModule {
}
IconSaSnModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaSnComponent],
                exports: [IconSaSnComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaSvComponent extends IconBase {
    constructor() {
        super({ width: '28px', height: '16px', ratio: 1.75 });
    }
}
IconSaSvComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-sv',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 28 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M11.402 3.718c-.82-.42-1.88-.721-2.9-.721-1 0-2.34.4-2.34 1.6 0 2.24 4.76 2.1 4.76 5.982 0 3.42-2.68 4.66-5.742 4.66-1.34 0-2.72-.32-3.98-.78l.72-2.38c1.08.5 2.22.96 3.42.96 1.341 0 2.662-.68 2.662-2.18 0-2.52-4.762-2.12-4.762-5.841C3.24 2.077 5.76.797 8.441.797c1.221 0 2.481.16 3.621.62l-.66 2.3zM14.261 1.037h2.801l1.3 10.862h.04l5.801-10.862h3.04L19.442 15h-3.341z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaSvComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaSvModule {
}
IconSaSvModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaSvComponent],
                exports: [IconSaSvComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaSzComponent extends IconBase {
    constructor() {
        super({ width: '26px', height: '16px', ratio: 1.625 });
    }
}
IconSaSzComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-sz',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 26 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M11.402 3.718c-.82-.42-1.88-.721-2.9-.721-1 0-2.34.4-2.34 1.6 0 2.24 4.76 2.1 4.76 5.982 0 3.42-2.68 4.66-5.742 4.66-1.34 0-2.72-.32-3.98-.78l.72-2.38c1.08.5 2.22.96 3.42.96 1.341 0 2.662-.68 2.662-2.18 0-2.52-4.762-2.12-4.762-5.841C3.24 2.077 5.76.797 8.441.797c1.221 0 2.481.16 3.621.62l-.66 2.3zM15.081 1.037h9.582l-.48 2.2-8.422 9.563h6.361l-.46 2.2H11.86l.44-2.2 8.402-9.563h-6.101z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaSzComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaSzModule {
}
IconSaSzModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaSzComponent],
                exports: [IconSaSzComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaTcComponent extends IconBase {
    constructor() {
        super({ width: '27px', height: '16px', ratio: 1.6875 });
    }
}
IconSaTcComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-tc',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 27 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M3.16 1.037h10.782l-.46 2.2h-3.94L7.001 15h-2.92l2.54-11.763h-3.94zM24.903 3.817c-.64-.439-1.7-.82-3.2-.82-3.102 0-5.282 2.341-5.282 5.621 0 2.341 1.52 4.422 3.981 4.422 1.18 0 2.14-.38 2.94-.86l-.44 2.68c-1.02.28-2.1.38-3.16.38-4.222 0-6.242-2.84-6.242-6.622 0-4.5 3.061-7.822 8.002-7.822 1.4 0 2.88.18 4.1.681l-.699 2.34z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaTcComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaTcModule {
}
IconSaTcModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaTcComponent],
                exports: [IconSaTcComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaTfComponent extends IconBase {
    constructor() {
        super({ width: '25px', height: '16px', ratio: 1.5625 });
    }
}
IconSaTfComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-tf',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 25 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M3.16 1.037h10.782l-.46 2.2h-3.94L7.001 15h-2.92l2.54-11.763h-3.94zM15.681 1.037h7.702l-.48 2.2h-4.881l-.74 3.441h4.661l-.441 2.201h-4.68L15.541 15h-2.8z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaTfComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaTfModule {
}
IconSaTfModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaTfComponent],
                exports: [IconSaTfComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaTgComponent extends IconBase {
    constructor() {
        super({ width: '28px', height: '16px', ratio: 1.75 });
    }
}
IconSaTgComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-tg',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 28 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M3.16 1.037h10.782l-.46 2.2h-3.94L7.001 15h-2.92l2.54-11.763h-3.94zM25.943 3.998c-1.08-.7-2.42-1.001-3.88-1.001-3.402 0-5.542 2.661-5.542 5.962 0 2.26 1.56 4.081 3.941 4.081.64 0 1.06 0 1.38-.141l.78-3.7h-2.96l.46-2.201h5.661l-1.6 7.622c-.82.34-2.382.62-3.742.62-4.1 0-6.84-1.881-6.84-6.201 0-5.102 3.34-8.242 8.381-8.242 1.561 0 3.2.22 4.661.78l-.7 2.421z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaTgComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaTgModule {
}
IconSaTgModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaTgComponent],
                exports: [IconSaTgComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaTkComponent extends IconBase {
    constructor() {
        super({ width: '28px', height: '16px', ratio: 1.75 });
    }
}
IconSaTkComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-tk',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 28 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M3.16 1.037h10.782l-.46 2.2h-3.94L7.001 15h-2.92l2.54-11.763h-3.94zM18.541 1.037l-1.18 5.481h.04l5.541-5.481h3.902l-7.062 6.361L24.283 15h-3.341l-3.88-7.102L15.541 15H12.74l3.001-13.963z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaTkComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaTkModule {
}
IconSaTkModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaTkComponent],
                exports: [IconSaTkComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaTsComponent extends IconBase {
    constructor() {
        super({ width: '25px', height: '16px', ratio: 1.5625 });
    }
}
IconSaTsComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-ts',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 25 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M3.259 1.037h11.268l-.482 2.2H9.927L7.273 15H4.221L6.875 3.237H2.757zM23.491 3.718c-.856-.42-1.965-.721-3.03-.721-1.046 0-2.447.4-2.447 1.6 0 2.24 4.976 2.1 4.976 5.982 0 3.42-2.802 4.66-6 4.66-1.4 0-2.843-.32-4.16-.78l.753-2.38c1.13.5 2.32.96 3.574.96 1.4 0 2.78-.68 2.78-2.18 0-2.52-4.974-2.12-4.974-5.841 0-2.941 2.633-4.221 5.434-4.221 1.276 0 2.593.16 3.784.62l-.69 2.3z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaTsComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaTsModule {
}
IconSaTsModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaTsComponent],
                exports: [IconSaTsComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaTtComponent extends IconBase {
    constructor() {
        super({ width: '26px', height: '16px', ratio: 1.625 });
    }
}
IconSaTtComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-tt',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 26 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M3.16 1.037h10.782l-.46 2.2h-3.94L7.001 15h-2.92l2.54-11.763h-3.94zM14.28 1.038l-.48 2.199h3.94l-2.539 11.764h2.92l2.541-11.764h3.94l.46-2.199z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaTtComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaTtModule {
}
IconSaTtModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaTtComponent],
                exports: [IconSaTtComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaViComponent extends IconBase {
    constructor() {
        super({ width: '22px', height: '16px', ratio: 1.375 });
    }
}
IconSaViComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-vi',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 22 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M3.141 1.037h2.801l1.3 10.862h.04l5.801-10.862h3.04L8.322 15H4.981zM17.62 1.037h2.921L17.6 15h-2.92z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaViComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaViModule {
}
IconSaViModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaViComponent],
                exports: [IconSaViComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaVlComponent extends IconBase {
    constructor() {
        super({ width: '25px', height: '16px', ratio: 1.5625 });
    }
}
IconSaVlComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-vl',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 25 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M3.141 1.037h2.801l1.3 10.862h.04l5.801-10.862h3.04L8.322 15H4.981zM17.761 1.037h2.801L18.061 12.8h5.481l-.48 2.2H14.8z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaVlComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaVlModule {
}
IconSaVlModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaVlComponent],
                exports: [IconSaVlComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaVnComponent extends IconBase {
    constructor() {
        super({ width: '25px', height: '16px', ratio: 1.5625 });
    }
}
IconSaVnComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-vn',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 25 16"
    >
      <path
        fill-rule="evenodd"
        d="M14.572 2.48h2.325l.478.988L21.357 1l.955 1.53-4.156 2.578.812 1.719c.234-.064.44-.111.614-.143.175-.032.375-.048.597-.048 1.093 0 2.023.383 2.787 1.146.774.745 1.163 1.669 1.163 2.774a3.776 3.776 0 01-1.148 2.772 3.856 3.856 0 01-2.787 1.13c-1.071 0-1.996-.377-2.771-1.13a3.776 3.776 0 01-1.148-2.772c0-.669.15-1.29.452-1.863a3.788 3.788 0 011.316-1.418l-.333-.717-4.079 4.523h-2.39c-.158 1.018-.6 1.843-1.322 2.47-.711.615-1.571.924-2.579.924-.512 0-.973-.084-1.386-.248-.415-.164-.844-.438-1.291-.82L1.94 15 1 13.47l2.645-1.608a4.808 4.808 0 01-.176-.685 3.902 3.902 0 01-.048-.636c0-1.073.382-1.987 1.147-2.741.773-.765 1.702-1.148 2.787-1.148.371 0 .812.081 1.322.24l1.306-1.928-.54-.988H7.897v-.954h3.774v.954h-1.065l.333.671 4.54-.017 1.019-.636-.255-.526h-1.67V2.48zM7.404 7.657c-.829 0-1.535.282-2.12.844-.572.564-.86 1.253-.86 2.071v.35c.01.023.024.067.04.136.017.07.046.162.088.279l2.023-1.242 1.528-2.327a2.077 2.077 0 00-.7-.111zm.955 5.653a2.861 2.861 0 001.505-1.257c.175-.298.296-.622.36-.972l-1.817.016-2.867 1.736c.5.437 1.105.654 1.816.654.35 0 .684-.06 1.003-.177zM9.013 8.2l-.447.7.749-.462a1.268 1.268 0 00-.302-.238zm1.497-2.23l-.925 1.386c.19.138.32.235.39.293.07.06.152.14.248.247l.988-.588-.7-1.339zm1.512 2.899l-.892.555.112.654h1.434l-.654-1.209zm-.556-3.25l.62 1.179 1.88-1.164-2.5-.015zM13.6 9.68l3.663-4.062-4.38 2.708.717 1.354zm4.524 2.946a2.878 2.878 0 002.07.846c.797 0 1.486-.282 2.07-.846.573-.552.86-1.242.86-2.07 0-.817-.286-1.508-.86-2.071-.584-.564-1.29-.845-2.119-.845-.18 0-.308.006-.383.016-.074.012-.19.042-.35.096l1.45 3.074-.925.446-1.45-3.074c-.807.583-1.21 1.37-1.21 2.358a2.88 2.88 0 00.847 2.07z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaVnComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaVnModule {
}
IconSaVnModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaVnComponent],
                exports: [IconSaVnComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaVpComponent extends IconBase {
    constructor() {
        super({ width: '27px', height: '16px', ratio: 1.6875 });
    }
}
IconSaVpComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-vp',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 27 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M3.141 1.037h2.801l1.3 10.862h.04l5.801-10.862h3.04L8.322 15H4.981zM19.161 7.498h1c1.54 0 3.121-.8 3.121-2.54 0-1.421-1.14-1.721-2.34-1.721h-.88l-.9 4.261zM17.561 15h-2.8l2.96-13.963h2.36c2.581 0 6.121.14 6.121 3.621 0 3.38-2.78 5.041-5.9 5.041h-1.62L17.56 15z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaVpComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaVpModule {
}
IconSaVpModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaVpComponent],
                exports: [IconSaVpComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaVrComponent extends IconBase {
    constructor() {
        super({ width: '22px', height: '16px', ratio: 1.375 });
    }
}
IconSaVrComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-vr',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 22 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M7.792 4.959H6.75v-.647H9.3v.647h-.722l.226.452h3.962l-.353-.809H11.28v-.666h1.551l1.402 2.95c.157-.044.296-.075.415-.097.117-.022.253-.033.403-.033.738 0 1.37.257 1.89.771.52.514.78 1.143.78 1.883 0 .734-.258 1.359-.774 1.877-.519.52-1.145.777-1.886.777a2.548 2.548 0 01-1.873-.777 2.555 2.555 0 01-.775-1.877 2.62 2.62 0 011.194-2.223L13.38 6.7 10.625 9.76H9.01c-.108.674-.405 1.228-.892 1.658a2.534 2.534 0 01-1.735.646c-.74 0-1.368-.258-1.883-.777a2.559 2.559 0 01-.777-1.877c0-.734.26-1.36.777-1.878a2.573 2.573 0 011.887-.776c.25 0 .55.058.895.176l.883-1.304-.372-.67zM6.415 7.436c-.567 0-1.045.19-1.433.571-.387.38-.581.85-.581 1.403 0 .547.193 1.014.576 1.4.384.384.853.576 1.405.576.481 0 .903-.151 1.26-.453.36-.3.586-.691.68-1.173H6.219l-.366-.667L6.89 7.52a1.339 1.339 0 00-.475-.085zm.248 1.646h1.659l-.119-.42a1.778 1.778 0 00-.696-.847l-.844 1.267zM8.58 7.931c.136.193.233.365.291.516.058.15.103.362.14.635h.97l-1.466-2.78-.624.939c.158.122.29.234.394.333.103.102.202.22.295.357zm.576-1.865l1.451 2.75 2.478-2.75H9.155zm3.938 3.344c0 .547.19 1.013.576 1.4.383.384.847.576 1.392.576.546 0 1.013-.19 1.401-.573.387-.381.582-.849.582-1.402 0-.554-.195-1.022-.582-1.404-.385-.382-.863-.571-1.427-.571a2.07 2.07 0 00-.26.01c-.049.006-.126.028-.235.062l.974 2.081-.63.303-.975-2.08c-.545.404-.816.936-.816 1.598z"
        />
        <path d="M1 1h19.444v14H1V1zm1.296 12.709h16.852V2.296H2.296V13.71z" />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaVrComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaVrModule {
}
IconSaVrModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaVrComponent],
                exports: [IconSaVrComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaVxComponent extends IconBase {
    constructor() {
        super({ width: '30px', height: '16px', ratio: 1.875 });
    }
}
IconSaVxComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-vx',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 30 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M3.141 1.037h2.801l1.3 10.862h.04l5.801-10.862h3.04L8.322 15H4.981zM25.782 1.038l-3.841 4.8h-.04l-2.02-4.8H16.86l3.06 6.38-6.46 7.583h3.48l4.362-5.602h.039l2.14 5.602h3.061l-3.24-7.302 5.78-6.661z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaVxComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaVxModule {
}
IconSaVxModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaVxComponent],
                exports: [IconSaVxComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaWlComponent extends IconBase {
    constructor() {
        super({ width: '25px', height: '16px', ratio: 1.5625 });
    }
}
IconSaWlComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-wl',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 25 16"
    >
      <path
        fill-rule="evenodd"
        d="M23.556 15H21.44v-4.9H3.115V15H1V1h.966c.483 0 1.09.267 1.822.808a8.991 8.991 0 011.898 1.881c.53.719.929 1.423 1.194 2.114.266.692.4 1.424.4 2.197h2.1c0-1.53.511-2.915 1.533-3.92 1.022-1.007 2.275-1.74 3.756-1.68h8.887V15"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaWlComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaWlModule {
}
IconSaWlModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaWlComponent],
                exports: [IconSaWlComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaWrComponent extends IconBase {
    constructor() {
        super({ width: '17px', height: '16px', ratio: 1.0625 });
    }
}
IconSaWrComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-wr',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 17 16"
    >
      <path
        fill-rule="evenodd"
        d="M4.891 9.788L2.983 7.641l-.855-1.028a3.594 3.594 0 01-.693-2.163c0-1.094.404-2.126 1.21-3.1l.2-.215L2.942 1l4.841 5.462-.006-2.068 3.742-3.392.887.953L9.084 4.97l.001 1.59 4.101-3.759.915.98-4.127 3.752 1.616.105 3.311-2.991.909.937-3.725 3.393-2.2-.144 4.145 4.674L12.322 15l-4.284-4.835-.093-.343-.106.325L2.526 15 1 13.347l3.891-3.559zM3.016 3.474c-.06.145-.103.286-.127.425a2.487 2.487 0 00-.035.406c0 .664.246 1.277.74 1.844l.51.576 1.834 2.094 1.087-.971-3.856-4.38-.134-.355-.019.361z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaWrComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaWrModule {
}
IconSaWrModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaWrComponent],
                exports: [IconSaWrComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaWsComponent extends IconBase {
    constructor() {
        super({ width: '26px', height: '16px', ratio: 1.625 });
    }
}
IconSaWsComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-ws',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 26 16"
    >
      <path
        fill-rule="evenodd"
        d="M3.307 14.267c-.35-.529-.64-1-.87-1.407-.232-.411-.528-1.02-.894-1.833C1.183 10.215 1 9.207 1 8.004c0-1.167.196-2.207.59-3.123.393-.913.967-1.954 1.717-3.12h1.274c-.412.72-.727 1.304-.947 1.75a25.028 25.028 0 00-.78 1.831c-.303.776-.455 1.669-.455 2.68 0 1.035.164 1.97.499 2.805.333.836.59 1.442.771 1.814.183.373.486.913.91 1.624H3.307v.002zm6.782-4.478L8.18 7.64l-.855-1.028a3.595 3.595 0 01-.693-2.162c0-1.095.404-2.127 1.21-3.1l.2-.216L8.14 1l4.84 5.462-.005-2.067 3.742-3.393.887.953-3.324 3.015.002 1.59 4.101-3.758.915.979-4.127 3.753 1.616.104L20.1 4.647l.908.937-3.725 3.393-2.2-.143 4.145 4.674L17.52 15l-4.284-4.835-.093-.343-.106.325L7.724 15l-1.527-1.652 3.892-3.56zM8.214 3.474c-.061.145-.104.286-.128.425a2.487 2.487 0 00-.035.406c0 .664.246 1.278.741 1.844l.51.576 1.834 2.095 1.086-.972-3.856-4.38-.134-.355-.018.361zM23.04 1.76c.69 1.07 1.248 2.081 1.673 3.032.423.95.636 2.02.636 3.212 0 .59-.06 1.173-.18 1.75a8.222 8.222 0 01-.52 1.632 15.05 15.05 0 01-.627 1.291c-.193.35-.522.878-.982 1.59H21.77c.425-.735.74-1.315.945-1.741.206-.426.463-1.035.772-1.823.309-.787.466-1.694.466-2.716 0-1.023-.162-1.947-.483-2.77-.321-.824-.581-1.432-.78-1.823-.202-.39-.507-.936-.92-1.634h1.272z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaWsComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaWsModule {
}
IconSaWsModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaWsComponent],
                exports: [IconSaWsComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaWvComponent extends IconBase {
    constructor() {
        super({ width: '37px', height: '16px', ratio: 2.3125 });
    }
}
IconSaWvComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-wv',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 37 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M3.141 1.037h2.801l.42 10.702h.04l4.64-10.702h3.761l.061 10.702h.04l4.94-10.702h2.901L16.083 15h-3.501l-.139-11.162h-.04L7.482 15H4.021zM33.083 1.038l-5.802 10.861h-.04L25.942 1.038h-2.801l1.839 13.963h3.341l7.802-13.963z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaWvComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaWvModule {
}
IconSaWvModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaWvComponent],
                exports: [IconSaWvComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaXComponent extends IconBase {
    constructor() {
        super({ width: '18px', height: '16px', ratio: 1.125 });
    }
}
IconSaXComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-x',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 18 16"
    >
      <path
        fill-rule="evenodd"
        d="M7.421 1.037l2.021 4.801h.04l3.84-4.801h3.301l-5.781 6.661L14.082 15h-3.06l-2.14-5.602h-.04L4.481 15H1l6.461-7.582L4.4 1.037z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaXComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaXModule {
}
IconSaXModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaXComponent],
                exports: [IconSaXComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaXpComponent extends IconBase {
    constructor() {
        super({ width: '28px', height: '16px', ratio: 1.75 });
    }
}
IconSaXpComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-xp',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 28 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M7.421 1.037l2.021 4.801h.04l3.84-4.801h3.301l-5.781 6.661L14.082 15h-3.06l-2.14-5.602h-.04L4.481 15H1l6.461-7.582L4.4 1.037zM20.041 7.498h1c1.54 0 3.121-.8 3.121-2.54 0-1.421-1.141-1.721-2.341-1.721h-.88l-.9 4.261zM18.44 15h-2.8l2.961-13.963h2.36c2.581 0 6.121.14 6.121 3.621 0 3.38-2.78 5.041-5.901 5.041h-1.62L18.44 15z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaXpComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaXpModule {
}
IconSaXpModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaXpComponent],
                exports: [IconSaXpComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaXrComponent extends IconBase {
    constructor() {
        super({ width: '29px', height: '16px', ratio: 1.8125 });
    }
}
IconSaXrComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-xr',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 29 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M7.421 1.037l2.021 4.801h.04l3.84-4.801h3.301l-5.781 6.661L14.082 15h-3.06l-2.14-5.602h-.04L4.481 15H1l6.461-7.582L4.4 1.037zM20.161 6.998h1.02c1.501 0 3.321-.46 3.321-2.3 0-1.461-1.26-1.461-2.4-1.461h-1.16l-.78 3.761zm-1.6-5.961h3.3c2.58 0 5.561-.04 5.561 3.301 0 2.4-1.8 3.681-4.08 3.721v.04c.76.04 1.24.519 1.42 1.28L26.102 15h-2.94l-.68-3.28c-.32-1.481-.24-2.521-1.76-2.521h-1.06L18.44 15h-2.8l2.92-13.963z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaXrComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaXrModule {
}
IconSaXrModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaXrComponent],
                exports: [IconSaXrComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaXtComponent extends IconBase {
    constructor() {
        super({ width: '29px', height: '16px', ratio: 1.8125 });
    }
}
IconSaXtComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-xt',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 29 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M7.421 1.037l2.021 4.801h.04l3.84-4.801h3.301l-5.781 6.661L14.082 15h-3.06l-2.14-5.602h-.04L4.481 15H1l6.461-7.582L4.4 1.037zM17.38 1.038l-.48 2.199h3.94l-2.539 11.764h2.92l2.541-11.764h3.94l.46-2.199z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaXtComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaXtModule {
}
IconSaXtModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaXtComponent],
                exports: [IconSaXtComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaYComponent extends IconBase {
    constructor() {
        super({ width: '17px', height: '16px', ratio: 1.0625 });
    }
}
IconSaYComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-y',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 17 16"
    >
      <path
        fill-rule="evenodd"
        d="M6.421 9.219l-3.28-8.182h2.961l2.08 5.862 4.541-5.862h3.261L9.222 9.219 8.002 15H5.201z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaYComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaYModule {
}
IconSaYModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaYComponent],
                exports: [IconSaYComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaYbComponent extends IconBase {
    constructor() {
        super({ width: '27px', height: '16px', ratio: 1.6875 });
    }
}
IconSaYbComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-yb',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 27 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M6.421 9.219l-3.28-8.182h2.961l2.08 5.862 4.541-5.862h3.261L9.222 9.219 8.002 15H5.201zM19.18 6.678h1.102c1.42 0 2.96-.4 2.96-2.04 0-1.34-1.28-1.4-2.34-1.4h-.981l-.74 3.44zM17.9 12.8h.96c1.72 0 3.642-.2 3.642-2.36 0-1.461-1.36-1.681-2.861-1.681h-.9l-.84 4.04zm-.22-11.763h4.142c2.18 0 4.22.8 4.22 3.34 0 1.7-1.36 3.062-2.98 3.322v.04c1.56.24 2.24 1.44 2.24 2.94 0 4-4.48 4.32-6.56 4.32H14.76l2.92-13.962z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaYbComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaYbModule {
}
IconSaYbModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaYbComponent],
                exports: [IconSaYbComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaYmComponent extends IconBase {
    constructor() {
        super({ width: '35px', height: '16px', ratio: 2.1875 });
    }
}
IconSaYmComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-ym',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 35 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M6.421 9.219l-3.28-8.182h2.961l2.08 5.862 4.541-5.862h3.261L9.222 9.219 8.002 15H5.201zM17.921 1.037h4.621l.94 10.063h.04l5.502-10.063h4.66L30.703 15h-2.96l2.64-11.563h-.039L24.022 15h-2.68L20.221 3.437h-.04L17.62 15h-2.66z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaYmComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaYmModule {
}
IconSaYmModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaYmComponent],
                exports: [IconSaYmComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaYtComponent extends IconBase {
    constructor() {
        super({ width: '28px', height: '16px', ratio: 1.75 });
    }
}
IconSaYtComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-yt',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 28 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M6.421 9.219l-3.28-8.182h2.961l2.08 5.862 4.541-5.862h3.261L9.222 9.219 8.002 15H5.201zM16.5 1.038l-.479 2.199h3.94l-2.539 11.764h2.919l2.541-11.764h3.941l.46-2.199z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaYtComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaYtModule {
}
IconSaYtModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaYtComponent],
                exports: [IconSaYtComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaZComponent extends IconBase {
    constructor() {
        super({ width: '15px', height: '16px', ratio: 0.9375 });
    }
}
IconSaZComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-z',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 15 16"
    >
      <path
        fill-rule="evenodd"
        d="M4.221 1.037h9.582l-.48 2.2L4.901 12.8h6.361l-.46 2.2H1l.44-2.2 8.402-9.563H3.741z"
      />
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaZComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaZModule {
}
IconSaZModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaZComponent],
                exports: [IconSaZComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaZmComponent extends IconBase {
    constructor() {
        super({ width: '33px', height: '16px', ratio: 2.0625 });
    }
}
IconSaZmComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sa-zm',
                // tslint:disable:max-line-length
                template: `
    <svg
      focusable="false"
      [attr.class]="'sbb-svg-icon ' + svgClass"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 33 16"
    >
      <g fill="#000" fill-rule="evenodd">
        <path
          d="M4.221 1.037h9.582l-.48 2.2L4.901 12.8h6.361l-.46 2.2H1l.44-2.2 8.402-9.563H3.741zM15.961 1.037h4.621l.94 10.063h.04l5.502-10.063h4.66L28.743 15h-2.96l2.64-11.563h-.04L22.062 15h-2.68L18.261 3.437h-.04L15.66 15H13z"
        />
      </g>
    </svg>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSaZmComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSaZmModule {
}
IconSaZmModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSaZmComponent],
                exports: [IconSaZmComponent],
            },] }
];

const modules = [
    IconSa1Module,
    IconSa2Module,
    IconSaAwModule,
    IconSaBModule,
    IconSaBeModule,
    IconSaBkModule,
    IconSaBlModule,
    IconSaBrModule,
    IconSaBvModule,
    IconSaBzModule,
    IconSaCcModule,
    IconSaDzModule,
    IconSaEpModule,
    IconSaFaModule,
    IconSaFlModule,
    IconSaFwModule,
    IconSaFzModule,
    IconSaGlModule,
    IconSaGnModule,
    IconSaGpModule,
    IconSaGrModule,
    IconSaGzModule,
    IconSaHkModule,
    IconSaHnModule,
    IconSaJeModule,
    IconSaKwModule,
    IconSaLcModule,
    IconSaLeModule,
    IconSaMeModule,
    IconSaMiModule,
    IconSaMpModule,
    IconSaNfModule,
    IconSaNjModule,
    IconSaPModule,
    IconSaPaModule,
    IconSaPlModule,
    IconSaPrModule,
    IconSaRModule,
    IconSaRbModule,
    IconSaRcModule,
    IconSaReModule,
    IconSaRqModule,
    IconSaRrModule,
    IconSaRtModule,
    IconSaRyModule,
    IconSaRzModule,
    IconSaSModule,
    IconSaSbModule,
    IconSaScModule,
    IconSaSdModule,
    IconSaShModule,
    IconSaSlModule,
    IconSaSmModule,
    IconSaSnModule,
    IconSaSvModule,
    IconSaSzModule,
    IconSaTcModule,
    IconSaTfModule,
    IconSaTgModule,
    IconSaTkModule,
    IconSaTsModule,
    IconSaTtModule,
    IconSaViModule,
    IconSaVlModule,
    IconSaVnModule,
    IconSaVpModule,
    IconSaVrModule,
    IconSaVxModule,
    IconSaWlModule,
    IconSaWrModule,
    IconSaWsModule,
    IconSaWvModule,
    IconSaXModule,
    IconSaXpModule,
    IconSaXrModule,
    IconSaXtModule,
    IconSaYModule,
    IconSaYbModule,
    IconSaYmModule,
    IconSaYtModule,
    IconSaZModule,
    IconSaZmModule,
];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCollectionTimetableAttributesModule {
}
IconCollectionTimetableAttributesModule.decorators = [
    { type: NgModule, args: [{
                imports: modules,
                exports: modules,
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { IconCollectionTimetableAttributesModule, IconSa1Component, IconSa1Module, IconSa2Component, IconSa2Module, IconSaAwComponent, IconSaAwModule, IconSaBComponent, IconSaBModule, IconSaBeComponent, IconSaBeModule, IconSaBkComponent, IconSaBkModule, IconSaBlComponent, IconSaBlModule, IconSaBrComponent, IconSaBrModule, IconSaBvComponent, IconSaBvModule, IconSaBzComponent, IconSaBzModule, IconSaCcComponent, IconSaCcModule, IconSaDzComponent, IconSaDzModule, IconSaEpComponent, IconSaEpModule, IconSaFaComponent, IconSaFaModule, IconSaFlComponent, IconSaFlModule, IconSaFwComponent, IconSaFwModule, IconSaFzComponent, IconSaFzModule, IconSaGlComponent, IconSaGlModule, IconSaGnComponent, IconSaGnModule, IconSaGpComponent, IconSaGpModule, IconSaGrComponent, IconSaGrModule, IconSaGzComponent, IconSaGzModule, IconSaHkComponent, IconSaHkModule, IconSaHnComponent, IconSaHnModule, IconSaJeComponent, IconSaJeModule, IconSaKwComponent, IconSaKwModule, IconSaLcComponent, IconSaLcModule, IconSaLeComponent, IconSaLeModule, IconSaMeComponent, IconSaMeModule, IconSaMiComponent, IconSaMiModule, IconSaMpComponent, IconSaMpModule, IconSaNfComponent, IconSaNfModule, IconSaNjComponent, IconSaNjModule, IconSaPComponent, IconSaPModule, IconSaPaComponent, IconSaPaModule, IconSaPlComponent, IconSaPlModule, IconSaPrComponent, IconSaPrModule, IconSaRComponent, IconSaRModule, IconSaRbComponent, IconSaRbModule, IconSaRcComponent, IconSaRcModule, IconSaReComponent, IconSaReModule, IconSaRqComponent, IconSaRqModule, IconSaRrComponent, IconSaRrModule, IconSaRtComponent, IconSaRtModule, IconSaRyComponent, IconSaRyModule, IconSaRzComponent, IconSaRzModule, IconSaSComponent, IconSaSModule, IconSaSbComponent, IconSaSbModule, IconSaScComponent, IconSaScModule, IconSaSdComponent, IconSaSdModule, IconSaShComponent, IconSaShModule, IconSaSlComponent, IconSaSlModule, IconSaSmComponent, IconSaSmModule, IconSaSnComponent, IconSaSnModule, IconSaSvComponent, IconSaSvModule, IconSaSzComponent, IconSaSzModule, IconSaTcComponent, IconSaTcModule, IconSaTfComponent, IconSaTfModule, IconSaTgComponent, IconSaTgModule, IconSaTkComponent, IconSaTkModule, IconSaTsComponent, IconSaTsModule, IconSaTtComponent, IconSaTtModule, IconSaViComponent, IconSaViModule, IconSaVlComponent, IconSaVlModule, IconSaVnComponent, IconSaVnModule, IconSaVpComponent, IconSaVpModule, IconSaVrComponent, IconSaVrModule, IconSaVxComponent, IconSaVxModule, IconSaWlComponent, IconSaWlModule, IconSaWrComponent, IconSaWrModule, IconSaWsComponent, IconSaWsModule, IconSaWvComponent, IconSaWvModule, IconSaXComponent, IconSaXModule, IconSaXpComponent, IconSaXpModule, IconSaXrComponent, IconSaXrModule, IconSaXtComponent, IconSaXtModule, IconSaYComponent, IconSaYModule, IconSaYbComponent, IconSaYbModule, IconSaYmComponent, IconSaYmModule, IconSaYtComponent, IconSaYtModule, IconSaZComponent, IconSaZModule, IconSaZmComponent, IconSaZmModule };
//# sourceMappingURL=timetable-attributes.js.map
