import { CommonModule } from '@angular/common';
import { Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { IconBase } from '@sbb-esta/angular-icons/core';

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPercentComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconPercentComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-percent',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M11.498 9.997a1.5 1.5 0 11-3 0 1.5 1.5 0 013 0zM15.5 16a1.5 1.5 0 11-3 0 1.5 1.5 0 013 0zm-8 1.5l9-9-9 9z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M17.246 14.996a2.25 2.25 0 11-4.5 0 2.25 2.25 0 014.5 0zM23.25 24a2.25 2.25 0 11-4.5 0 2.25 2.25 0 014.5 0zm-12 2.25l13.5-13.5-13.5 13.5z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('large') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 48 48"
      >
        <path
          fill="none"
          stroke="#000"
          d="M22.5 17.5a3 3 0 11-6 0 3 3 0 016 0zm9 13a3 3 0 11-6 0 3 3 0 016 0zM15 33l18-18-18 18z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconPercentComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPercentModule {
}
IconPercentModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconPercentComponent],
                exports: [IconPercentComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSwitzerlandRouteComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconSwitzerlandRouteComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-switzerland-route',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M13.545 5.728l-1.013 1.307L8.768 8.06l-.74-.4-2.44 1.813 1.103.379-2.903 3.219-1.08 3.954 2.14-.544.945-.55 2.237 2.14 3.157-.353 1.82-1.97 2.152 2.979 1.574-3.338 3.664.957-.232-2.003 1.543.039-.158-3.27-1.343-1.025-.436.827-1.776-.536.663-1.976-3.717-1.443-1.396-1.232zm-4.337 9.024l5-5"
          />
          <path
            fill="#000"
            d="M9.21 15.75a1 1 0 110-2 1 1 0 010 2zm5-5.01a1 1 0 110-2 1 1 0 010 2z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M20.318 8.592l-1.52 1.96-5.646 1.54-1.11-.6-3.66 2.719 1.655.568-4.355 4.829-1.62 5.93 3.21-.815 1.418-.825 3.355 3.211 4.736-.53 2.728-2.954 3.23 4.467 2.36-5.007 5.497 1.435-.348-3.004 2.314.058-.237-4.903-2.014-1.54-.654 1.241-2.664-.804.994-2.964-5.575-2.164-2.094-1.848zm-6.505 13.536l7.5-7.5"
          />
          <path
            fill="#000"
            d="M13.815 23.625a1.5 1.5 0 110-3 1.5 1.5 0 010 3zm7.5-7.515a1.5 1.5 0 110-3 1.5 1.5 0 010 3z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('large') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 48 48"
      >
        <path
          fill="none"
          stroke="#000"
          d="M20 29.5a1.5 1.5 0 10-3.001 0 1.5 1.5 0 003.001 0zm10-10.49a1.5 1.5 0 10-3.001 0 1.5 1.5 0 003.001 0zm-10.441 9.432l7.884-8.374m-.705-8.893l-2.044 2.638-7.595 2.07-1.492-.807-4.925 3.657 2.228.764-5.859 6.497-2.179 7.978 4.317-1.097 1.906-1.113 4.515 4.323 6.37-.717 3.67-3.971 4.346 6.008 3.173-6.736 7.392 1.932-.466-4.042 3.113.079-.319-6.596-2.709-2.069-.88 1.668-3.583-1.081 1.338-3.987-7.499-2.911-2.818-2.487z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSwitzerlandRouteComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSwitzerlandRouteModule {
}
IconSwitzerlandRouteModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSwitzerlandRouteComponent],
                exports: [IconSwitzerlandRouteComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowChangeComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconArrowChangeComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-arrow-change',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10 8L6.49 4.5 3 8m12 8l3.51 3.5L22 16m-3.49 3.5s-.01-8.58-.01-12h0a3 3 0 10-6 0h0v9a3 3 0 11-6 0c0-3.42-.01-12-.01-12"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M15 12L9.735 6.75 4.5 12m18 12l5.265 5.25L33 24m-5.235 5.25S27.75 16.38 27.75 11.25v-.001a4.5 4.5 0 10-8.999 0l-.001.001v13.5a4.5 4.5 0 11-9 0c0-5.13-.015-18.001-.015-18.001"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconArrowChangeComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconArrowChangeModule {
}
IconArrowChangeModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconArrowChangeComponent],
                exports: [IconArrowChangeComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconAvatarTrainStaffComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconAvatarTrainStaffComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-avatar-train-staff',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M17.5 3.5c0 .552-2.687 1-6 1s-6-.448-6-1c0-.553 2.687-1 6-1s6 .447 6 1zM7.062 10.842c.303 1.217 2.164 2.159 4.438 2.159 2.274 0 4.135-.941 4.437-2.159M5.5 3.5v6c0 1.104 2.687 2 6 2s6-.896 6-2v-6m0 7.95L17.005 16s-.284 2.266-1.514 3.38c-1.387 1.258-2.463 2.087-3.991 2.087s-2.603-.83-3.991-2.086C6.279 18.266 5.995 16 5.995 16L5.5 11.45M14 17.5s-1.07 1-2.5 1-2.5-1-2.5-1"
          />
          <path
            fill="#000"
            d="M12.3 6h1.2l2 2-2 2h-1.2l1.6-1.5H12V10h-1V8.5H9.1l1.6 1.5H9.5l-2-2 2-2h1.2L9.1 7.5H11V6h1v1.5h1.9L12.3 6zm-2.1 9.2c0 .5-.3.8-.8.8s-.8-.4-.8-.8c0-.5.3-.8.8-.8s.8.4.8.8zm4 0c0 .5-.3.8-.8.8s-.8-.4-.8-.8c0-.5.3-.8.8-.8s.8.4.8.8z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M26.25 5.25c0 .828-4.03 1.5-9 1.5s-9-.672-9-1.5c0-.83 4.03-1.5 9-1.5s9 .67 9 1.5zM10.593 16.264c.454 1.825 3.246 3.237 6.657 3.237s6.203-1.412 6.655-3.237M8.25 5.25v9c0 1.656 4.03 3 9 3s9-1.344 9-3v-9m0 11.925L25.508 24s-.427 3.399-2.271 5.071c-2.081 1.886-3.695 3.13-5.987 3.13-2.292 0-3.905-1.244-5.986-3.13C9.418 27.4 8.992 24 8.992 24l-.743-6.825M21 26.25s-1.605 1.5-3.75 1.5-3.75-1.5-3.75-1.5"
          />
          <path
            fill="#000"
            d="M18.45 9h1.8l3 3-3 3h-1.8l2.401-2.25H18V15h-1.5v-2.25h-2.85l2.4 2.25h-1.8l-3-3 3-3h1.8l-2.4 2.25h2.85V9H18v2.25h2.851L18.45 9zM14.9 22.8c0 .5-.3.8-.8.8s-.8-.4-.8-.8c0-.5.3-.8.8-.8s.8.4.8.8zm6 0c0 .5-.3.8-.8.8s-.8-.4-.8-.8c0-.5.3-.8.8-.8s.8.4.8.8z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconAvatarTrainStaffComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconAvatarTrainStaffModule {
}
IconAvatarTrainStaffModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconAvatarTrainStaffComponent],
                exports: [IconAvatarTrainStaffComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconAvatarTrainStaffDisabledComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconAvatarTrainStaffDisabledComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-avatar-train-staff-disabled',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M14 17.5s-1.07 1-2.5 1-2.5-1-2.5-1M19 19L3 3m4.686 1.272c1.037.142 2.365.228 3.814.228 3.313 0 6-.448 6-1 0-.553-2.687-1-6-1-2.163 0-4.053.191-5.109.477M5.5 5.5v4c0 1.104 2.687 2 6 2m-4.438-.658c.303 1.217 2.164 2.159 4.438 2.159.481 0 .93-.06 1.361-.14M5.5 11.45L5.995 16s.284 2.266 1.514 3.38c1.388 1.258 2.463 2.087 3.991 2.087s2.604-.83 3.991-2.086c.753-.682 1.147-1.786 1.343-2.547m.407-3.007l.26-2.377m-2.243.394c.343-.298.589-.634.68-1.002m-1.318.364c1.725-.351 2.88-.983 2.88-1.706v-6"
          />
          <path
            fill="#000"
            d="M12.875 9.461l1.025-.96H12l-1-1V6h1v1.5h1.9L12.3 6h1.2l2 2-2.06 2.06-.565-.6zm-2.839-2.839L9.5 6h1.2l-.664.622zM9.5 14.5a.75.75 0 110 1.5.75.75 0 010-1.5zm4 0a.75.75 0 110 1.5.75.75 0 010-1.5z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M21 26.25s-1.605 1.5-3.75 1.5-3.75-1.5-3.75-1.5m15 2.25l-24-24m7.029 1.908c1.556.213 3.547.342 5.721.342 4.97 0 9-.672 9-1.5 0-.83-4.03-1.5-9-1.5-3.245 0-6.08.287-7.664.716M8.25 8.25v6c0 1.656 4.03 3 9 3m-6.657-.986c.454 1.825 3.246 3.237 6.657 3.237.721 0 1.395-.089 2.041-.209M8.25 17.175L8.992 24s.426 3.399 2.271 5.071c2.082 1.886 3.695 3.13 5.987 3.13 2.292 0 3.906-1.244 5.986-3.13 1.13-1.023 1.721-2.679 2.015-3.82m.61-4.51l.39-3.566m-3.364.59c.514-.447.883-.95 1.02-1.501m-1.977.545c2.588-.527 4.32-1.475 4.32-2.56v-9"
          />
          <path
            fill="#000"
            d="M19.313 14.192l1.537-1.442H18l-1.5-1.5V9H18v2.25h2.85L18.45 9h1.8l3 3-3.09 3.09-.848-.898zm-4.259-4.259L14.25 9h1.8l-.996.933zM14.25 21.75a1.125 1.125 0 110 2.25 1.125 1.125 0 010-2.25zm6 0a1.125 1.125 0 110 2.25 1.125 1.125 0 010-2.25z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconAvatarTrainStaffDisabledComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconAvatarTrainStaffDisabledModule {
}
IconAvatarTrainStaffDisabledModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconAvatarTrainStaffDisabledComponent],
                exports: [IconAvatarTrainStaffDisabledComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconClockComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconClockComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-clock',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M12 4.5a7.5 7.5 0 017.5 7.5c0 4.143-3.357 7.5-7.5 7.5a7.5 7.5 0 010-15zm5 8h-5.5V7"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M18 6.75c6.215 0 11.25 5.037 11.25 11.25 0 6.214-5.035 11.25-11.25 11.25-6.213 0-11.25-5.036-11.25-11.25 0-6.213 5.037-11.25 11.25-11.25zm7.5 12h-8.25V10.5"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconClockComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconClockModule {
}
IconClockModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconClockComponent],
                exports: [IconClockComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconHourglassComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconHourglassComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-hourglass',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M18.516 20.5c0-2.82-1.926-5.266-3.979-6.504-.624-.384-1.053-1.135-1.053-1.996s.43-1.612 1.053-1.995c2.053-1.238 3.98-3.686 3.98-6.505H5.483c0 2.819 1.925 5.267 3.978 6.505.624.383 1.054 1.134 1.054 1.995 0 .86-.43 1.612-1.054 1.996C7.41 15.234 5.484 17.68 5.484 20.5h13.032zm-9.052-13c.33.307.683.577 1.04.793l.003.002c.656.404 1.155 1.091 1.492 1.836.336-.743.832-1.429 1.485-1.83a6.594 6.594 0 001.052-.8H9.464z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M27.774 30.75c0-4.229-2.889-7.9-5.968-9.756-.936-.576-1.58-1.703-1.58-2.994 0-1.292.644-2.418 1.58-2.993 3.08-1.857 5.968-5.529 5.968-9.757H8.226c0 4.228 2.888 7.9 5.967 9.757.936.575 1.581 1.701 1.581 2.993 0 1.291-.645 2.418-1.58 2.994-3.08 1.857-5.968 5.527-5.968 9.756h19.548zm-13.578-19.5a9.66 9.66 0 001.56 1.19l.004.003c.984.606 1.733 1.636 2.238 2.754.504-1.115 1.248-2.144 2.228-2.745a9.891 9.891 0 001.578-1.202h-7.608z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconHourglassComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconHourglassModule {
}
IconHourglassModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconHourglassComponent],
                exports: [IconHourglassComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLocomotiveComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconLocomotiveComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-locomotive',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M11.5 15.5H18l-3-6h-3.5v6zm-9.5 5h4.5v-15H2m0-2.001h10m-5.5 14.5h3M9.5 5.5v15l6 .001c4.582.002 6.936-.857 5.375-4.784L17.312 8.53C16.235 6.574 14.765 5.468 11.5 5.5h-2z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M17.25 23.25H27l-4.5-9h-5.25v9zM3 30.75h6.75V8.25H3m0-3.002h15M9.75 27h4.5m0-18.75v22.5l9 .002c6.873.003 10.404-1.286 8.063-7.176l-5.345-10.78c-1.616-2.935-3.82-4.594-8.718-4.546h-3z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconLocomotiveComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconLocomotiveModule {
}
IconLocomotiveModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconLocomotiveComponent],
                exports: [IconLocomotiveComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPercentTagComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconPercentTagComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-percent-tag',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9 7.5c.84 0 1.5.66 1.5 1.5s-.66 1.5-1.5 1.5S7.5 9.84 7.5 9 8.16 7.5 9 7.5m4 6c.84 0 1.5.66 1.5 1.5s-.66 1.5-1.5 1.5-1.5-.66-1.5-1.5.66-1.5 1.5-1.5M15 8l-8 8M3.5 5.5H17l3.5 6.5-3.5 6.5H3.5v-13z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M13.5 11.25c1.26 0 2.25.99 2.25 2.25s-.99 2.25-2.25 2.25-2.25-.99-2.25-2.25.99-2.25 2.25-2.25m6 9.001c1.26 0 2.25.989 2.25 2.25 0 1.26-.99 2.25-2.25 2.25s-2.25-.99-2.25-2.25c0-1.261.99-2.25 2.25-2.25m3-8.25l-12 12M5.25 8.25H25.5L30.75 18l-5.25 9.75H5.25V8.25z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconPercentTagComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPercentTagModule {
}
IconPercentTagModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconPercentTagComponent],
                exports: [IconPercentTagComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPunctualityComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconPunctualityComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-punctuality',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd" stroke="#000">
          <path
            d="M3.5 13.5c0-.168.005-.334.015-.5M11 5.515c.166-.01.332-.015.5-.015m0 0a8 8 0 11-8 8m8-8V3m-1.5.5h3m-5 10l2.5 3 5.5-6"
          />
          <path stroke-dasharray="1 1" d="M3.648 11.958a8.005 8.005 0 016.831-6.393" />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd" stroke="#000">
          <path
            d="M5.25 20.25c0-.252.008-.501.022-.75M16.5 8.273c.249-.015.498-.022.75-.022m0 0c6.627 0 12 5.372 12 12 0 6.626-5.373 12-12 12s-12-5.374-12-12m12-12.001V4.5M15 5.25h4.5m-7.5 15l3.75 4.5 8.25-9"
          />
          <path stroke-dasharray="1 1" d="M5.473 17.937C6.455 12.906 10.58 9 15.719 8.347" />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconPunctualityComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPunctualityModule {
}
IconPunctualityModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconPunctualityComponent],
                exports: [IconPunctualityComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconRouteCircleEndComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconRouteCircleEndComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-route-circle-end',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path stroke="#000" d="M20.5 12.5a6 6 0 11-12 0 6 6 0 0112 0zm-12 0H3h5.5z" />
          <path fill="#000" d="M18 12.5a3.5 3.5 0 11-7 0 3.5 3.5 0 017 0" />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path stroke="#000" d="M30.75 18.75a9 9 0 11-18 0 9 9 0 0118 0zm-18 0H4.5h8.25z" />
          <path fill="#000" d="M27 18.75a5.25 5.25 0 11-10.5 0 5.25 5.25 0 0110.5 0" />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconRouteCircleEndComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconRouteCircleEndModule {
}
IconRouteCircleEndModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconRouteCircleEndComponent],
                exports: [IconRouteCircleEndComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconRouteCircleStartComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconRouteCircleStartComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-route-circle-start',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M3.5 12.5a6 6 0 1112.002.002A6 6 0 013.5 12.5zm3 0a3 3 0 116 0 3 3 0 01-6 0zm9 0H21"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M5.25 18.75a9 9 0 1118 0 9 9 0 01-18 0zm4.5.001a4.5 4.5 0 119 0 4.5 4.5 0 01-9 0zm13.5 0h8.25"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconRouteCircleStartComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconRouteCircleStartModule {
}
IconRouteCircleStartModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconRouteCircleStartComponent],
                exports: [IconRouteCircleStartComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSeatWindowComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconSeatWindowComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-seat-window',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6 4.5a1.5 1.5 0 110 3 1.5 1.5 0 010-3zm8 14H6.5l-4-11m14.791 14.042L14.708 16.5h-6.5l-2.5-7h2l1.5 4.01h3.771m-1.481-3.01h9v-6h-9v6zm0-1l2.002-2 2 2 3-3 2 2"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9 6.75a2.25 2.25 0 110 4.5 2.25 2.25 0 010-4.5zm12 21H9.75l-6-16.5m22.186 21.063l-3.874-7.563h-9.75l-3.75-10.5h3l2.25 6.015h5.656m-2.221-4.515h13.5v-9h-13.5v9zm0-1.5l3.003-3 3 3 4.5-4.5 3 3"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSeatWindowComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSeatWindowModule {
}
IconSeatWindowModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSeatWindowComponent],
                exports: [IconSeatWindowComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTimetableComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconTimetableComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-timetable',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M15.5 10.5c2.757 0 5 2.243 5 5 0 2.756-2.243 5-5 5s-5-2.244-5-5c0-2.757 2.243-5 5-5zM2 3.5h7-7zm9 0h4-4zm0 3h4-4zm6 0h5-5zm0-3h5-5zm-15 3h7-7zm0 3h7-7zm0 3h5-5zm0 3h5-5zm0 3h5-5zM15.5 12v3.5H19"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M23.25 15.75c4.136 0 7.5 3.365 7.5 7.5 0 4.134-3.364 7.5-7.5 7.5s-7.5-3.366-7.5-7.5c0-4.135 3.364-7.5 7.5-7.5zM3 5.25h10.5H3zm13.5 0h6-6zm0 4.5h6-6zm9 0H33h-7.5zm0-4.5H33h-7.5zM3 9.75h10.5H3zm0 4.5h10.5H3zm0 4.5h7.5H3zm0 4.5h7.5H3zm0 4.5h7.5H3zM23.25 18v5.25h5.25"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconTimetableComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTimetableModule {
}
IconTimetableModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconTimetableComponent],
                exports: [IconTimetableComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWalkComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconWalkComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-walk',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M14.5 20v-4.5l-2-2h-2v3l-2 3m4-11v5h-2v-5m1-2c-.533 0-1-.466-1-1 0-.533.467-1 1-1 .533 0 1 .467 1 1 0 .534-.467 1-1 1zm-4 7.5v-3.5l3-2h2l2 2H17"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M21.75 30v-6.75l-3-3h-3v4.5l-3 4.5m6-16.5v7.5h-3v-7.5m1.5-3c-.8 0-1.5-.7-1.5-1.5s.7-1.5 1.5-1.5 1.5.7 1.5 1.5-.7 1.5-1.5 1.5zm-6 11.25v-5.25l4.5-3h3l3 3h3.75"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconWalkComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWalkModule {
}
IconWalkModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconWalkComponent],
                exports: [IconWalkComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWalkFastComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconWalkFastComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-walk-fast',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M13.501 13.593V16.5l-3 3m6-11l-1.001 5 2.001 2L16.5 20m-2.999-3.5v-3l1-5m-4 5.5l1-3.5 3-2h2l2 2 2.5 1m-6.5-3l-1 5H15.5l1.001-5M9 9.5H5m3 4H3m7 3H5m7-10H7m8.491 0c-.533 0-1-.467-1-1 0-.533.467-1 1-1 .533 0 1 .467 1 1 0 .533-.467 1-1 1z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M20.252 20.39v4.36l-4.5 4.5m9-16.5l-1.502 7.5 3.002 3L24.75 30m-4.498-5.25v-4.5l1.5-7.5M15.75 21l1.5-5.25 4.5-3h3l3 3 3.75 1.5m-9.75-4.5l-1.5 7.5h2.999l1.502-7.5M13.5 14.25h-6m4.5 6H4.5m10.5 4.5H7.5m10.5-15h-7.5m12.737 0c-.8 0-1.5-.7-1.5-1.5s.7-1.5 1.5-1.5 1.5.7 1.5 1.5-.7 1.5-1.5 1.5z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconWalkFastComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWalkFastModule {
}
IconWalkFastModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconWalkFastComponent],
                exports: [IconWalkFastComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWalkSlowComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconWalkSlowComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-walk-slow',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M15.5 20v-4.5l-1-1.907h-2V16.5L12 20m2.5-11.5v5.093h-2V8.5m-1.964 5.035l-2.06 5.1-1.852-.756 1.124-2.782 1.845.752M10.5 13v-2.5l2-2h2l1 2 1.5 2m-3.501-6c-.533 0-1-.467-1-1 0-.533.467-1 1-1 .533 0 1 .467 1 1 0 .533-.467 1-1 1z"
          />
          <path
            fill="#000"
            d="M6.24 18.309a.5.5 0 110 .999.5.5 0 010-1zm1.855.749a.5.5 0 11-.001 1 .5.5 0 010-1z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M23.25 30v-6.75l-1.5-2.86h-3v4.36L18 30m3.75-17.25v7.64h-3v-7.64m-2.947 7.553l-3.09 7.65-2.778-1.134 1.686-4.173 2.768 1.128M15.75 19.5v-3.75l3-3h3l1.5 3 2.25 3m-5.251-9c-.8 0-1.5-.7-1.5-1.5s.7-1.5 1.5-1.5 1.5.7 1.5 1.5-.7 1.5-1.5 1.5z"
          />
          <path
            fill="#000"
            d="M9.36 27.463a.75.75 0 110 1.498.75.75 0 010-1.498zm2.782 1.123a.75.75 0 11-.002 1.499.75.75 0 01.002-1.499z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconWalkSlowComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWalkSlowModule {
}
IconWalkSlowModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconWalkSlowComponent],
                exports: [IconWalkSlowComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWheelchairComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconWheelchairComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-wheelchair',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.5 8v5.5h5V19M11 6a.5.5 0 11-1 0 .5.5 0 011 0zm-2.297 4.932A4.014 4.014 0 006.505 14.5c0 2.198 1.802 4 4 4a4.016 4.016 0 003.62-2.304"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M15.75 12v8.25h7.5v8.25M16.5 9A.75.75 0 1115 9a.75.75 0 011.5 0zm-3.445 7.398c-1.952.994-3.297 3.024-3.297 5.352 0 3.297 2.703 6 6 6 2.39 0 4.467-1.42 5.43-3.456"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconWheelchairComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWheelchairModule {
}
IconWheelchairModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconWheelchairComponent],
                exports: [IconWheelchairComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWheelchairInaccessibleComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconWheelchairInaccessibleComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-wheelchair-inaccessible',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M5 8l12.5 12.5m-2-5v-2h-2m-3-3V8m-2.28 3.22A4.003 4.003 0 006.5 14.5c0 2.2 1.801 4 4 4a3.999 3.999 0 003.276-1.724M11 6a.5.5 0 11-1 0 .5.5 0 011 0zm4.5 12.5v.5"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.5 12l18.75 18.75m-3-7.5v-3h-3m-4.5-4.5V12m-3.42 4.83a6.005 6.005 0 00-2.581 4.92c0 3.3 2.703 6 6 6 2.03 0 3.828-1.028 4.915-2.585M16.5 9A.75.75 0 1115 9a.75.75 0 011.5 0zm6.75 18.75v.75"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconWheelchairInaccessibleComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWheelchairInaccessibleModule {
}
IconWheelchairInaccessibleModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconWheelchairInaccessibleComponent],
                exports: [IconWheelchairInaccessibleComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWheelchairPartiallyComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconWheelchairPartiallyComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-wheelchair-partially',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M8.7 10.93a4.012 4.012 0 00-2.198 3.567c0 2.2 1.802 4 4 4a4.015 4.015 0 003.62-2.303M4.7 4.5C3.4 6.3 2.4 8.7 2.4 12s1 5.6 2.3 7.5m14.4 0c1.3-1.8 2.3-4.2 2.3-7.5s-1-5.6-2.3-7.5M10.5 8v5.5h5V19M11 6a.5.5 0 11-1 0 .5.5 0 011 0z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M13.05 16.396c-1.951.993-3.297 3.024-3.297 5.35 0 3.3 2.703 6 6 6 2.39 0 4.467-1.417 5.43-3.454M7.05 6.75C5.1 9.45 3.6 13.05 3.6 18S5.1 26.4 7.05 29.25m21.6 0c1.95-2.7 3.45-6.3 3.45-11.25s-1.5-8.4-3.45-11.25M15.75 12v8.25h7.5v8.25M16.5 9A.75.75 0 1115 9a.75.75 0 011.5 0z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconWheelchairPartiallyComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWheelchairPartiallyModule {
}
IconWheelchairPartiallyModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconWheelchairPartiallyComponent],
                exports: [IconWheelchairPartiallyComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWheelchairReservationComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconWheelchairReservationComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-wheelchair-reservation',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M8.703 10.932A4.014 4.014 0 006.505 14.5c0 2.198 1.802 4 4 4a4.016 4.016 0 003.62-2.304M2.5 21.5h19v-19h-19v19zm8-13.5v5.5h5V19M11 6a.5.5 0 11-1 0 .5.5 0 011 0z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M13.055 16.398c-1.952.994-3.297 3.024-3.297 5.352 0 3.297 2.703 6 6 6 2.39 0 4.467-1.42 5.43-3.456M3.75 32.25h28.5V3.75H3.75v28.5zm12-20.25v8.25h7.5v8.25M16.5 9A.75.75 0 1115 9a.75.75 0 011.5 0z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconWheelchairReservationComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWheelchairReservationModule {
}
IconWheelchairReservationModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconWheelchairReservationComponent],
                exports: [IconWheelchairReservationComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWheelchairUncertainComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconWheelchairUncertainComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-wheelchair-uncertain',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.5 8v5.5h5V19m-6.802-8.067A4.013 4.013 0 002.5 14.5c0 2.198 1.8 4 4 4a4.013 4.013 0 003.619-2.304m7.426.8v2M17.5 15c0-1.497.057-2.13 1-3.2l1.5-1.5c1.736-1.94.807-3.727-.475-4.411-2.063-1.006-5.025-.197-5.025 3.11M7 6a.5.5 0 11-1 0 .5.5 0 011 0z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.75 12v8.25h7.5v8.25M7.047 16.4c-1.952.992-3.297 3.023-3.297 5.351 0 3.297 2.701 6 6 6 2.39 0 4.467-1.419 5.428-3.456m11.14 1.202v3M26.25 22.5c0-2.246.085-3.195 1.5-4.8L30 15.45c2.604-2.91 1.21-5.59-.712-6.617-3.095-1.509-7.538-.295-7.538 4.667M10.5 9A.75.75 0 119 9a.75.75 0 011.5 0z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconWheelchairUncertainComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWheelchairUncertainModule {
}
IconWheelchairUncertainModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconWheelchairUncertainComponent],
                exports: [IconWheelchairUncertainComponent],
            },] }
];

const modules = [
    IconPercentModule,
    IconSwitzerlandRouteModule,
    IconArrowChangeModule,
    IconAvatarTrainStaffModule,
    IconAvatarTrainStaffDisabledModule,
    IconClockModule,
    IconHourglassModule,
    IconLocomotiveModule,
    IconPercentTagModule,
    IconPunctualityModule,
    IconRouteCircleEndModule,
    IconRouteCircleStartModule,
    IconSeatWindowModule,
    IconTimetableModule,
    IconWalkModule,
    IconWalkFastModule,
    IconWalkSlowModule,
    IconWheelchairModule,
    IconWheelchairInaccessibleModule,
    IconWheelchairPartiallyModule,
    IconWheelchairReservationModule,
    IconWheelchairUncertainModule,
];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCollectionTimetableModule {
}
IconCollectionTimetableModule.decorators = [
    { type: NgModule, args: [{
                imports: modules,
                exports: modules,
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { IconArrowChangeComponent, IconArrowChangeModule, IconAvatarTrainStaffComponent, IconAvatarTrainStaffDisabledComponent, IconAvatarTrainStaffDisabledModule, IconAvatarTrainStaffModule, IconClockComponent, IconClockModule, IconCollectionTimetableModule, IconHourglassComponent, IconHourglassModule, IconLocomotiveComponent, IconLocomotiveModule, IconPercentComponent, IconPercentModule, IconPercentTagComponent, IconPercentTagModule, IconPunctualityComponent, IconPunctualityModule, IconRouteCircleEndComponent, IconRouteCircleEndModule, IconRouteCircleStartComponent, IconRouteCircleStartModule, IconSeatWindowComponent, IconSeatWindowModule, IconSwitzerlandRouteComponent, IconSwitzerlandRouteModule, IconTimetableComponent, IconTimetableModule, IconWalkComponent, IconWalkFastComponent, IconWalkFastModule, IconWalkModule, IconWalkSlowComponent, IconWalkSlowModule, IconWheelchairComponent, IconWheelchairInaccessibleComponent, IconWheelchairInaccessibleModule, IconWheelchairModule, IconWheelchairPartiallyComponent, IconWheelchairPartiallyModule, IconWheelchairReservationComponent, IconWheelchairReservationModule, IconWheelchairUncertainComponent, IconWheelchairUncertainModule };
//# sourceMappingURL=timetable.js.map
