import { CommonModule } from '@angular/common';
import { Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { IconBase } from '@sbb-esta/angular-icons/core';

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconBicycleComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconBicycleComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-bicycle',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7 11.5c1.93 0 3.5 1.57 3.5 3.5S8.93 18.5 7 18.5 3.5 16.93 3.5 15s1.57-3.5 3.5-3.5m10.001 0c1.93 0 3.5 1.57 3.5 3.5s-1.57 3.5-3.5 3.5c-1.931 0-3.5-1.57-3.5-3.5s1.569-3.5 3.5-3.5M7 15l2-5.5h5.5l2-3H13m4.001 8.5L14.5 9.5m-7.292-2h2.793"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.5 17.25a5.256 5.256 0 015.25 5.25 5.256 5.256 0 01-5.25 5.25 5.256 5.256 0 01-5.25-5.25 5.256 5.256 0 015.25-5.25m15.002 0a5.256 5.256 0 015.25 5.25 5.256 5.256 0 01-5.25 5.25 5.255 5.255 0 01-5.25-5.25 5.255 5.255 0 015.25-5.25M10.5 22.5l3-8.25h8.25l3-4.5H19.5m6.002 12.75l-3.752-8.25m-10.937-3H15"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('large') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 48 48"
      >
        <path
          fill="none"
          stroke="#000"
          d="M14 22.5a7.5 7.5 0 110 15 7.5 7.5 0 010-15zm20.001 0a7.5 7.5 0 017.5 7.5c0 4.143-3.357 7.5-7.5 7.5a7.5 7.5 0 010-15zM14 30l4.5-11.5h10l4.5-6h-7M34.001 30L28.5 18.5m-13.5-4h5"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconBicycleComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconBicycleModule {
}
IconBicycleModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconBicycleComponent],
                exports: [IconBicycleComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTrainComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconTrainComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-train',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M16 17.5l2 4m-12 0l2-4m10 2H6m13 2H5m9-14h-4m8.5 5h-13M16 2.5H8m10.5 15h-13V8A2.5 2.5 0 018 5.5h8A2.5 2.5 0 0118.5 8v9.5zM10 2.5l2 3m2-3l-2 3m3.5 9.5a.5.5 0 10-1.002.001A.5.5 0 0015.5 15zm-6 0A.5.5 0 108.498 15 .5.5 0 009.5 15z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M24 26.25l3 6m-18 0l3-6m15 3H9m19.5 3h-21m13.5-21h-6m12.75 7.5H8.25M24 3.75H12m15.75 22.5H8.25V12A3.75 3.75 0 0112 8.25h12A3.75 3.75 0 0127.75 12v14.25zM15 3.75l3 4.5m3-4.5l-3 4.5m5.25 14.25a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm-9 0a.751.751 0 00-1.5 0 .75.75 0 001.5 0z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('large') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 48 48"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M32 35.5l4 7m-24 0l4-7m20 3H12m26 4H10M17.5 30a1.5 1.5 0 10-3.001 0 1.5 1.5 0 003.001 0zm16 0a1.5 1.5 0 10-3.001 0 1.5 1.5 0 003.001 0zM28 14.5h-8m17.5 10h-27M32 5.5H16m21.5 30h-27v-19c0-2.761 2.325-5 5.192-5h16.616c2.868 0 5.192 2.239 5.192 5v19zM20 5.5l4 6m4-6l-4 6"
          />
          <path
            fill="#000"
            d="M24.722 28.001l1.444 1.5h-1.715v-1.5h-.902v1.5h-1.715l1.445-1.5h-1.083l-1.806 2 1.806 2h1.083l-1.445-1.5h1.715v1.5h.902v-1.5h1.715l-1.444 1.5h1.083l1.806-2-1.806-2z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconTrainComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTrainModule {
}
IconTrainModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconTrainComponent],
                exports: [IconTrainComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconAirplaneComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconAirplaneComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-airplane',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M20 13.5l-6 .002-2.5 7.998H9l1-7.998H6l-1 2H3L4.5 12 3 8.5h2l1 2h4l-1.001-8H11.5l2.5 8h6a1.5 1.5 0 010 3z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M30 20.25l-9 .003-3.75 11.997H13.5L15 20.253H9l-1.5 3h-3L6.75 18 4.5 12.75h3l1.5 3h6l-1.502-12h3.752l3.75 12h9a2.25 2.25 0 010 4.5z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconAirplaneComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconAirplaneModule {
}
IconAirplaneModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconAirplaneComponent],
                exports: [IconAirplaneComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconBusComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconBusComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-bus',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M4.5 18.5v2h3v-2m9.001 0v2H19.5v-2M17 5.5H7m12.5 6h-15m0-2h-1v1h1m12.5-7c1.706 0 2.5.794 2.5 2.5v12.5h-15V6c0-1.706.794-2.5 2.5-2.5h10zM7.5 16A.5.5 0 106.498 16 .5.5 0 007.5 16zm10 0a.5.5 0 10-1.002.001A.5.5 0 0017.5 16zm2-5.5h1v-1h-1"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.75 27.75v3h4.5v-3m13.502 0v3h4.498v-3M25.5 8.25h-15m18.75 9.001H6.75m0-3h-1.5v1.5h1.5M25.5 5.25c2.559 0 3.75 1.19 3.75 3.75v18.75H6.75V9c0-2.56 1.191-3.75 3.75-3.75h15zM11.25 24a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm15 0a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm3-8.25h1.5v-1.5h-1.5"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconBusComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconBusModule {
}
IconBusModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconBusComponent],
                exports: [IconBusComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconBusCircleComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconBusCircleComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-bus-circle',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M5.5 16.5v2h3v-2m7.001 0v2H18.5v-2m-13-8h-1v1h1m10.5-4H8m10.5 5h-13M4 16.888c-.947.468-1.5 1.021-1.5 1.612 0 1.645 4.232 3 9.5 3 5.269 0 9.5-1.355 9.5-3 0-.59-.553-1.144-1.5-1.61M16 3.5c1.706 0 2.5.794 2.5 2.5v10.5h-13V6c0-1.706.794-2.5 2.5-2.5h8M8.5 14A.5.5 0 107.498 14 .5.5 0 008.5 14zm8 0a.5.5 0 10-1.002.001A.5.5 0 0016.5 14zm2-4.5h1v-1h-1"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M8.25 24.75v3h4.5v-3m10.502 0v3h4.498v-3m-19.5-12h-1.5v1.5h1.5m15.75-6H12m15.75 7.501H8.25M6 25.331c-1.42.702-2.25 1.532-2.25 2.418 0 2.468 6.348 4.5 14.25 4.5 7.904 0 14.25-2.032 14.25-4.5 0-.886-.83-1.716-2.25-2.416M24 5.25c2.559 0 3.75 1.191 3.75 3.75v15.75H8.25V9c0-2.559 1.191-3.75 3.75-3.75h12M12.75 21a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm12 0a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm3-6.75h1.5v-1.5h-1.5"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconBusCircleComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconBusCircleModule {
}
IconBusCircleModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconBusCircleComponent],
                exports: [IconBusCircleComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconBusSbbComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconBusSbbComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-bus-sbb',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M4.5 18.5v2h3v-2m9.001 0v2H19.5v-2M17 5.5H7m12.5 6h-15m3 4.5A.5.5 0 106.498 16 .5.5 0 007.5 16zm10 0a.5.5 0 10-1.002.001A.5.5 0 0017.5 16zM17 3.5c1.706 0 2.5.794 2.5 2.5v12.5h-15V6c0-1.706.794-2.5 2.5-2.5h10zm-12.5 6h-1v1h1m15 0h1v-1h-1"
          />
          <path
            fill="#000"
            d="M12.8 13l1.601 1.5H12.5V13h-1v1.5H9.6l1.6-1.5H10l-2 2 2 2h1.2l-1.6-1.5h1.9V17h1v-1.5h1.901L12.8 17H14l2-2-2-2z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M6.75 27.75v3h4.5v-3m13.502 0v3h4.498v-3M25.5 8.25h-15m18.75 9.001H6.75M11.25 24a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm15 0a.751.751 0 00-1.5 0 .75.75 0 001.5 0zM25.5 5.25c2.559 0 3.75 1.191 3.75 3.75v18.75H6.75V9c0-2.559 1.191-3.75 3.75-3.75h15zm-18.75 9h-1.5v1.5h1.5m22.5 0h1.5v-1.5h-1.5"
          />
          <path
            fill="#000"
            d="M19.2 19.5l2.401 2.25H18.75V19.5h-1.5v2.25H14.4l2.4-2.25H15l-3 3 3 3h1.8l-2.4-2.25h2.85v2.25h1.5v-2.25h2.851L19.2 25.5H21l3-3-3-3z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconBusSbbComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconBusSbbModule {
}
IconBusSbbModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconBusSbbComponent],
                exports: [IconBusSbbComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconBusStopComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconBusStopComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-bus-stop',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.499 4.5h14v-2h-14v2zm1.001.001v17.5m12.001-17.5v17.5M2.5 12.5h4v-5h-4v5zm2 0V22m12-13.5a1 1 0 11-2 0 1 1 0 012 0zm1 8v-5h-4v5h1v5h2v-5h1z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M11.248 6.75h21v-3h-21v3zm1.502.002v26.25m18.002-26.25v26.25M3.75 18.75h6v-7.5h-6v7.5zm3 0V33m18-20.25a1.5 1.5 0 11-3.001 0 1.5 1.5 0 013.001 0zm1.5 12v-7.5h-6v7.5h1.5v7.5h3v-7.5h1.5z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconBusStopComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconBusStopModule {
}
IconBusStopModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconBusStopComponent],
                exports: [IconBusStopComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCarComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCarComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-car',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M8.5 14A.5.5 0 107.498 14 .5.5 0 008.5 14zm8 0a.5.5 0 10-1.002.001A.5.5 0 0016.5 14zm-11 2.5v2h3v-2m7.001 0v2H18.5v-2m-13-6H4m16 0h-1.5m0 1h-13m10.5-5c1.706 0 2.5.794 2.5 2.5v7.5h-13V9c0-1.706.794-2.5 2.5-2.5h8m.5 5a2 2 0 00-4 0"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M12.75 21a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm12 0a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm-16.5 3.75v3h4.5v-3m10.502 0v3h4.498v-3M8.25 15.75H6m24 0h-2.25m0 1.5H8.25M24 9.751c2.559 0 3.75 1.19 3.75 3.75v11.25H8.25V13.5c0-2.56 1.191-3.75 3.75-3.75h12m.75 7.5a3 3 0 00-6 0"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCarComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCarModule {
}
IconCarModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCarComponent],
                exports: [IconCarComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCarParkingComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCarParkingComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-car-parking',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M20.5 18.5h-12V11A2.5 2.5 0 0111 8.5h7a2.5 2.5 0 012.5 2.5v7.5zm-18-9h4v-5h-4v5zm2 0V21m4-2.5v2h3v-2m6.001 0v2H20.5v-2m-12-6H7m15 0h-1.5m0 1h-12m10 0a2 2 0 00-4 0m-3 2.5a.5.5 0 10-1.002.001A.5.5 0 0011.5 16zm7 0a.5.5 0 10-1.002.001A.5.5 0 0018.5 16z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M30.75 27.75h-18V16.5a3.75 3.75 0 013.75-3.75H27a3.75 3.75 0 013.75 3.75v11.25zm-27-13.5h6v-7.5h-6v7.5zm3 0V31.5m6-3.75v3h4.5v-3m9.002 0v3h4.498v-3m-18-8.999H10.5m22.5 0h-2.25m0 1.5h-18m15-.001a3.001 3.001 0 00-6 0M17.25 24a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm10.5 0a.751.751 0 00-1.5 0 .75.75 0 001.5 0z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCarParkingComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCarParkingModule {
}
IconCarParkingModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCarParkingComponent],
                exports: [IconCarParkingComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChargingStationComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconChargingStationComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-charging-station',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M5.5 9.5h6v-4h-6v4zm8-2h2v9a2 2 0 004 0v-3m2-2a2 2 0 01-4 0v-1h4v1zm-3-1V8m2 2.5V8m-17 12.5h10v-17h-10v17z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M8.25 14.25h9v-6h-9v6zm12-3h3v13.5a3.001 3.001 0 006 0v-4.5m3-3a3.001 3.001 0 01-6 0v-1.5h6v1.5zm-4.5-1.5V12m3 3.75V12M5.25 30.75h15V5.25h-15v25.5z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconChargingStationComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconChargingStationModule {
}
IconChargingStationModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconChargingStationComponent],
                exports: [IconChargingStationComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCombinedMobilityComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCombinedMobilityComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-combined-mobility',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M18.5 17a.5.5 0 10-1.002.001A.5.5 0 0018.5 17zm-11 2.5v2h3v-2m7.001 0v2H20.5v-2m1.5-6h-1.5m0 1H12m6.5 0a2 2 0 00-4 0m-4.5 2a.5.5 0 100 1 .5.5 0 000-1zM7.5 19v.5h13V12c0-1.705-.794-2.5-2.5-2.5h-1m-3.5-4l.937 2.063M19 5L4 20M6 6.5c1.93 0 3.5 1.57 3.5 3.5S7.93 13.5 6 13.5 2.5 11.93 2.5 10 4.07 6.5 6 6.5M6 10l2-4.5h5.5l2-3H12m-5.792 1h2.793"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M27.75 25.5a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm-16.5 3.75v3h4.5v-3m10.502 0v3h4.498v-3M33 20.25h-2.25m0 1.5H18m9.75-.001a3.001 3.001 0 00-6 0m-6.75 3a.75.75 0 100 1.5.75.75 0 000-1.5zm-3.75 3.75v.75h19.5V18c0-2.558-1.191-3.75-3.75-3.75h-1.5m-5.25-6l1.405 3.094M28.5 7.5L6 30M9 9.75A5.256 5.256 0 0114.25 15 5.255 5.255 0 019 20.25 5.255 5.255 0 013.75 15 5.256 5.256 0 019 9.75M9 15l3-6.75h8.25l3-4.5H18m-8.687 1.5H13.5"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCombinedMobilityComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCombinedMobilityModule {
}
IconCombinedMobilityModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCombinedMobilityComponent],
                exports: [IconCombinedMobilityComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconContainerComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconContainerComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-container',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M3.5 20.5h18v-9h-18v9zm3-9v9m3-9v9m3-9v9m3-9v9m3-9v9M5 11.5l7.5-4 7.5 4M13.506 3L13.5 5.063A2.001 2.001 0 0113 9a2 2 0 01-2-2"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M5.25 30.75h27v-13.5h-27v13.5zm4.5-13.5v13.5m4.5-13.5v13.5m4.5-13.5v13.5m4.5-13.5v13.5m4.5-13.5v13.5M7.5 17.25l11.25-6 11.25 6M20.259 4.5l-.01 3.095A3 3 0 1116.5 10.5"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconContainerComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconContainerModule {
}
IconContainerModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconContainerComponent],
                exports: [IconContainerComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDriverlessBusComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconDriverlessBusComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-driverless-bus',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.5 16.5v2h3v-2m-3-7h-1v1h1m11-1h1v1h-1m0 1h-11m3 2.5A.5.5 0 108.498 14 .5.5 0 009.5 14zm6 0a.5.5 0 10-1.002.001A.5.5 0 0015.5 14zm4 1v-2m2 3v-4m-17 1v2m-2-3v4m15 .5h-11V7A2.5 2.5 0 019 4.5h6A2.5 2.5 0 0117.5 7v9.5zm-2.999 0v2H17.5v-2M15 6.5H9"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.75 24.75v3h4.5v-3m-4.5-10.5h-1.5v1.5h1.5m16.5-1.5h1.5v1.5h-1.5m0 1.501l-16.5-.001m4.5 3.75a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm9 0a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm6 1.5v-3m3 4.5v-6m-25.5 1.5v3m-3-4.5v6m22.5.75H9.75V10.5a3.75 3.75 0 013.75-3.75h9a3.75 3.75 0 013.75 3.75v14.25zm-4.498 0v3h4.498v-3M22.5 9.75l-9-.001"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconDriverlessBusComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconDriverlessBusModule {
}
IconDriverlessBusModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconDriverlessBusComponent],
                exports: [IconDriverlessBusComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconFreightWagonComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconFreightWagonComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-freight-wagon',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M3.5 15.5h17v-7h-17v7zm12-7v7m-7-7v7m-2 .503a.5.5 0 11-1 0 .5.5 0 011 0zm-4.502-1.497H3.5m16.999 0h1.502M18.5 16.003a.5.5 0 11-1 0 .5.5 0 011 0z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M5.25 23.25h25.5v-10.5H5.25v10.5zm18-10.5v10.5m-10.5-10.5v10.5m-3 .754a.75.75 0 11-1.5 0 .75.75 0 011.5 0zM2.997 21.76H5.25m25.498 0h2.253m-5.251 2.245a.75.75 0 11-1.5 0 .75.75 0 011.5 0z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconFreightWagonComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconFreightWagonModule {
}
IconFreightWagonModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconFreightWagonComponent],
                exports: [IconFreightWagonComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconKRComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconKRComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-k-r',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path stroke="#000" d="M3.002 18.5h18-18zm0-13h18-18z" />
          <path
            fill="#000"
            d="M10.094 7.998l-3.136 3.164 3.43 4.837H8.185l-2.43-3.59-1.007 1.007v2.583H3V7.998h1.746v3.31l3.136-3.31h2.21zm-.747 4.107h1.542v-1.542h.884v1.542h1.547v.883h-1.547v1.542h-.884v-1.542H9.347v-.883zm4.6-4.107h3.874c.766 0 1.353.12 1.762.36.34.198.598.46.777.789.18.329.27.699.27 1.11 0 .469-.114.875-.338 1.222a1.858 1.858 0 01-.939.744c.354.087.631.285.832.59.128.195.213.397.257.609.044.21.101.694.17 1.45.051.554.13.899.235 1.034l.076.093h-1.822a1.366 1.366 0 01-.134-.433c-.027-.174-.063-.58-.106-1.215-.044-.565-.182-.957-.414-1.173-.232-.217-.626-.326-1.185-.326h-1.57v3.147h-1.746V7.998zm1.745 1.374v2.2h1.67c.535 0 .913-.077 1.132-.23.277-.193.416-.485.416-.876 0-.38-.118-.657-.356-.831-.237-.176-.61-.263-1.122-.263h-1.74z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path stroke="#000" d="M4.502 27.751h27.002H4.502zm0-19.5h27.002H4.502z" />
          <path
            fill="#000"
            d="M15.14 11.997l-4.703 4.746 5.146 7.255h-3.307L8.63 18.613l-1.511 1.51v3.875H4.501V11.997H7.12v4.966l4.704-4.966h3.317zm-1.12 6.16h2.314v-2.313h1.326v2.313h2.32v1.325h-2.32v2.313h-1.326v-2.313H14.02v-1.325zm6.9-6.16h5.812c1.15 0 2.03.181 2.643.541.509.296.897.69 1.166 1.182.268.494.403 1.049.403 1.667 0 .702-.17 1.31-.505 1.831-.338.52-.807.893-1.409 1.116.531.13.947.428 1.248.887.192.29.32.594.386.912.066.316.151 1.04.255 2.175.076.83.195 1.348.352 1.55l.114.14h-2.733a2.048 2.048 0 01-.2-.65c-.041-.26-.095-.87-.16-1.822-.066-.847-.273-1.435-.62-1.76-.349-.325-.94-.488-1.778-.488h-2.355v4.72h-2.62V11.997zm2.619 2.06v3.3h2.503c.804 0 1.371-.115 1.7-.344.415-.29.624-.728.624-1.314 0-.569-.177-.986-.534-1.247-.356-.264-.917-.394-1.683-.394h-2.61z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconKRComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconKRModule {
}
IconKRModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconKRComponent],
                exports: [IconKRComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconParkAndRailComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconParkAndRailComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-park-and-rail',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path stroke="#000" d="M3.002 18.5h18-18zm0-13h18-18z" />
          <path
            fill="#000"
            d="M2.99 7.997h3.228c.544 0 .972.034 1.284.102.312.067.593.187.845.358.697.467 1.046 1.171 1.046 2.113 0 .835-.288 1.492-.865 1.97a2.239 2.239 0 01-.837.441c-.314.09-.7.134-1.16.134H4.734v2.883H2.99v-8zm1.745 1.478v2.266h1.56c.463 0 .797-.082 1.002-.246.251-.205.377-.505.377-.903 0-.402-.146-.7-.438-.898-.21-.146-.556-.219-1.034-.219H4.735zm4.678 2.63h1.542v-1.542h.884v1.542h1.548v.883h-1.548v1.542h-.884v-1.542H9.413v-.883zm4.608-4.107h3.875c.766 0 1.353.12 1.762.36.339.198.598.46.777.789.179.329.269.699.269 1.11 0 .469-.113.875-.337 1.222a1.858 1.858 0 01-.94.744c.355.087.632.285.833.59.128.195.213.397.257.609.044.21.1.694.17 1.45.05.554.13.899.235 1.034l.076.093h-1.822a1.366 1.366 0 01-.134-.433c-.027-.174-.063-.58-.106-1.215-.044-.565-.182-.957-.414-1.173-.232-.217-.626-.326-1.185-.326h-1.57v3.147H14.02V7.998zm1.746 1.374v2.2h1.669c.536 0 .914-.077 1.133-.23.277-.193.416-.485.416-.876 0-.38-.118-.657-.356-.831-.237-.176-.611-.263-1.122-.263h-1.74z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path stroke="#000" d="M4.502 27.751h27.002H4.502zm0-19.5h27.002H4.502z" />
          <path
            fill="#000"
            d="M4.484 11.996h4.844c.816 0 1.458.051 1.926.153.468.1.89.28 1.267.537 1.046.7 1.57 1.756 1.57 3.17 0 1.252-.433 2.237-1.298 2.954a3.358 3.358 0 01-1.256.662c-.47.133-1.051.2-1.741.2H7.103v4.325H4.484V11.996zm2.62 2.217v3.399h2.34c.694 0 1.195-.123 1.502-.369.377-.308.566-.758.566-1.355 0-.603-.22-1.051-.657-1.347-.317-.219-.834-.328-1.551-.328h-2.2zm7.015 3.944h2.313v-2.313h1.326v2.313h2.322v1.325h-2.322v2.313h-1.326v-2.313h-2.313v-1.325zm6.912-6.16h5.812c1.15 0 2.03.181 2.643.541.509.296.897.69 1.166 1.182.268.494.403 1.049.403 1.667 0 .702-.17 1.31-.505 1.831-.338.52-.807.893-1.409 1.116.531.13.947.428 1.248.887.192.29.32.594.386.912.066.316.151 1.04.255 2.175.076.83.195 1.348.352 1.55l.114.14h-2.733a2.048 2.048 0 01-.2-.65c-.041-.26-.095-.87-.16-1.822-.066-.847-.273-1.435-.62-1.76-.349-.325-.94-.488-1.778-.488H23.65v4.72h-2.62V11.997zm2.619 2.06v3.3h2.503c.804 0 1.371-.115 1.7-.344.415-.29.624-.728.624-1.314 0-.569-.177-.986-.534-1.247-.356-.264-.917-.394-1.683-.394h-2.61z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconParkAndRailComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconParkAndRailModule {
}
IconParkAndRailModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconParkAndRailComponent],
                exports: [IconParkAndRailComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPetrolStationComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconPetrolStationComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-petrol-station',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path fill="none" stroke="#000" d="M9.5 18.5h8v-13h-8v13zm2-8h4v-3h-4v3zm-4 6h2v-9h-2v9z" />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M14.25 27.75h12V8.25h-12v19.5zm3-12h6v-4.5h-6v4.5zm-6 9h3v-13.5h-3v13.5z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconPetrolStationComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconPetrolStationModule {
}
IconPetrolStationModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconPetrolStationComponent],
                exports: [IconPetrolStationComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconShuttleComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconShuttleComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-shuttle',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M4.5 14.5v2h3v-2m9 0v2h3v-2M17 4.5H7m12.5 5h-15m0-2h-1v1h1m12.5-6c1.706 0 2.5.794 2.5 2.5v9.5h-15V5c0-1.706.794-2.5 2.5-2.5h10zM7.5 12a.5.5 0 10-1 0 .5.5 0 001 0zm10 0a.5.5 0 10-1 0 .5.5 0 001 0zm2-3.5h1v-1h-1m-14.75 13H10m-3.356-1.852L4.75 20.5l1.896 1.842m12.604-1.851H14m3.356 1.852l1.894-1.852-1.897-1.843"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.75 21.75v3h4.5v-3m13.501 0v3h4.499v-3m-3.75-15h-15m18.75 7.501H6.75m0-3h-1.5v1.5h1.5m18.75-9c2.559 0 3.75 1.19 3.75 3.75v14.25H6.75V7.5c0-2.56 1.19-3.75 3.75-3.75h15zM11.25 18a.75.75 0 10-1.5 0 .75.75 0 001.5 0zm15 0a.75.75 0 10-1.5 0 .75.75 0 001.5 0zm3-5.25h1.5v-1.5h-1.5M7.125 30.75H15m-5.034-2.778L7.125 30.75l2.844 2.763m18.906-2.777H21m5.035 2.778l2.84-2.778-2.845-2.763"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconShuttleComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconShuttleModule {
}
IconShuttleModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconShuttleComponent],
                exports: [IconShuttleComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTaxiComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconTaxiComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-taxi',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M5.5 16.5v2h3v-2m7 0l.001 2H18.5v-2m-13-6H4m16 0h-1.5m0 1h-13m11 0a2 2 0 00-4 0m3.5-5c1.706 0 2.5.794 2.5 2.5v7.5h-13V9c0-1.706.794-2.5 2.5-2.5h8m-2.5 0V5h-3v1.5m-2 7.5A.5.5 0 107.498 14 .5.5 0 008.5 14zm8 0a.5.5 0 10-1.002.001A.5.5 0 0016.5 14z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M8.25 24.75v3h4.5v-3m10.5 0l.002 3h4.498v-3M8.25 15.75H6m24 0h-2.25m0 1.5H8.25m16.5 0a3 3 0 00-6 0M24 9.75c2.559 0 3.75 1.19 3.75 3.75v11.25H8.25V13.5c0-2.56 1.191-3.75 3.75-3.75h12m-3.75 0V7.5h-4.5v2.25M12.75 21a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm12 0a.751.751 0 00-1.5 0 .75.75 0 001.5 0z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconTaxiComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTaxiModule {
}
IconTaxiModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconTaxiComponent],
                exports: [IconTaxiComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTramComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconTramComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-tram',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M14 7.5h-4m.5-2v-1h3v1m2.5 13l2 3m-12 0l2-3m10.5-5h-13m13 5h-13V8A2.5 2.5 0 018 5.5h8A2.5 2.5 0 0118.5 8v10.5zm-3-2.5a.5.5 0 10-1.002.001A.5.5 0 0015.5 16zm-6 0A.5.5 0 108.498 16 .5.5 0 009.5 16z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M21 11.25h-6m.75-3v-1.5h4.5v1.5M24 27.75l3 4.5m-18 0l3-4.5m15.75-7.5H8.25m19.5 7.5H8.25V12A3.75 3.75 0 0112 8.25h12A3.75 3.75 0 0127.75 12v15.75zM23.25 24a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm-9 0a.751.751 0 00-1.5 0 .75.75 0 001.5 0z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconTramComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconTramModule {
}
IconTramModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconTramComponent],
                exports: [IconTramComponent],
            },] }
];

const modules = [
    IconBicycleModule,
    IconTrainModule,
    IconAirplaneModule,
    IconBusModule,
    IconBusCircleModule,
    IconBusSbbModule,
    IconBusStopModule,
    IconCarModule,
    IconCarParkingModule,
    IconChargingStationModule,
    IconCombinedMobilityModule,
    IconContainerModule,
    IconDriverlessBusModule,
    IconFreightWagonModule,
    IconKRModule,
    IconParkAndRailModule,
    IconPetrolStationModule,
    IconShuttleModule,
    IconTaxiModule,
    IconTramModule,
];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCollectionTransportModule {
}
IconCollectionTransportModule.decorators = [
    { type: NgModule, args: [{
                imports: modules,
                exports: modules,
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { IconAirplaneComponent, IconAirplaneModule, IconBicycleComponent, IconBicycleModule, IconBusCircleComponent, IconBusCircleModule, IconBusComponent, IconBusModule, IconBusSbbComponent, IconBusSbbModule, IconBusStopComponent, IconBusStopModule, IconCarComponent, IconCarModule, IconCarParkingComponent, IconCarParkingModule, IconChargingStationComponent, IconChargingStationModule, IconCollectionTransportModule, IconCombinedMobilityComponent, IconCombinedMobilityModule, IconContainerComponent, IconContainerModule, IconDriverlessBusComponent, IconDriverlessBusModule, IconFreightWagonComponent, IconFreightWagonModule, IconKRComponent, IconKRModule, IconParkAndRailComponent, IconParkAndRailModule, IconPetrolStationComponent, IconPetrolStationModule, IconShuttleComponent, IconShuttleModule, IconTaxiComponent, IconTaxiModule, IconTrainComponent, IconTrainModule, IconTramComponent, IconTramModule };
//# sourceMappingURL=transport.js.map
