import { CommonModule } from '@angular/common';
import { Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { IconBase } from '@sbb-esta/angular-icons/core';

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.168 10.22c-2.141 0-2.567 4.28.8 4.28h7c3.32 0 3.2-4.28.7-4.18 1.1-3.683-3.8-5.375-5.3-1.991-1.322-1.077-3.433-.043-3.2 1.89z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.751 15.33c-3.211 0-3.849 6.42 1.2 6.42h10.5c4.982 0 4.8-6.42 1.05-6.27 1.65-5.525-5.7-8.063-7.95-2.987-1.981-1.615-5.148-.064-4.8 2.837z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudModule {
}
IconCloudModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudComponent],
                exports: [IconCloudComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudDenseFogComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudDenseFogComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-dense-fog',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.2 10.2c-.232-1.942 1.88-2.982 3.2-1.9 1.5-3.4 6.4-1.7 5.3 2 2.5-.1 2.621 4.2-.7 4.2H8c-3.367 0-2.94-4.3-.8-4.3zM5 16.5h12.993H5zm0 4h12.993H5zm1-2h10.993H6z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.8 15.3c-.348-2.913 2.819-4.473 4.8-2.85 2.25-5.1 9.6-2.55 7.95 3 3.75-.15 3.932 6.3-1.05 6.3H12c-5.05 0-4.411-6.45-1.2-6.45zm-3.3 9.45h19.49H7.5zm0 6h19.49H7.5zm1.5-3h16.49H9z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudDenseFogComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudDenseFogModule {
}
IconCloudDenseFogModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudDenseFogComponent],
                exports: [IconCloudDenseFogComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudDropsComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudDropsComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-drops',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.203 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm.3 5.8S7 17 7 17.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5zm4 0s-.5 1-.5 1.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5zm4 0s-.5 1-.5 1.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5zm-2 2s-.5 1-.5 1.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5zm-4 0S9 19 9 19.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.805 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm.45 8.7s-.75 1.5-.75 2.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25zm6 0s-.75 1.5-.75 2.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25zm6 0s-.75 1.5-.75 2.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25zm-3 3s-.75 1.5-.75 2.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25zm-6 0s-.75 1.5-.75 2.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudDropsComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudDropsModule {
}
IconCloudDropsModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudDropsComponent],
                exports: [IconCloudDropsComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudDropsMoonComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudDropsMoonComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-drops-moon',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.125 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.175 1.304C18.636 11.9 21.51 11.208 22.5 9c-4.168 1.762-6.956-2.354-5.518-5.2-1.089.326-1.913 1-2.528 3.034M6.5 16S6 17 6 17.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5zm4 0s-.5 1-.5 1.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5zm4 0s-.5 1-.5 1.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5zm-2 2s-.5 1-.5 1.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5zm-4 0S8 19 8 19.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.688 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.262 1.957c1.892.594 6.203-.444 7.688-3.756-6.252 2.643-10.434-3.531-8.277-7.8-1.633.489-2.87 1.498-3.792 4.55M9.75 24S9 25.5 9 26.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25zm6 0S15 25.5 15 26.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25zm6 0S21 25.5 21 26.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25zm-3 3S18 28.5 18 29.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25zm-6 0S12 28.5 12 29.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudDropsMoonComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudDropsMoonModule {
}
IconCloudDropsMoonModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudDropsMoonComponent],
                exports: [IconCloudDropsMoonComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudFogComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudFogComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-fog',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.2 10.2c-.232-1.942 1.88-2.982 3.2-1.9 1.5-3.4 6.4-1.7 5.3 2 2.5-.1 2.621 4.2-.7 4.2H8c-3.367 0-2.94-4.3-.8-4.3zM5 16.5h12.993H5zm1 2h10.993H6z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.8 15.3c-.348-2.913 2.819-4.473 4.8-2.85 2.25-5.1 9.6-2.55 7.95 3 3.75-.15 3.932 6.3-1.05 6.3H12c-5.05 0-4.411-6.45-1.2-6.45zm-3.3 9.45h19.49H7.5zm1.5 3h16.49H9z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudFogComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudFogModule {
}
IconCloudFogModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudFogComponent],
                exports: [IconCloudFogComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudIceComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudIceComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-ice',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.203 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9z"
          />
          <path
            fill="#000"
            d="M6 17v-1h1v1H6zm2 0v-1h1v1H8zm-2 2v-1h1v1H6zm1-1v-1h1v1H7zm1 1v-1h1v1H8zm2 2v-1h1v1h-1zm2 0v-1h1v1h-1zm-2 2v-1h1v1h-1zm1-1v-1h1v1h-1zm1 1v-1h1v1h-1zm2-6v-1h1v1h-1zm2 0v-1h1v1h-1zm-2 2v-1h1v1h-1zm1-1v-1h1v1h-1zm1 1v-1h1v1h-1z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.805 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85z"
          />
          <path
            fill="#000"
            d="M9 25.5V24h1.5v1.5H9zm3 0V24h1.5v1.5H12zm-3 3V27h1.5v1.5H9zm1.5-1.5v-1.5H12V27h-1.5zm1.5 1.5V27h1.5v1.5H12zm3 3V30h1.5v1.5H15zm3 0V30h1.5v1.5H18zm-3 3V33h1.5v1.5H15zm1.5-1.5v-1.5H18V33h-1.5zm1.5 1.5V33h1.5v1.5H18zm3-9V24h1.5v1.5H21zm3 0V24h1.5v1.5H24zm-3 3V27h1.5v1.5H21zm1.5-1.5v-1.5H24V27h-1.5zm1.5 1.5V27h1.5v1.5H24z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudIceComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudIceModule {
}
IconCloudIceModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudIceComponent],
                exports: [IconCloudIceComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudLightningComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudLightningComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-lightning',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M15 14.5c3.228 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9-2.141 0-2.567 4.3.8 4.3m5-1L10.5 16h2.169l-3.33 2.715L11 16.5H8.5l3-3H13z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M22.5 21.75c4.842 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.98-1.623-5.148-.063-4.8 2.85-3.212 0-3.85 6.45 1.2 6.45m7.5-1.5L15.75 24h3.253l-4.995 4.073L16.5 24.75h-3.75l4.5-4.5h2.25z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudLightningComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudLightningModule {
}
IconCloudLightningModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudLightningComponent],
                exports: [IconCloudLightningComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudLightningMoonComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudLightningMoonComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-lightning-moon',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M15 14.5c3.313 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9-2.141 0-2.567 4.3.8 4.3m9.375-2.996C18.636 11.9 21.51 11.208 22.5 9c-4.168 1.762-6.956-2.354-5.518-5.2-1.089.326-1.913 1-2.528 3.034M13 13.5L10.5 16h2.169l-3.33 2.715L11 16.5H8.5l3-3H13z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M22.5 21.75c4.97 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.98-1.623-5.148-.063-4.8 2.85-3.212 0-3.85 6.45 1.2 6.45m14.063-4.493c1.891.594 6.202-.444 7.687-3.756-6.252 2.643-10.434-3.531-8.277-7.8-1.633.489-2.87 1.498-3.792 4.55M19.5 20.25L15.75 24h3.253l-4.995 4.073L16.5 24.75h-3.75l4.5-4.5h2.25z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudLightningMoonComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudLightningMoonModule {
}
IconCloudLightningMoonModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudLightningMoonComponent],
                exports: [IconCloudLightningMoonComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudLittleSnowMoonComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudLittleSnowMoonComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-little-snow-moon',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.236 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.175 1.304C18.636 11.9 21.51 11.208 22.5 9c-4.168 1.762-6.956-2.354-5.518-5.2-1.089.326-1.913 1-2.528 3.034M10.5 17a.5.5 0 11-1 0 .5.5 0 011 0zm4 0a.5.5 0 11-1 0 .5.5 0 011 0zm-2 3a.5.5 0 11-1 0 .5.5 0 011 0z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.854 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.262 1.957c1.892.594 6.203-.444 7.688-3.756-6.252 2.643-10.434-3.531-8.277-7.8-1.633.489-2.87 1.498-3.792 4.55M15.75 25.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-3 4.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudLittleSnowMoonComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudLittleSnowMoonModule {
}
IconCloudLittleSnowMoonModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudLittleSnowMoonComponent],
                exports: [IconCloudLittleSnowMoonComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudLittleSnowSunComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudLittleSnowSunComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-little-snow-sun',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.236 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.139 1.187c1.266-.352 2.16-1.489 2.16-2.887 0-1.69-1.308-3-3-3-.992 0-1.854.451-2.395 1.167M16.5 2v2m-4.67-.122l1.44 1.386m6.523 6.6l1.414 1.414M23 8.5h-2m.096-4.611l-1.414 1.414M10.5 17a.5.5 0 11-1 0 .5.5 0 011 0zm4 0a.5.5 0 11-1 0 .5.5 0 011 0zm-2 3a.5.5 0 11-1 0 .5.5 0 011 0z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.854 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.208 1.78c1.9-.527 3.242-2.233 3.242-4.33 0-2.536-1.964-4.5-4.5-4.5-1.49 0-2.783.677-3.594 1.75m3.594-7v3m-7.006-.183l2.161 2.079m9.784 9.9l2.122 2.12M34.5 12.75h-3m.144-6.917l-2.121 2.121M15.75 25.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-3 4.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudLittleSnowSunComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudLittleSnowSunModule {
}
IconCloudLittleSnowSunModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudLittleSnowSunComponent],
                exports: [IconCloudLittleSnowSunComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudMoonComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudMoonComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-moon',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.262 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.175 1.304C18.636 11.9 21.51 11.208 22.5 9c-4.168 1.762-6.956-2.354-5.518-5.2-.953.444-1.913 1-2.528 3.034"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.893 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.262 1.957c1.892.594 6.203-.444 7.688-3.756-6.252 2.643-10.434-3.531-8.277-7.8-1.43.666-2.87 1.498-3.792 4.55"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudMoonComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudMoonModule {
}
IconCloudMoonModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudMoonComponent],
                exports: [IconCloudMoonComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudRainComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudRainComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-rain',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.2 10.2c-.232-1.942 1.88-2.982 3.2-1.9 1.5-3.4 6.4-1.7 5.3 2 2.5-.1 2.55 4.2-.7 4.2H8c-3.367 0-2.94-4.3-.8-4.3zM8.5 16l-1 2 1-2zm6 0l-1 2 1-2zm-4 0l-2 4 2-4zm2.05 0l-2 4 2-4z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.8 15.3c-.348-2.913 2.819-4.473 4.8-2.85 2.25-5.1 9.6-2.55 7.95 3 3.75-.15 3.825 6.3-1.05 6.3H12c-5.05 0-4.411-6.45-1.2-6.45zm1.95 8.7l-1.5 3 1.5-3zm9 0l-1.5 3 1.5-3zm-6 0l-3 6 3-6zm3.075 0l-3 6 3-6z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudRainComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudRainModule {
}
IconCloudRainModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudRainComponent],
                exports: [IconCloudRainComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudRainSnowComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudRainSnowComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-rain-snow',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.2 10.2c-.232-1.942 1.88-2.982 3.2-1.9 1.5-3.4 6.4-1.7 5.3 2 2.5-.1 2.536 4.2-.7 4.2H8c-3.367 0-2.94-4.3-.8-4.3zM17.5 17a.5.5 0 11-1 0 .5.5 0 011 0zm-4 0a.5.5 0 11-1 0 .5.5 0 011 0zm2 3a.5.5 0 11-1 0 .5.5 0 011 0zm-9-4l-1 2 1-2zm4 0l-1 2 1-2zm-2 0l-2 4 2-4z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.8 15.3c-.348-2.913 2.819-4.473 4.8-2.85 2.25-5.1 9.6-2.55 7.95 3 3.75-.15 3.804 6.3-1.05 6.3H12c-5.05 0-4.411-6.45-1.2-6.45zm15.45 10.2a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm3 4.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-13.5-6l-1.5 3 1.5-3zm6 0l-1.5 3 1.5-3zm-3 0l-3 6 3-6z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudRainSnowComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudRainSnowModule {
}
IconCloudRainSnowModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudRainSnowComponent],
                exports: [IconCloudRainSnowComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudRainSnowMoonComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudRainSnowMoonComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-rain-snow-moon',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M6.5 16l-1 2m1.7-7.8c-2.14 0-2.567 4.3.8 4.3h7c3.477 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm3.3 5.8l-1 2m7.875-6.496C18.636 11.9 21.51 11.208 22.5 9c-4.168 1.762-6.956-2.354-5.518-5.2-1.089.326-1.913 1-2.528 3.034M8.5 16l-2 4m7-3a.5.5 0 11-1 0 .5.5 0 011 0zm4 0a.5.5 0 11-1 0 .5.5 0 011 0zm-2 3a.5.5 0 11-1 0 .5.5 0 011 0z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.75 24l-1.5 3m2.55-11.7c-3.211 0-3.85 6.45 1.2 6.45h10.5c5.216 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm4.95 8.7l-1.5 3m11.813-9.743c1.891.594 6.202-.444 7.687-3.756-6.252 2.643-10.434-3.531-8.277-7.8-1.633.489-2.87 1.498-3.792 4.55M12.75 24l-3 6m10.5-4.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-3 4.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudRainSnowMoonComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudRainSnowMoonModule {
}
IconCloudRainSnowMoonModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudRainSnowMoonComponent],
                exports: [IconCloudRainSnowMoonComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudRainSnowSunComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudRainSnowSunComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-rain-snow-sun',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.236 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.139 1.187c1.266-.352 2.16-1.489 2.16-2.887 0-1.69-1.308-3-3-3-.992 0-1.854.451-2.395 1.167M16.5 2v2m-4.67-.122l1.44 1.386m6.523 6.6l1.414 1.414M23 8.5h-2m.096-4.611l-1.414 1.414M6.5 16l-1 2m5-2l-1 2m-1-2l-2 4m7-3a.5.5 0 11-1 0 .5.5 0 011 0zm4 0a.5.5 0 11-1 0 .5.5 0 011 0zm-2 3a.5.5 0 11-1 0 .5.5 0 011 0z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.854 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.208 1.78c1.9-.527 3.242-2.233 3.242-4.33 0-2.536-1.964-4.5-4.5-4.5-1.49 0-2.783.677-3.594 1.75m3.594-7v3m-7.006-.183l2.161 2.079m9.784 9.9l2.122 2.12M34.5 12.75h-3m.144-6.917l-2.121 2.121M9.75 24l-1.5 3m7.5-3l-1.5 3m-1.5-3l-3 6m10.5-4.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-3 4.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudRainSnowSunComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudRainSnowSunModule {
}
IconCloudRainSnowSunModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudRainSnowSunComponent],
                exports: [IconCloudRainSnowSunComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudRainSunComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudRainSunComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-rain-sun',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.35 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.139 1.187c1.266-.352 2.16-1.489 2.16-2.887 0-1.69-1.308-3-3-3-.992 0-1.854.451-2.395 1.167M16.5 2v2m-4.67-.122l1.44 1.386m6.523 6.6l1.414 1.414M23 8.5h-2m.096-4.611l-1.414 1.414M9.5 16l-1 2m7-2l-1 2m-3-2l-2 4m4.05-4l-2 4"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c5.025 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.208 1.78c1.9-.527 3.242-2.233 3.242-4.33 0-2.536-1.964-4.5-4.5-4.5-1.49 0-2.783.677-3.594 1.75m3.594-7v3m-7.006-.183l2.161 2.079m9.784 9.9l2.122 2.12M34.5 12.75h-3m.144-6.917l-2.121 2.121M14.25 24l-1.5 3m10.5-3l-1.5 3m-4.5-3l-3 6m6.075-6l-3 6"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudRainSunComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudRainSunModule {
}
IconCloudRainSunModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudRainSunComponent],
                exports: [IconCloudRainSunComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudSnowflakeComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudSnowflakeComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-snowflake',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M16.02 14.384c2.145-.702 1.878-4.172-.32-4.084 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.433-.042-3.2 1.9-1.9 0-2.449 3.385-.197 4.149M11.5 11v7m-3.486-3.5h7m-5.99-2.475l4.95 4.95m-4.935 0l4.95-4.95"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M24.03 21.576c3.217-1.053 2.818-6.258-.48-6.126 1.65-5.55-5.7-8.1-7.95-3-1.98-1.623-5.149-.063-4.8 2.85-2.85 0-3.673 5.077-.296 6.223M17.25 16.5V27m-5.229-5.25h10.5m-8.984-3.713l7.425 7.425m-7.403 0l7.425-7.425"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudSnowflakeComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudSnowflakeModule {
}
IconCloudSnowflakeModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudSnowflakeComponent],
                exports: [IconCloudSnowflakeComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudSnowflakeSunComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudSnowflakeSunComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-snowflake-sun',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M16.02 14.384c2.145-.702 1.878-4.172-.32-4.084 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.433-.042-3.2 1.9-1.9 0-2.449 3.385-.197 4.149m10.336-2.962c1.266-.352 2.16-1.489 2.16-2.887 0-1.69-1.308-3-3-3-.992 0-1.854.451-2.395 1.167M11.5 11v7m-3.486-3.5h7m-5.99-2.475l4.95 4.95m-4.935 0l4.95-4.95"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M24.03 21.576c3.217-1.053 2.818-6.258-.48-6.126 1.65-5.55-5.7-8.1-7.95-3-1.98-1.623-5.149-.063-4.8 2.85-2.85 0-3.673 5.077-.296 6.223m15.504-4.442c1.9-.528 3.242-2.234 3.242-4.33 0-2.537-1.964-4.5-4.5-4.5-1.49 0-2.783.676-3.594 1.75M17.25 16.5V27m-5.229-5.25h10.5m-8.984-3.713l7.425 7.425m-7.403 0l7.425-7.425"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudSnowflakeSunComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudSnowflakeSunModule {
}
IconCloudSnowflakeSunModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudSnowflakeSunComponent],
                exports: [IconCloudSnowflakeSunComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudSnowComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudSnowComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-snow',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.234 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm6.8 8.3a.5.5 0 11-1 0 .5.5 0 011 0zm2-2a.5.5 0 11-1 0 .5.5 0 011 0zm-4 0a.5.5 0 11-1 0 .5.5 0 011 0zm-4 0a.5.5 0 11-1 0 .5.5 0 011 0zm2 2a.5.5 0 11-1 0 .5.5 0 011 0z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.851 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zM21 27.75a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm3-3a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm3 3a.75.75 0 11-1.5 0 .75.75 0 011.5 0z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudSnowComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudSnowModule {
}
IconCloudSnowModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudSnowComponent],
                exports: [IconCloudSnowComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudSnowLightningComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudSnowLightningComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-snow-lightning',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M15 14.5c3.178 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9-2.141 0-2.567 4.3.8 4.3m5-1L10.5 16h2.169l-3.33 2.715L11 16.5H8.5l3-3H13zm4 3a.5.5 0 11-1 0 .5.5 0 011 0zm-2 2a.5.5 0 11-1 0 .5.5 0 011 0zm-9-1a.5.5 0 11-1 0 .5.5 0 011 0z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M22.5 21.75c4.767 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.98-1.623-5.148-.063-4.8 2.85-3.212 0-3.85 6.45 1.2 6.45m7.5-1.5L15.75 24h3.253l-4.995 4.073L16.5 24.75h-3.75l4.5-4.5h2.25zm6 4.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-3 3a.75.75 0 11-1.5 0 .75.75 0 011.5 0zM9 26.25a.75.75 0 11-1.5 0 .75.75 0 011.5 0z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudSnowLightningComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudSnowLightningModule {
}
IconCloudSnowLightningModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudSnowLightningComponent],
                exports: [IconCloudSnowLightningComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudSnowMoonComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudSnowMoonComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-snow-moon',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.477 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.175 1.304C18.636 11.9 21.51 11.208 22.5 9c-4.168 1.762-6.956-2.354-5.518-5.2-1.089.326-1.913 1-2.528 3.034M16 16.5a.5.5 0 11-1 0 .5.5 0 011 0zm-4 0a.5.5 0 11-1 0 .5.5 0 011 0zm-4 0a.5.5 0 11-1 0 .5.5 0 011 0zm6 2a.5.5 0 11-1 0 .5.5 0 011 0zm-4 0a.5.5 0 11-1 0 .5.5 0 011 0z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c5.216 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.262 1.957c1.892.594 6.203-.444 7.688-3.756-6.252 2.643-10.434-3.531-8.277-7.8-1.633.489-2.87 1.498-3.792 4.55M24 24.75a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm9 3a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudSnowMoonComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudSnowMoonModule {
}
IconCloudSnowMoonModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudSnowMoonComponent],
                exports: [IconCloudSnowMoonComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudSnowSunComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudSnowSunComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-snow-sun',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.395 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.139 1.187c1.266-.352 2.16-1.489 2.16-2.887 0-1.69-1.308-3-3-3-.992 0-1.854.451-2.395 1.167M16 16.5a.5.5 0 11-1 0 .5.5 0 011 0zm-4 0a.5.5 0 11-1 0 .5.5 0 011 0zm-4 0a.5.5 0 11-1 0 .5.5 0 011 0zm6 2a.5.5 0 11-1 0 .5.5 0 011 0zm-4 0a.5.5 0 11-1 0 .5.5 0 011 0z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c5.093 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.208 1.78c1.9-.527 3.242-2.233 3.242-4.33 0-2.536-1.964-4.5-4.5-4.5-1.49 0-2.783.677-3.594 1.75M24 24.75a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm9 3a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudSnowSunComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudSnowSunModule {
}
IconCloudSnowSunModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudSnowSunComponent],
                exports: [IconCloudSnowSunComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudStrongRainMoonComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudStrongRainMoonComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-strong-rain-moon',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.477 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.175 1.304C18.636 11.9 21.51 11.208 22.5 9c-4.168 1.762-6.956-2.354-5.518-5.2-1.089.326-1.913 1-2.528 3.034M8.5 16l-1 2m7-2l-1 2m-3-2l-2 4m4.05-4l-2 4"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c5.216 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.262 1.957c1.892.594 6.203-.444 7.688-3.756-6.252 2.643-10.434-3.531-8.277-7.8-1.633.489-2.87 1.498-3.792 4.55M12.75 24l-1.5 3m10.5-3l-1.5 3m-4.5-3l-3 6m6.075-6l-3 6"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudStrongRainMoonComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudStrongRainMoonModule {
}
IconCloudStrongRainMoonModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudStrongRainMoonComponent],
                exports: [IconCloudStrongRainMoonComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudStrongRainSunComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudStrongRainSunComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-strong-rain-sun',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M8.5 16l-1 2m7-2l-1 2m-3-2l-2 4m4.05-4l-2 4M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.236 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.139 1.187c1.266-.352 2.16-1.489 2.16-2.887 0-1.69-1.308-3-3-3-.992 0-1.854.451-2.395 1.167M16.5 2v2m-4.67-.122l1.44 1.386m6.523 6.6l1.414 1.414M23 8.5h-2m.096-4.611l-1.414 1.414"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M12.75 24l-1.5 3m10.5-3l-1.5 3m-4.5-3l-3 6m6.075-6l-3 6M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.854 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.208 1.78c1.9-.527 3.242-2.233 3.242-4.33 0-2.536-1.964-4.5-4.5-4.5-1.49 0-2.783.677-3.594 1.75m3.594-7v3m-7.006-.183l2.161 2.079m9.784 9.9l2.122 2.12M34.5 12.75h-3m.144-6.917l-2.121 2.121"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudStrongRainSunComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudStrongRainSunModule {
}
IconCloudStrongRainSunModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudStrongRainSunComponent],
                exports: [IconCloudStrongRainSunComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudSunshineComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudSunshineComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-sunshine',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.236 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.139 1.187c1.266-.352 2.16-1.489 2.16-2.887 0-1.69-1.308-3-3-3-.992 0-1.854.451-2.395 1.167M16.5 2v2m-4.67-.122l1.44 1.386m6.523 6.6l1.414 1.414M23 8.5h-2m.096-4.611l-1.414 1.414"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.854 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.208 1.78c1.9-.527 3.242-2.233 3.242-4.33 0-2.536-1.964-4.5-4.5-4.5-1.49 0-2.783.677-3.594 1.75m3.594-7v3m-7.006-.183l2.161 2.079m9.784 9.9l2.122 2.12M34.5 12.75h-3m.144-6.917l-2.121 2.121"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudSunshineComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudSunshineModule {
}
IconCloudSunshineModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudSunshineComponent],
                exports: [IconCloudSunshineComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudSunComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconCloudSunComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-cloud-sun',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.194 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.139 1.187c1.266-.352 2.16-1.489 2.16-2.887 0-1.69-1.308-3-3-3-.992 0-1.854.451-2.395 1.167"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.791 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.208 1.78c1.9-.527 3.242-2.233 3.242-4.33 0-2.536-1.964-4.5-4.5-4.5-1.49 0-2.783.677-3.594 1.75"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconCloudSunComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCloudSunModule {
}
IconCloudSunModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconCloudSunComponent],
                exports: [IconCloudSunComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconFogComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconFogComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-fog',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M11 4.5h5-5zm-3 2h9-9zm-1 2h10H7zm-1 2h3-3zm4 0h9-9zm-3 2.01l12-.01-12 .01z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M16.5 6.75H24h-7.5zm-4.5 3h13.5H12zm-1.5 3h15-15zm-1.5 3h4.5H9zm6 0h13.5H15zm-4.5 3.015l18-.015-18 .015z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconFogComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconFogModule {
}
IconFogModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconFogComponent],
                exports: [IconFogComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconMoonComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconMoonComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-moon',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.021 6.35c-6.9 5.3 1.8 15.9 8.9 8.7-5.9 2-10.5-4.3-8.9-8.7z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M13.531 9.526c-10.35 7.95 2.7 23.85 13.35 13.05-8.85 3-15.75-6.45-13.35-13.05z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconMoonComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconMoonModule {
}
IconMoonModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconMoonComponent],
                exports: [IconMoonComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSunriseComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconSunriseComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sunrise',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9.3 15c-.52-.675-.8-1.577-.8-2.5 0-2.217 1.783-4 4-4 2.218 0 4 1.783 4 4 0 .946-.355 1.813-.9 2.497M4 12.5h3m-.562-6.15l2.268 2.258M12.5 4v3m6.153-.558l-2.266 2.251M21 12.5h-3m-13 4h13.993"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M13.95 22.5c-.78-1.012-1.2-2.366-1.2-3.75 0-3.325 2.674-6 6-6 3.327 0 6 2.675 6 6 0 1.419-.533 2.72-1.35 3.745M6 18.75h4.5m-.843-9.226l3.402 3.387M18.75 6v4.5m9.23-.836L24.58 13.04m6.919 5.71H27m-19.5 6h20.99"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSunriseComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSunriseModule {
}
IconSunriseModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSunriseComponent],
                exports: [IconSunriseComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSunshineComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconSunshineComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sunshine',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M16.5 12.5a3.98 3.98 0 01-3.977 3.994 3.995 3.995 0 01-3.995-3.995c0-2.207 1.765-3.999 3.972-3.999 2.206 0 4 1.793 4 4zM4 12.5h3.003H4zm2.393-6.184L8.67 8.593 6.393 6.316zm6.119-2.328v3.015-3.015zm6.145 2.42l-2.264 2.238 2.264-2.238zM21 12.5h-3.006H21zm-2.33 6.093l-2.266-2.257 2.267 2.257zm-6.17-.6v3.003-3.003zm-3.843-1.592l-2.262 2.261 2.262-2.26z"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M24.75 18.75c0 3.309-2.657 5.991-5.965 5.991a5.992 5.992 0 01-5.993-5.992c0-3.311 2.648-5.999 5.958-5.999 3.309 0 6 2.69 6 6zM6 18.75h4.505H6zm3.589-9.276l3.415 3.415L9.59 9.474zm9.179-3.492v4.522-4.522zm9.218 3.63l-3.396 3.357 3.396-3.357zM31.5 18.75h-4.509H31.5zm-3.494 9.14l-3.4-3.386 3.4 3.385zm-9.256-.9v4.504-4.504zm-5.764-2.388l-3.393 3.392 3.393-3.392z"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSunshineComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSunshineModule {
}
IconSunshineModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSunshineComponent],
                exports: [IconSunshineComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSunMoonComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconSunMoonComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-sun-moon',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <path
          fill="none"
          stroke="#000"
          d="M9 6.4c-6.9 5.3 1.8 15.9 8.9 8.7-5.9 2-10.5-4.3-8.9-8.7zm-.023 3.826C9.577 9.226 10.7 8.5 12 8.5c1.901 0 3.5 1.6 3.5 3.5 0 1.3-.744 2.56-1.844 3.158"
        />
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <path
          fill="none"
          stroke="#000"
          d="M13.5 9.6c-10.35 7.95 2.7 23.85 13.35 13.05C18 25.65 11.1 16.2 13.5 9.6zm-.034 5.74c.9-1.5 2.585-2.59 4.533-2.59 2.852 0 5.25 2.4 5.25 5.25 0 1.95-1.116 3.839-2.766 4.737"
        />
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconSunMoonComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconSunMoonModule {
}
IconSunMoonModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconSunMoonComponent],
                exports: [IconSunMoonComponent],
            },] }
];

/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWeatherUnknownComponent extends IconBase {
    constructor() {
        super({ width: '24px', height: '24px', ratio: 1 });
    }
}
IconWeatherUnknownComponent.decorators = [
    { type: Component, args: [{
                selector: 'sbb-icon-weather-unknown',
                // tslint:disable:max-line-length
                template: `
    <ng-container [ngSwitch]="size">
      <svg
        *ngSwitchDefault
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M16.02 14.5c2.15-.709 1.884-4.213-.32-4.125 1.102-3.737-3.813-5.454-5.317-2.02-1.324-1.092-3.443-.042-3.21 1.919-1.905 0-2.457 3.419-.199 4.19"
          />
          <path
            fill="#000"
            d="M11.026 16.999v-.838h.88v.838h-.88zm-1.39-4.077c.019-.5.118-.887.297-1.161.166-.252.386-.447.66-.584.275-.137.583-.205.926-.205.551 0 .99.154 1.316.463.304.285.456.66.456 1.124 0 .384-.103.714-.31.992-.092.126-.313.357-.664.696a2.222 2.222 0 00-.324.368 1.026 1.026 0 00-.128.365 3.193 3.193 0 00-.041.565h-.693c.006-.411.042-.717.111-.915.049-.146.118-.276.209-.391.091-.116.293-.331.606-.649.2-.203.332-.387.395-.551.051-.14.077-.283.077-.428 0-.268-.074-.494-.224-.676-.179-.223-.444-.335-.795-.335-.725 0-1.116.441-1.173 1.322h-.701z"
          />
        </g>
      </svg>
      <svg
        *ngSwitchCase="size?.indexOf('medium') === 0 ? size : ''"
        focusable="false"
        [attr.class]="'sbb-svg-icon ' + svgClass"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 36 36"
      >
        <g fill="none" fill-rule="evenodd">
          <path
            stroke="#000"
            d="M24.03 21.75c3.224-1.064 2.827-6.32-.48-6.188 1.654-5.605-5.719-8.18-7.976-3.03-1.986-1.637-5.165-.063-4.815 2.879-2.858 0-3.684 5.129-.297 6.285"
          />
          <path
            fill="#000"
            d="M16.539 25.498v-1.257h1.32V25.5h-1.32zm-2.085-6.115c.028-.75.177-1.33.445-1.741.25-.378.58-.671.99-.877a3.069 3.069 0 011.39-.307c.826 0 1.485.231 1.974.695.456.427.683.99.683 1.686 0 .576-.154 1.07-.465 1.488-.137.188-.469.535-.995 1.043a3.333 3.333 0 00-.486.552 1.54 1.54 0 00-.192.548c-.041.219-.062.5-.062.848h-1.04c.01-.617.063-1.076.167-1.373.073-.219.177-.414.314-.587.136-.174.439-.496.909-.973.3-.305.498-.58.592-.827.076-.21.116-.424.116-.642 0-.401-.111-.74-.337-1.014-.268-.334-.666-.502-1.192-.502-1.088 0-1.674.662-1.76 1.983h-1.051z"
          />
        </g>
      </svg>
    </ng-container>
  `,
                // tslint:enable:max-line-length
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
IconWeatherUnknownComponent.ctorParameters = () => [];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconWeatherUnknownModule {
}
IconWeatherUnknownModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [IconWeatherUnknownComponent],
                exports: [IconWeatherUnknownComponent],
            },] }
];

const modules = [
    IconCloudModule,
    IconCloudDenseFogModule,
    IconCloudDropsModule,
    IconCloudDropsMoonModule,
    IconCloudFogModule,
    IconCloudIceModule,
    IconCloudLightningModule,
    IconCloudLightningMoonModule,
    IconCloudLittleSnowMoonModule,
    IconCloudLittleSnowSunModule,
    IconCloudMoonModule,
    IconCloudRainModule,
    IconCloudRainSnowModule,
    IconCloudRainSnowMoonModule,
    IconCloudRainSnowSunModule,
    IconCloudRainSunModule,
    IconCloudSnowflakeModule,
    IconCloudSnowflakeSunModule,
    IconCloudSnowModule,
    IconCloudSnowLightningModule,
    IconCloudSnowMoonModule,
    IconCloudSnowSunModule,
    IconCloudStrongRainMoonModule,
    IconCloudStrongRainSunModule,
    IconCloudSunshineModule,
    IconCloudSunModule,
    IconFogModule,
    IconMoonModule,
    IconSunriseModule,
    IconSunshineModule,
    IconSunMoonModule,
    IconWeatherUnknownModule,
];
/**
 * @deprecated use @sbb-esta/angular-core/icon module
 */
class IconCollectionWeatherModule {
}
IconCollectionWeatherModule.decorators = [
    { type: NgModule, args: [{
                imports: modules,
                exports: modules,
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { IconCloudComponent, IconCloudDenseFogComponent, IconCloudDenseFogModule, IconCloudDropsComponent, IconCloudDropsModule, IconCloudDropsMoonComponent, IconCloudDropsMoonModule, IconCloudFogComponent, IconCloudFogModule, IconCloudIceComponent, IconCloudIceModule, IconCloudLightningComponent, IconCloudLightningModule, IconCloudLightningMoonComponent, IconCloudLightningMoonModule, IconCloudLittleSnowMoonComponent, IconCloudLittleSnowMoonModule, IconCloudLittleSnowSunComponent, IconCloudLittleSnowSunModule, IconCloudModule, IconCloudMoonComponent, IconCloudMoonModule, IconCloudRainComponent, IconCloudRainModule, IconCloudRainSnowComponent, IconCloudRainSnowModule, IconCloudRainSnowMoonComponent, IconCloudRainSnowMoonModule, IconCloudRainSnowSunComponent, IconCloudRainSnowSunModule, IconCloudRainSunComponent, IconCloudRainSunModule, IconCloudSnowComponent, IconCloudSnowLightningComponent, IconCloudSnowLightningModule, IconCloudSnowModule, IconCloudSnowMoonComponent, IconCloudSnowMoonModule, IconCloudSnowSunComponent, IconCloudSnowSunModule, IconCloudSnowflakeComponent, IconCloudSnowflakeModule, IconCloudSnowflakeSunComponent, IconCloudSnowflakeSunModule, IconCloudStrongRainMoonComponent, IconCloudStrongRainMoonModule, IconCloudStrongRainSunComponent, IconCloudStrongRainSunModule, IconCloudSunComponent, IconCloudSunModule, IconCloudSunshineComponent, IconCloudSunshineModule, IconCollectionWeatherModule, IconFogComponent, IconFogModule, IconMoonComponent, IconMoonModule, IconSunMoonComponent, IconSunMoonModule, IconSunriseComponent, IconSunriseModule, IconSunshineComponent, IconSunshineModule, IconWeatherUnknownComponent, IconWeatherUnknownModule };
//# sourceMappingURL=weather.js.map
